2019-04-17  R. Bernstein <rocky@gnu.org>

	* include/cdio/types.h: Fix C-preprocessor typo involving OSX
	packed()

2019-04-17  R. Bernstein <rocky@gnu.org>

	* NEWS.md, configure.ac, doc/how-to-make-a-release.md,
	include/cdio/audio.h, include/cdio/cdtext.h, include/cdio/device.h,
	include/cdio/mmc.h, include/cdio/mmc_ll_cmds.h: Get ready for
	release 2.1.0.. and go over Doxygen docs.

2019-04-14  R. Bernstein <rocky@gnu.org>

	* NEWS.md: Small spelling and markup changes to NEWS.md

2019-04-14  Edd Barrett <vext01@gmail.com>

	* NEWS.md: Fix a couple of small typos.

2019-04-14  R. Bernstein <rocky@gnu.org>

	* NEWS.md, THANKS, configure.ac, test/driver/mmc_read.c: Edd
	Barrett's suggestions * Read failure on mmc_read is now logged as test skipped.  * Correct Edd's contributions. My mistake!

2019-04-13  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660.c, src/cd-read.c, src/cdda-player.c: lint-like
	fixes...  iso9660.c - suppose gcc small-format warning cdda-player.c: free
	terminal on exit; don't init screen more than once cd-read.c:
	correct help

2019-04-13  R. Bernstein <rocky@gnu.org>

	* include/cdio/types.h, lib/iso9660/iso9660_fs.c: gcc 8 wants strlen
	in strncpy ...  rather than sizeof(src)

2019-04-13  R. Bernstein <rocky@gnu.org>

	* : commit b72ac347f21b6d6d3416c0c687ebfe5f98c1d160 Author: R.
	Bernstein <rocky@gnu.org> Date:   Sat Apr 13 06:47:11 2019 -0400

2019-04-13  R. Bernstein <rocky@gnu.org>

	* include/cdio/types.h: Handle clang pack(push)/pack(pop)

2019-04-13  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/rock.c: Remove one clang warning

2019-04-13  R. Bernstein <rocky@gnu.org>

	* Makefile.am, example/.gitignore, example/Makefile.am,
	example/udffile.c, src/Makefile.am: Go over valgrind leak detection

2019-04-13  R. Bernstein <rocky@gnu.org>

	* NEWS.md, configure.ac, example/C++/OO/cdtext.cpp,
	example/cdtext-raw.c, example/cdtext.c, example/read-disc-struct.c,
	lib/driver/Makefile.am: Get ready for 2.1.0RC1 + administrivia

2019-04-13  R. Bernstein <rocky@gnu.org>

	* Makefile.am, NEWS => NEWS.md, THANKS, doc/.gitignore,
	doc/Makefile.am, doc/how-to-make-a-release.md,
	doc/how-to-make-a-release.txt: Go over and turn release process into
	Markdown.  Go over release notes.  Convert NEWS to Markdown. Acknowledge Edd
	Barrett help Some administrivia

2019-02-24  R. Bernstein <rocky@gnu.org>

	* : commit af3debc3704ef5cd02c5f8a89792194073316c69 Author: Edd
	Barrett <vext01@gmail.com> Date:   Sun Feb 10 17:27:33 2019 +0000

2019-01-22  Thomas Schmitt <scdbackup@gmx.net>

	* test/data/Makefile.am: Replaced 8 blanks by tab character in
	test/data/Makefile.am. Correction of previous commit.

2019-01-22  Thomas Schmitt <scdbackup@gmx.net>

	* test/data/Makefile.am, test/data/cdda_4_5.bin: Added new file
	cdda_4_5.bin and re-enabled cdda_4_5.cue

2019-01-20  R. Bernstein <rocky@gnu.org>

	* test/data/Makefile.am: cdda_4_5.bin is not in git, and there is no
	rule to make it

2019-01-14  Thomas Schmitt <scdbackup@gmx.net>

	* test/check_fuzzyiso.sh: Added cdda_4_5.bin and cdtextfile.bin to
	the exemption list of test/check_fuzzyiso.sh

2019-01-14  Thomas Schmitt <scdbackup@gmx.net>

	* test/Makefile.am, test/cdda_4_5.right, test/check_cue.sh.in,
	test/data/Makefile.am, test/data/cdda_4_5.cue: Added test about
	cdda_4_5.cue which checks for proper display of track start number >
	1

2019-01-22  R. Bernstein <rocky@gnu.org>

	* : commit 879e0bf8243624652eb7686bcf360aeb9f09ef9a Author: Thomas
	Schmitt <scdbackup@gmx.net> Date:   Tue Jan 22 14:07:44 2019 +0100

2019-01-22  Thomas Schmitt <scdbackup@gmx.net>

	* test/data/Makefile.am, test/data/cdda_4_5.bin: Added new file
	cdda_4_5.bin and re-enabled cdda_4_5.cue

2019-01-20  R. Bernstein <rocky@gnu.org>

	* : commit 2663976828f206f6f173ae3468531a215acce7fe Author: R.
	Bernstein <rocky@gnu.org> Date:   Sun Jan 20 17:14:42 2019 -0500

2019-01-14  Thomas Schmitt <scdbackup@gmx.net>

	* test/check_fuzzyiso.sh: Added cdda_4_5.bin and cdtextfile.bin to
	the exemption list of test/check_fuzzyiso.sh

2019-01-14  Thomas Schmitt <scdbackup@gmx.net>

	* src/cd-info.c, test/Makefile.am, test/cdda_4_5.right,
	test/check_cue.sh.in, test/data/Makefile.am, test/data/cdda_4_5.cue: 
	Added test about cdda_4_5.cue which checks for proper display of
	track start number > 1

2018-12-30  R. Bernstein <rocky@gnu.org>

	* configure.ac: Bump LIBCDIO_VERSION_NUM

2018-12-30  R. Bernstein <rocky@gnu.org>

	* : commit 865140686d97a5c854f18895d74d45edf3c3248a Author: R.
	Bernstein <rocky@gnu.org> Date:   Sun Dec 30 15:04:19 2018 -0500

2018-12-30  Thomas Schmitt <scdbackup@gmx.net>

	* lib/driver/image/bincue.c: Replaced the newly introduced calls of
	cdio_warn() by cdio_log()

2018-12-29  Thomas Schmitt <scdbackup@gmx.net>

	* lib/driver/image/bincue.c: Fixed another wrong track number
	assumption in BIN/CUE driver

2018-12-29  Thomas Schmitt <scdbackup@gmx.net>

	* lib/driver/image/bincue.c, lib/driver/image_common.c: Fixed wrong
	assumptions about track start number in BIN/CUE driver

2018-12-28  Thomas Schmitt <scdbackup@gmx.net>

	* lib/driver/gnu_linux.c: Fixed in gnu_linux.c some wrong
	assumptions that the start track number is always 1

2018-12-01  Edd Barrett <vext01@gmail.com>

	* lib/driver/netbsd.c, src/cd-info.c: NetBSD/OpenBSD: Do not assume
	the first track number is 1.  Found by Thomas Schmitt:

	http://lists.gnu.org/archive/html/libcdio-devel/2018-10/msg00025.html

2018-09-10  Edd Barrett <vext01@gmail.com>

	* src/cdda-player.c: cdda-player: Add missing `-d` to help message
	and fix an indent.

2018-09-01  Edd Barrett <vext01@gmail.com>

	* src/cdda-player.c: cdda-player: Missing set of b_cd for stopping
	the CD non-interactive.

2018-09-01  Edd Barrett <vext01@gmail.com>

	* src/cdda-player.c: cdda-player: Ensure that stdin is in the fd set
	for select_wait().

2018-09-01  Edd Barrett <vext01@gmail.com>

	* src/cdda-player.c: cdda-player: Unbreak -s.

2018-06-19  Edd Barrett <vext01@gmail.com>

	* lib/driver/netbsd.c: NetBSD/OpenBSD: Merge in-tree driver with the
	local patch in OpenBSD ports.  Some time ago Jasper Lievisse Adriaanse imported libcdio into
	OpenBSD ports including with a dedicated OpenBSD backend:
	https://cvsweb.openbsd.org/cgi-bin/cvsweb/ports/audio/libcdio/files/openbsd.c?rev=1.4&content-type=text/x-cvsweb-markupThis change merges his work into the existing NetBSD backend (there
	were many missing functions in the NetBSD backend).  Note that in doing so, we also switched from LBA addressing to MSF
	addressing.  Fixes many problems with the NetBSD driver on OpenBSD.

2018-06-19  Edd Barrett <vext01@gmail.com>

	* lib/driver/netbsd.c: NetBSD driver: Improve device enumeration and
	make it work on OpenBSD.

2018-09-10  Edd Barrett <vext01@gmail.com>

	* lib/driver/netbsd.c: NetBSD: libcdio_error -> libcdio_warn.

2018-06-11  Edd Barrett <vext01@gmail.com>

	* autogen.sh: OpenBSD: Make autogen.sh work on OpenBSD.

2018-12-02  R. Bernstein <rocky@gnu.org>

	* src/cd-info.c: Slight correction to Edd's patch

2018-10-26  R. Bernstein <rocky@gnu.org>

	* configure.ac: Disable cdda_player on NetBSD

2018-09-16  R. Bernstein <rocky@gnu.org>

	* autogen.sh: Fix barf of autogen.sh on creating stamp-vti

2018-09-01  R. Bernstein <rocky@gnu.org>

	* : commit cb487963c4ae1ae11cf092e1b822463c9290ea37 Author: R.
	Bernstein <rocky@gnu.org> Date:   Thu Aug 30 21:02:34 2018 -0400

2018-08-12  R. Bernstein <rocky@gnu.org>

	* lib/driver/netbsd.c: linux->netbsd in some names in netbsd.c

2018-08-12  R. Bernstein <rocky@gnu.org>

	* lib/driver/gnu_linux.c, lib/driver/netbsd.c: Netbsd alignment...  - Add write and exclusive-write CD access modes - add netbsd mode1 reading like others

2018-07-03  R. Bernstein <rocky@gnu.org>

	* : Merge remote-tracking branch 'origin/stef-cdda-lib-patch'

2018-06-28  R. Bernstein <rocky@gnu.org>

	* configure.ac: cdda-player configure patch from Stef #54191 From Stef: I came up with a patch that I believe will work for
	everyone.  It uses AC_SEARCH_LIBS, instead of AC_CHECK_LIB. So, if
	keypad() is defined in -lncurses or -lcurses, it does exactly what
	it does now. However, if -ltinfo is needed, it is added to
	CDDA_PLAYER_LIBS along with the curses library.

2018-06-28  R. Bernstein <rocky@gnu.org>

	* : Merge remote-tracking branch 'origin/api-doc'

2018-06-17  R. Bernstein <rocky@gnu.org>

	* include/cdio/disc.h: Small typo caught by Thomas...  Remove read-disc-struct binary

2018-06-16  Thomas Schmitt <scdbackup@gmx.net>

	* example/cdtext-raw.c: Added comment to explain why function
	language_code_tests() exists

2018-06-13  R. Bernstein <rocky@gnu.org>

	* example/cdtext.c: Small change in comment wording.

2018-06-13  R. Bernstein <rocky@gnu.org>

	* conf9AaqoM/subs.awk, conf9AaqoM/subs1.awk,
	test/driver/abs_path.dSYM/Contents/Info.plist: Remove addition of
	unintended files...  thanks to Thomas for pointing out.

2018-06-13  R. Bernstein <rocky@gnu.org>

	* : commit ce2a26f2fcfc860c99b0ec75f0873d09e1230b64 Author: R.
	Bernstein <rocky@gnu.org> Date:   Wed Jun 13 04:22:48 2018 -0400

2018-06-12  R. Bernstein <rocky@gnu.org>

	* conf9AaqoM/subs.awk, conf9AaqoM/subs1.awk, config_extract.sh,
	example/read-disc-struct.c, example/read-disc-struct.sh,
	test/driver/abs_path.dSYM/Contents/Info.plist: 
	fc94b050dcd361b6f18dbef3886384ee520a4d4b

2018-06-05  Pete Batard <pete@akeo.ie>

	* lib/driver/image/bincue.c, lib/driver/image/nrg.c: Fix MinGW
	inlining failed warnings The latest MinGW32 reports the following during compilation: image/bincue.c: In function 'cdio_get_devices_bincue':
	image/bincue.c:992:20: warning: inlining failed in call to
	 'Win32Glob.constprop': call is unlikely and code size would grow
	 [-Winline] static inline void Win32Glob(const char* pattern, const
	                    char* szCurPath, char ***drives, unsigned int *num_files) ^~~~~~~~~ image/nrg.c: In function 'cdio_get_devices_nrg':
	image/nrg.c:1128:20: warning: inlining failed in call to
	 'Win32Glob.constprop': call is unlikely and code size would grow
	 [-Winline] static inline void Win32Glob(const char* pattern, const
	                    char* szCurPath, char ***drives, unsigned int *num_files) ^~~~~~~~~

2018-05-30  Thomas Schmitt <scdbackup@gmx.net>

	* lib/driver/cdtext.c: Removed an unreachable return statement from
	cdtext_lang2str()

2018-05-29  Thomas Schmitt <scdbackup@gmx.net>

	* lib/driver/cdtext.c: Bug fix: cdtext_lang2str() yielded wrong
	texts, invalid memory addresses, or immediate memory fault with
	language codes above 0x2B.

2018-05-29  Thomas Schmitt <scdbackup@gmx.net>

	* example/cdtext-raw.c: New tests for CDTEXT language code
	conversion

2018-05-28  Thomas Schmitt <scdbackup@gmx.net>

	* include/cdio/cdtext.h, lib/driver/cdtext.c,
	lib/driver/cdtext_private.h, lib/driver/libcdio.sym: Renamed
	internal cdtext_is_language() to cdtext_lang2str() and promoted it
	to API

2018-05-27  Pete Batard <pete@akeo.ie>

	* lib/iso9660/iso9660_fs.c: Switch to using the more relaxed
	from_733 in _iso9660_dir_to_statbuf * Done so that libcdio doesn't bail out when processing
	  non-compliant ISOs such as openSUSE Leap 15.0

2018-05-27  Pete Batard <pete@akeo.ie>

	* include/cdio/bytesex.h: Set from_723 and from_733 to return the
	little-endian value always * And silence the warning in case of little-endian and big-endian
	mismatch * Also introduce a from_723_with_err() that can be used to report
	  mismatch if needed

2018-05-27  Thomas Schmitt <scdbackup@gmx.net>

	* example/C++/OO/cdtext.cpp, example/cdtext-raw.c,
	example/cdtext.c, include/cdio++/cdtext.hpp, include/cdio/cdtext.h,
	lib/driver/cdtext.c, lib/driver/cdtext_private.h,
	lib/driver/libcdio.sym, src/cd-info.c: New API call
	cdtext_list_languages_v2() to be preferred over now deprecated
	cdtext_list_languages(). New API call cdtext_set_language_index().

2018-05-18  R. Bernstein <rocky@gnu.org>

	* .gitignore: Admnistrivia

2018-05-18  R. Bernstein <rocky@gnu.org>

	* configure.ac: Remove some obsolte macros

2018-02-16  rocky <rocky@gnu.org>

	* src/iso-read.c: Fix small I/O leak when we can't read ISO file See Savannah bug #53170. Thanks to David Binderman.

2017-12-31  R. Bernstein <rocky@gnu.org>

	* NEWS, THANKS, configure.ac, doc/how-to-make-a-release.txt: Get
	ready for release 2.0.0

2017-12-29  R. Bernstein <rocky@gnu.org>

	* configure.ac, example/mmc3.c, example/sample4.c,
	lib/driver/gnu_linux.c, lib/driver/image/bincue.c,
	lib/driver/image/cdrdao.c, lib/driver/image/nrg.c,
	lib/iso9660/iso9660.c, lib/iso9660/iso9660_fs.c,
	lib/iso9660/rock.c, src/cdda-player.c, test/driver/cdda.c,
	test/driver/mmc_read.c, test/testgetdevices.c, test/testiso9660.c,
	test/testisocd.c: Memory leaks and lint found from clang
	"scan_build"

2017-12-24  R. Bernstein <rocky@gnu.org>

	* configure.ac: RC3

2017-12-23  R. Bernstein <rocky@gnu.org>

	* configure.ac, lib/driver/_cdio_generic.c: Removed wrong line

2017-12-22  R. Bernstein <rocky@gnu.org>

	* lib/driver/_cdio_generic.c: Fix double free courtesy of Chris
	Clayton

2017-12-21  R. Bernstein <rocky@gnu.org>

	* NEWS: Update NEWS again

2017-12-21  R. Bernstein <rocky@gnu.org>

	* : commit 48176cc51a183ff52fab338f6bca3033746e3a5f Merge: 872898b6
	6dc697d2 Author: R. Bernstein <rocky@gnu.org> Date:   Thu Dec 21
	23:26:02 2017 -0500

2017-12-21  R. Bernstein <rocky@gnu.org>

	* : commit 6dc697d29a885d87ce37897ba977bd2421c0b32d Author: R.
	Bernstein <rocky@gnu.org> Date:   Thu Dec 21 23:16:17 2017 -0500

2017-12-21  R. Bernstein <rocky@gnu.org>

	* NEWS: Wordsmith NEWS

2017-12-21  R. Bernstein <rocky@gnu.org>

	* NEWS, configure.ac, lib/cdio++/Makefile.am,
	lib/driver/Makefile.am, lib/iso9660/Makefile.am,
	lib/udf/Makefile.am: rc1 candidate - update news, bump SO numbers

2017-12-21  R. Bernstein <rocky@gnu.org>

	* lib/driver/device.c, lib/driver/netbsd.c, src/cd-info.c: Add
	NetBSD drive detection; correct drive detection in cd-info.c Patches from Onno van der Linden

2017-12-20  R. Bernstein <rocky@gnu.org>

	* example/cdtext-raw.c: Windows tolerance in cdtest-raw program

2017-12-20  R. Bernstein <rocky@gnu.org>

	* test/testgetdevices.c: Remove MingGW compile warning in a test

2017-12-20  R. Bernstein <rocky@gnu.org>

	* src/Makefile.am, test/check_common_fn.in, test/driver/realpath.c: 
	Correct realpath for memleaks and MinGW; fix src/Makefile clean
	target

2017-12-19  R. Bernstein <rocky@gnu.org>

	* example/.gitignore, example/Makefile.am, src/Makefile.am: "make
	clean" administrivia Clean OSX schmutz and .libs

2017-12-19  R. Bernstein <rocky@gnu.org>

	* NEWS: Note API breakage in 1.1.0 and 1.0.0

2017-12-10  R. Bernstein <rocky@gnu.org>

	* doc/how-to-make-a-release.txt: Administrivia

2017-12-10  R. Bernstein <rocky@gnu.org>

	* include/cdio/iso9660.h: Doxygen fixups

2017-12-10  R. Bernstein <rocky@gnu.org>

	* NEWS, configure.ac, doc/how-to-make-a-release.txt: Get ready for
	release 1.1.0

2017-12-09  R. Bernstein <rocky@gnu.org>

	* src/cd-drive.c, src/cd-info.c, src/cd-read.c, src/iso-info.c,
	src/iso-read.c, src/mmc-tool.c: DRY/Regularize src programs

2017-12-09  R. Bernstein <rocky@gnu.org>

	* src/cd-drive.c: Small cd-drive.c tweak

2017-12-09  R. Bernstein <rocky@gnu.org>

	* src/cd-drive.c, src/iso-info.c: More memory leak and invalid
	access removal

2017-12-09  R. Bernstein <rocky@gnu.org>

	* lib/driver/osx.c: Fix some of the memory leaks on OSX...  more to come

2017-12-09  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/win32.c: Reduce MSWindows leaks

2017-12-08  R. Bernstein <rocky@gnu.org>

	* lib/driver/FreeBSD/freebsd.c, lib/driver/gnu_linux.c,
	lib/driver/netbsd.c: DRY code. More leak removal.

2017-12-08  R. Bernstein <rocky@gnu.org>

	* lib/driver/FreeBSD/freebsd.c, lib/driver/image/cdrdao.c,
	test/testisocd_joliet.c: Reduce memory leaks

2017-12-07  R. Bernstein <rocky@gnu.org>

	* lib/driver/_cdio_generic.c, lib/driver/aix.c,
	lib/driver/solaris.c, src/iso-info.c, src/mmc-tool.c: Another pass
	at removing memory leaks

2017-12-07  R. Bernstein <rocky@gnu.org>

	* example/C++/Makefile.am, example/C++/OO/Makefile.am,
	example/C++/OO/iso4.cpp, lib/driver/gnu_linux.c,
	lib/iso9660/iso9660_fs.c, test/testisocd.c: Reduce memory leaks and
	invalid pointer accesses

2017-12-06  R. Bernstein <rocky@gnu.org>

	* src/iso-info.c: iso-info: free memory on error

2017-12-06  R. Bernstein <rocky@gnu.org>

	* lib/driver/_cdio_generic.c: Remove duplicate free...  Now that cdio_destroy cleans up after itself better

2017-12-06  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660.c: Another #if -> #ifdef

2017-12-05  R. Bernstein <rocky@gnu.org>

	* NEWS: Typo

2017-12-05  R. Bernstein <rocky@gnu.org>

	* NEWS, configure.ac, doc/how-to-make-a-release.txt: Things in
	preparation for a release

2017-12-05  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/Makefile.am: Bump revision

2017-12-05  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660.c, lib/iso9660/libiso9660.sym: Small stuff..  Includes to patcheds from Ozkan Sezer

2017-12-05  R. Bernstein <rocky@gnu.org>

	* include/cdio/iso9660.h, lib/iso9660/iso9660_fs.c, src/cd-info.c,
	src/iso-info.c: Add Cdio9660DirList type, new() and free()

2017-12-05  R. Bernstein <rocky@gnu.org>

	* : commit fef44a73d92998e34980daa0211959b5f3a2a1b8 Author: R.
	Bernstein <rocky@gnu.org> Date:   Tue Dec 5 17:00:33 2017 -0500

2017-12-02  R. Bernstein <rocky@gnu.org>

	* example/C++/eject.cpp, example/eject.c, lib/driver/device.c: 
	Remove memory leak in cdio_eject_media_drive

2017-12-01  R. Bernstein <rocky@gnu.org>

	* example/C++/Makefile.am, example/C++/OO/isolist.cpp,
	example/C++/isolist.cpp, include/cdio++/iso9660.hpp: Start C++
	cleanup

2017-12-01  R. Bernstein <rocky@gnu.org>

	* example/extract.c, example/isofuzzy.c, example/isolist.c,
	include/cdio/iso9660.h, lib/iso9660/iso9660.c,
	lib/iso9660/iso9660_fs.c, src/cd-info.c, src/iso-info.c: Add custom
	readdir statbuf list...  and free routine

2017-12-01  R. Bernstein <rocky@gnu.org>

	* lib/driver/gnu_linux.c, lib/driver/mmc/mmc_cmd_helper.h,
	test/driver/mmc_read.c, test/driver/mmc_write.c: Remove test leaks
	and uninitialized access

2017-11-30  R. Bernstein <rocky@gnu.org>

	* configure.ac, example/Makefile.am, lib/iso9660/iso9660.c,
	test/Makefile.am, test/testisocd.c, test/testisocd_joliet.c: More
	valgrind warnings...  configure.ac, iso9660.c: initialize tm_zone in tm if that exists
	example/Makefile.am: add make leak-check target
	testisocd{_joliet,}.c: remove memory leaks

2017-11-30  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660_fs.c: Remove invalid access in RR handling

2017-11-30  R. Bernstein <rocky@gnu.org>

	* test/testudf.c: Plug memory leaks in testudf.c

2017-11-30  R. Bernstein <rocky@gnu.org>

	* configure.ac, include/cdio++/iso9660.hpp, include/cdio/iso9660.h,
	lib/cdio++/iso9660.cpp, lib/iso9660/iso9660_fs.c, src/cd-info.c,
	test/Makefile.am, test/driver/Makefile.am, test/testisocd2.c: Lots
	of cleanups...  isio9660.h, iso9660.c, iso9660.hpp   remove mode2 from is9660_fs_stat_translate() and in C++ version   go over doxygen comments. (More is needed) iso-info.c, cd-info.c: use alloca() instead of malloc() where
	possible test/Mamefile.am: correct remake comments for check-leaks testisocd2.c: make leak free iso9660_fs.c: fix memory leak in
	iso9660_ifs_find_lsn

2017-11-28  R. Bernstein <rocky@gnu.org>

	* configure.ac, example/extract.c, example/isofuzzy.c,
	example/isolist.c, example/udf1.c, example/udffile.c,
	include/cdio++/iso9660.hpp, include/cdio/ds.h,
	include/cdio/types.h, lib/cdio++/iso9660.cpp,
	lib/driver/_cdio_stream.c, lib/driver/ds.c, lib/driver/image/nrg.c,
	lib/iso9660/iso9660_fs.c, src/cd-info.c, src/iso-info.c,
	test/testisocd2.c: WIP: deal with memory leaks from cdio_lists TODO:    * create function for dirlist free; is:       _cdio_list_free (dirlist, true, free);    * create function for statbuf free; is:      _cdio_list_free (entlist, true, (CdioDataFree_t)
	     iso9660_stat_free);    * Add targets to run valgrind to look for memory leaks    * Fix remaining memory leaks

2017-11-25  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/aspi32.c, src/cdda-player.c: Restore -x mode
	change

2017-11-25  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/aspi32.c, src/cdda-player.c: Rename some
	shadowed variables

2017-11-25  R. Bernstein <rocky@gnu.org>

	* example/cdchange.c, test/driver/mmc_read.c,
	test/driver/mmc_write.c: do not use sleep() for MS Windows.  From Ozkan Sezer: _sleep() has long been deprecated and no longer prototyped in
	stdlib.h, despite the fact that msvcrt.dll still exports it.
	therefore, undefine HAVE_SLEEP when targeting windows, use Sleep
	win32 api function instead.

2017-11-25  R. Bernstein <rocky@gnu.org>

	* lib/driver/cdio_private.h: fix 'strndup shadows a built-in
	function' warnings From Ozkan Sezer: if strndup() is not available, the build log is plagued with the
	following warnings: lib/driver/cdio_private.h:46:21: warning:
	declaration of 'strndup' shadows a built-in function So, rename the replacement inline strndup to libcdio_strdup, and
	define strndup as libcdio_strndup.

2017-11-25  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/win32_ioctl.c: fix mixed declarations and
	code in win32_ioctl.c from Ozkan Sezer

2017-11-25  R. Bernstein <rocky@gnu.org>

	* : commit 4305bc1e093e4341aeddb857bd1e6203228000cb Author: R.
	Bernstein <rocky@gnu.org> Date:   Sat Nov 25 14:03:37 2017 -0500

2017-11-24  R. Bernstein <rocky@gnu.org>

	* configure.ac, src/cdda-player.c: Bug introduced by unshadowing
	variables Patch from Bernard Cafarelli <voyageur>. See
	https://savannah.gnu.org/bugs/?52495

2017-11-23  R. Bernstein <rocky@gnu.org>

	* configure.ac: Set LIBCDIO_VERSION in a more consistent way we'll use the convention x.y.zjunk => x*10000 + y*100 + z Savannah bug #52491

2017-11-21  R. Bernstein <rocky@gnu.org>

	* configure.ac, doc/how-to-make-a-release.txt: Now in 1.0.1git land

2017-11-21  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc_ll_cmds.h: FIx doxygen-noted problems

2017-11-21  R. Bernstein <rocky@gnu.org>

	* NEWS: What's new in 1.0.0 (update)

2017-11-21  R. Bernstein <rocky@gnu.org>

	* configure.ac: 1.0.0 release

2017-11-21  R. Bernstein <rocky@gnu.org>

	* configure.ac, lib/driver/FreeBSD/freebsd.c, src/cdda-player.c,
	src/getopt.c: Remove more warnings/spurious code

2017-11-20  R. Bernstein <rocky@gnu.org>

	* NEWS, src/iso-info.c, test/check_bad_iso.sh: Fixes for bad iso9660
	detection ...  from Thomas Schmitt

2017-11-20  R. Bernstein <rocky@gnu.org>

	* lib/udf/udf_fs.c: Slight udf tweak

2017-11-20  R. Bernstein <rocky@gnu.org>

	* include/cdio/ds.h, lib/iso9660/iso9660_fs.c: Another small memory
	leak plugged.

2017-11-20  R. Bernstein <rocky@gnu.org>

	* include/cdio/ds.h, lib/driver/device.c, lib/iso9660/iso9660_fs.c,
	test/testisocd.c: Reduce memory leaks...  remove depricated things in dh.h Note: a reworking of ds.h is needed to handle data which has alloc
	memory.

2017-11-20  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/win32_ioctl.c: Move another C  decl

2017-11-20  R. Bernstein <rocky@gnu.org>

	* configure.ac, test/testisocd_joliet.c: Add CC -Wbad-function-cast
	when possible

2017-11-20  R. Bernstein <rocky@gnu.org>

	* configure.ac, example/mmc1.c, lib/driver/abs_path.c,
	src/iso-info.c, test/driver/bincue.c, test/testgetdevices.c,
	test/testisocd2.c: Make sure C decls are not mixed after code

2017-11-19  R. Bernstein <rocky@gnu.org>

	* include/cdio/util.h, lib/driver/image/bincue.c,
	lib/driver/image_common.c, lib/driver/image_common.h,
	lib/iso9660/iso9660_fs.c, src/util.c, test/Makefile.am,
	test/driver/Makefile.am, test/testisocd2.c: Remove more memory
	leaks; remove more #ifdefs

2017-11-19  R. Bernstein <rocky@gnu.org>

	* lib/driver/gnu_linux.c: Another #if -> #ifdef

2017-11-19  R. Bernstein <rocky@gnu.org>

	* test/driver/realpath.c: Remove memory leaks in realpath test

2017-11-19  R. Bernstein <rocky@gnu.org>

	* NEWS, lib/driver/image/nrg.c, test/driver/logger.c: Remove more
	memory leaks (via valgrind)

2017-11-19  R. Bernstein <rocky@gnu.org>

	* lib/driver/cdtext.c: More complete CD-Text free

2017-11-19  R. Bernstein <rocky@gnu.org>

	* README.libcdio, lib/driver/MSWindows/win32.c,
	lib/driver/MSWindows/win32_ioctl.c: MSWindows updates; Update
	README.libcdio;

2017-11-19  R. Bernstein <rocky@gnu.org>

	* lib/driver/FreeBSD/freebsd.c: FreeBSD lint Tidy code now that we assume CAM always

2017-11-19  R. Bernstein <rocky@gnu.org>

	* lib/driver/netbsd.c: Fix NetBSD return type in get_track_format

2017-11-18  R. Bernstein <rocky@gnu.org>

	* include/cdio/types.h, lib/driver/netbsd.c, src/cdda-player.c: 
	NetBSD fixes

2017-11-18  R. Bernstein <rocky@gnu.org>

	* lib/driver/solaris.c: Bring solaris in line with recent changes

2017-11-18  R. Bernstein <rocky@gnu.org>

	* NEWS, src/cd-info.c: bug introduced in unshadowing...  found by clang.  Update NEWS

2017-11-18  R. Bernstein <rocky@gnu.org>

	* configure.ac, include/cdio/device.h,
	lib/driver/FreeBSD/freebsd.h, lib/driver/Makefile.am,
	lib/driver/bsdi.c, lib/driver/device.c, lib/driver/gnu_linux.c,
	lib/driver/image/bincue.c, src/cd-info.c, src/util.c,
	test/testiso9660.c: Remove BSDI remnants. Remove -wundef warnings

2017-11-18  R. Bernstein <rocky@gnu.org>

	* configure.ac, example/audio.c, example/mmc1.c, example/mmc2.c,
	lib/driver/image/bincue.c, src/cd-info.c, src/cdda-player.c,
	src/mmc-tool.c, src/util.c, test/Makefile.am: Don't shadowing
	variables ...  add CC -wshadow

2017-11-18  R. Bernstein <rocky@gnu.org>

	* lib/driver/gnu_linux.c: Fix small bug in GNU/Linux access-mode
	setting

2017-11-18  R. Bernstein <rocky@gnu.org>

	* lib/driver/mmc/mmc.c, test/Makefile.am, test/check_bad_iso.sh: I
	said remove get_trace_isrc_mmc

2017-11-18  R. Bernstein <rocky@gnu.org>

	* test/check_bad_iso.sh: Remove abs_srcdir

2017-11-17  R. Bernstein <rocky@gnu.org>

	* lib/driver/Makefile.am: Bump libcdio_la_CURRENT...  We have removed OS/2 and some deprecations

2017-11-16  R. Bernstein <rocky@gnu.org>

	* NEWS: What's happened in the last year

2017-11-16  R. Bernstein <rocky@gnu.org>

	* include/cdio/device.h, include/cdio/mmc.h,
	lib/driver/Makefile.am, lib/driver/cdio_private.h,
	lib/driver/device.c, lib/driver/os2.c: Remove deprecated stuff...  - OS/2 driver - mmc_isrc_track_read_subchannel - CDIO_MIN_DRIVER, CDIO_MIN_DEVICE_DRIVER, CDIO_MAX_DRIVER,
	CDIO_MAX_DEVICE_DRIVER Apple Darwin OS X -> macOS

2017-11-16  R. Bernstein <rocky@gnu.org>

	* README.libcdio, configure.ac, lib/iso9660/iso9660_fs.c,
	lib/iso9660/rock.c: Merge Thomas' changes and ...  Try release 1.0.0rc1 Some grammar changes made in comments.

2017-11-16  R. Bernstein <rocky@gnu.org>

	* : commit ddd984854b09c1a8203867534c087c0d83ff8622 Author: R.
	Bernstein <rocky@gnu.org> Date:   Mon Oct 9 12:35:54 2017 -0400

2017-09-26  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660_fs.c, src/iso-info.c, src/util.c,
	test/Makefile.am, test/check_bad_iso.sh, test/check_iso.sh.in,
	test/data/Makefile.am: handle bad iso 9660 better. Fixes bug #52091 src/iso-info.c: reflect errors in getting information back in exit
	code lib/iso9660_fs.c: bail when we there is bad stat info for a
	              directory change interface to report failure src/util.h: bump
	copyright test/data/bad-dir.iso: bad ISO 9660 test/check_bad_iso.sh:
	test program test/check_iso.sh.in: expect nonzero RC on failures

2017-09-16  R. Bernstein <rocky@gnu.org>

	* : commit 266aa360193dc66ec7650e8804cdcb354b657633 Author: R.
	Bernstein <rocky@gnu.org> Date:   Sat Sep 16 08:43:33 2017 -0400

2017-09-16  R. Bernstein <rocky@gnu.org>

	* README.libcdio: Note --enable-maintainer-mode

2017-09-15  R. Bernstein <rocky@gnu.org>

	* lib/driver/osx.c, test/check_cdtext.sh: (High) Sierra compatiablity...  osx.c: Use libcdio version of assert, not OSX's.  check_cdtext.sh:
	return should only be used inside functions

2017-08-25  R. Bernstein <rocky@gnu.org>

	* configure.ac, lib/driver/utf8.c: iconv is need to build libcdio...  Add check in configure.ac (was just for joliet) and add check in
	code that needs it.

2017-08-22  R. Bernstein <rocky@gnu.org>

	* lib/driver/netbsd.c: Add NetBSD patch-ad

2017-07-30  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660_fs.c: Fix type bug, and attempt to improve
	comments.

2017-07-30  Thomas Schmitt <scdbackup@gmx.net>

	* lib/iso9660/iso9660_fs.c: Hopefully final fix for
	https://savannah.gnu.org/bugs/?45015

2017-07-29  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660_fs.c, lib/iso9660/rock.c: Thomas Schmitt's
	fixes for Rock Ridge SUSP See the thread in

	http://lists.gnu.org/archive/html/libcdio-devel/2017-07/msg00000.html

2017-03-25  R. Bernstein <rocky@gnu.org>

	* include/cdio/udf_time.h: change MinGW guard around rolling our own
	timespec

2017-03-14  R. Bernstein <rocky@gnu.org>

	* autogen.sh: Force creating stamp-vti update in autogen.sh

2017-03-14  R. Bernstein <rocky@gnu.org>

	* : commit 251bb7082c7073f4c2073673d29b59c1c12d765f Author: Pete
	Batard <pete@akeo.ie> Date:   Mon Mar 13 11:56:46 2017 +0100

2017-03-13  Pete Batard <pete@akeo.ie>

	* lib/driver/_cdio_stdio.c, lib/driver/_cdio_stream.c,
	lib/driver/ds.c, lib/driver/utf8.c, lib/driver/util.c,
	lib/iso9660/iso9660_fs.c, lib/udf/udf_fs.c: add asserts to test
	memory allocations Also use the common breakdown for calloc() parameters, add a missing
	closing parenthesis in a log statement and NUL terminate a string
	after the srtncpy() call.

2017-02-05  R. Bernstein <rocky@gnu.org>

	* : commit 8b90e80cd30b5dbb1b10054c8792b644e1dabdae Author: R.
	Bernstein <rocky@gnu.org> Date:   Sun Feb 5 07:28:49 2017 -0500

2016-11-29  enzo1982 <robert.kausch@freac.org>

	* configure.ac: Enable CD drivers on current and future versions of
	FreeBSD and Darwin (OS X), so we do not have to add every new OS
	version explicitly.

2016-11-20  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/win32_ioctl.c, lib/iso9660/iso9660_fs.c: 
	Remove minor print cast warnings From Ozkan Sezer <sezero>

2016-11-20  R. Bernstein <rocky@gnu.org>

	* configure.ac: ross-compiling friendliness part 3 check /bin/bash.exe result only if not cross-compiling.  From Ozkan Sezer <sezero>

2016-11-20  R. Bernstein <rocky@gnu.org>

	* lib/driver/Makefile.am, lib/iso9660/Makefile.am: Cross-compile
	friendliness part 2 Do not call 'nm' directly, use the NM variable instead.  From Ozkan Sezer <sezero>

2016-11-20  R. Bernstein <rocky@gnu.org>

	* lib/driver/cdio_private.h: cross-compile friendliness - part 1 stdlib.h and string.h are needed for malloc, strlen and strncpy From Ozkan Sezer <sezero>

2016-11-20  R. Bernstein <rocky@gnu.org>

	* doc/libcdio.texi: Documentation fixes by Wieland Hoffmann See https://savannah.gnu.org/patch/index.php?8915 - Remove a duplicate example program entry - Move a period to the correct place

2016-10-22  R. Bernstein <rocky@gnu.org>

	* : commit 8815de6f669c29a0639c9a567dd49f4d9ebe4801 Author: R.
	Bernstein <rocky@gnu.org> Date:   Sat Oct 22 20:43:43 2016 -0400

2016-10-22  R. Bernstein <rocky@gnu.org>

	* Makefile.am, configure.ac, doc/Makefile.am,
	doc/how-to-make-a-release.txt, include/cdio/mmc.h,
	include/cdio/mmc_ll_cmds.h: Get ready for release 0.94

2016-10-16  R. Bernstein <rocky@gnu.org>

	* NEWS: NEWS typos and updates

2016-10-16  enzo1982 <robert.kausch@freac.org>

	* configure.ac: Use Darwin driver on macOS versions through Sierra.

2016-10-15  R. Bernstein <rocky@gnu.org>

	* NEWS, configure.ac, doc/Makefile.am,
	lib/driver/FreeBSD/freebsd_cam.c,
	lib/driver/FreeBSD/freebsd_ioctl.c, lib/driver/_cdio_stdio.c,
	lib/driver/_cdio_stream.c, lib/driver/cdio.c, lib/driver/ds.c,
	lib/driver/sector.c, lib/iso9660/iso9660.c: 0.94 release candidate 1 * gcc -Wend-labels -> -Wendif-labels * remove rcsid's and some trailing blanks in those files

2016-09-16  R. Bernstein <rocky@gnu.org>

	* autogen.sh: Add code to get version.texi to get built

2016-08-12  R. Bernstein <rocky@gnu.org>

	* .gitignore: More ignore

2016-08-12  R. Bernstein <rocky@gnu.org>

	* include/cdio/types.h: g++ greater than 4.0 handles "pack" Fixes bug #48759 where example/C++/isolist.cpp built with g++ fails
	on gcc 5.0 and greater

2016-08-12  R. Bernstein <rocky@gnu.org>

	* include/cdio/types.h: g++ > 4.0 handles pack Fixes bug #48759 hwere isoilst examples built with g++ >5 are
	failing

2016-07-11  R. Bernstein <rocky@gnu.org>

	* Makefile.am, lib/driver/abs_path.c, lib/driver/cdio_private.h: 
	conditional GIT2CL; host stndup replacment GIT2CL only if --maintainer-mode stndump in cdio_private.h for those
	systems that don't ahve it Changes suggested by Thomas Schmitt

2016-06-04  Leon Merten Lohse <leon@green-side.de>

	* doc/CD-TEXT-testfiles: Add documentation for Thomas Schmitts'
	CD-TEXT test files

2016-06-03  Leon Merten Lohse <leon@green-side.de>

	* test/Makefile.am, test/cdtext-libburnia.right, test/cdtext.right,
	test/check_cdtext.sh, test/data/Makefile.am, test/data/cdtext.cue: 
	Add dedicated unit test for the CD-Text parser Adds a dedicated test script (bash) for the CD-Text parser, using
	one of the example tools (cdtext-raw) to call libcdio's CD-Text
	parser and display the fields.  Tests are performed for two files,
	one generated by libburnia, the other one by a win95 reference tool.

2016-06-01  Leon Merten Lohse <leon@green-side.de>

	* : Merge remote-tracking branch
	'origin/source-configured-via-compile-switches' into cdtext-testing

2016-06-01  Leon Merten Lohse <leon@green-side.de>

	* include/cdio/mmc.h, lib/driver/_cdio_generic.c,
	lib/driver/libcdio.sym, lib/driver/mmc/mmc.c,
	lib/driver/mmc/mmc_private.h: Expose mmc_read_cdtext as a publicly
	accessable function Removes some redundant error reporting in mmc_read_cdtext (was
	mmc_read_cdtext_private) and make the function public.  Also fixes
	some incorrect lengths for isrc and mcn.

2016-06-01  Leon Merten Lohse <leon@green-side.de>

	* example/.gitignore: Add cdtext-raw to gitignore

2016-05-31  Leon Merten Lohse <leon@green-side.de>

	* lib/driver/mmc/mmc.c: Fix inconsistent maximal length in CD-Text
	extraction

2016-05-31  Leon Merten Lohse <leon@green-side.de>

	* configure.ac, test/.gitignore, test/Makefile.am,
	test/check_common_fn.in, test/check_cue.sh.in,
	test/driver/.gitignore, test/driver/Makefile.am,
	test/driver/{bincue.c.in => bincue.c}, test/driver/{cdrdao.c.in =>
	cdrdao.c}, test/driver/{nrg.c.in => nrg.c}, test/driver/{track.c.in
	=> track.c}, test/{testgetdevices.c.in => testgetdevices.c},
	test/{testisocd2.c.in => testisocd2.c}, test/{testisocd_joliet.c.in
	=> testisocd_joliet.c}, test/{testisorr.c.in => testisorr.c},
	test/{testpregap.c.in => testpregap.c}, test/{testudf.c.in =>
	testudf.c}: Make test sources independent of configure variables The binary tests need the location of the data files. This was
	previously achieved by generating the sources with configure.  This
	commit passes it via -DDATA_DIR to the preprocessor so that the
	sources can be static.

2016-05-30  Leon Merten Lohse <leon@green-side.de>

	* lib/driver/mmc/mmc.c: Delete debug printf's

2016-05-30  Leon Merten Lohse <leon@green-side.de>

	* include/cdio/mmc_ll_cmds.h, lib/driver/_cdio_generic.c,
	lib/driver/mmc/mmc.c, lib/driver/mmc/mmc_ll_cmds.c,
	lib/driver/mmc/mmc_private.h: Untangle mmc code for isrc/mmc and
	cdtext This implements (not exclusively) changes proposed by Thomas
	Schmitt.  Added new low level functions for READ SUB-CHANNEL and
	READ TOC/PMA/ATIP for CD-TEXT extraction.

2016-04-13  Leon Merten Lohse <leon@green-side.de>

	* example/Makefile.am, example/README, example/cdtext-raw.c: Add
	example demonstrating the raw cdtext parser This example demonstrates the new API functions.

2016-04-13  Leon Merten Lohse <leon@green-side.de>

	* include/cdio/cdtext.h, lib/driver/cdtext.c,
	lib/driver/cdtext_private.h, lib/driver/libcdio.sym: Add cdtext
	binary parser and track number to public api This introduces 3 new functions to initialize a cdtext struct from
	raw cdtext blob and to access the stored first and last track
	numbers.  The latter is necessary to use the parsed raw cdtext blob
	without the corresponding table of contents.

2016-04-04  Leon Merten Lohse <leon@green-side.de>

	* lib/driver/cdtext.c: Avoid buffer overflow in CD-Text parser A malicious binary CD-Text blob could cause the buffer of the parser
	to overflow. Add a check for buffer length.

2016-04-04  Leon Merten Lohse <leon@green-side.de>

	* lib/driver/cdtext.c: Interpret TAB indicators in CD-Text parser ASCII TAB (0x9) is a special character in the binary CD-Text format
	that is used for consecutive copies of the same string.  Correctly
	interpret this character.

2016-04-03  R. Bernstein <rocky@gnu.org>

	* : Increase track # for short CD-Text fields Bug reported by James Olin Oden in
	https://bugzilla.redhat.com/show_bug.cgi?id=1321677 See also

	http://lists.gnu.org/archive/html/libcdio-devel/2016-03/msg00015.html

2016-04-03  R. Bernstein <rocky@gnu.org>

	* : Increase track # for short CD-Text fields Bug reported by James Olin Oden in
	https://bugzilla.redhat.com/show_bug.cgi?id=1321677 See also

	http://lists.gnu.org/archive/html/libcdio-devel/2016-03/msg00015.htmlOn branch parsing-CD-Text-short-fields

2016-04-02  R. Bernstein <rocky@gnu.org>

	* lib/driver/cdtext.c, test/cdtext.right: Increase track # for short
	CD-Text fields Bug reported by James Olin Oden in
	https://bugzilla.redhat.com/show_bug.cgi?id=1321677 See also

	http://lists.gnu.org/archive/html/libcdio-devel/2016-03/msg00015.html

2016-04-03  R. Bernstein <rocky@gnu.org>

	* : commit 90b6276c21cc994e1ba10234bae640f478b21cbe Author: R.
	Bernstein <rocky@gnu.org> Date:   Sat Apr 2 21:41:38 2016 -0400

2016-04-02  R. Bernstein <rocky@gnu.org>

	* lib/driver/cdtext.c, test/cdtext.right: fix incorrect parsing of
	CD-Text with short fields See

	http://lists.gnu.org/archive/html/libcdio-devel/2016-03/msg00015.html

2015-07-28  R. Bernstein <rocky@gnu.org>

	* configure.ac, test/driver/logger.c: Fix warning from automake.
	From Adrian Reber During ./autogen.sh following message was printed out: lib/driver/Makefile.am:54: warning: source file 'FreeBSD/freebsd.c'
	is in a subdirectory, lib/driver/Makefile.am:54: but option
	'subdir-objects' is disabled automake: warning: possible
	forward-incompatibility.  automake: At least a source file is in a
	subdirectory, but the 'subdir-objects' automake: automake option
	hasn't been enabled.  For now, the corresponding output automake:
	object file(s) will be placed in the top-level directory.  However,
	automake: this behaviour will change in future Automake versions:
	they will automake: unconditionally cause object files to be placed
	in the same subdirectory automake: of the corresponding sources.
	automake: You are advised to start using 'subdir-objects' option
	throughout your automake: project, to avoid future
	incompatibilities.  Adding the 'subdir-objects' option to AM_INIT_AUTOMAKE removes this
	warning.

2015-07-28  R. Bernstein <rocky@gnu.org>

	* .gitignore, configure.ac, doc/libcdio.texi, example/.gitignore,
	lib/driver/MSWindows/aspi32.c, lib/driver/image/bincue.c,
	lib/driver/image/cdrdao.c, lib/driver/sector.c, lib/driver/util.c,
	src/getopt.c, test/.gitignore, test/Makefile.am,
	test/copying-rr-mingw.right, test/driver/logger.c,
	test/driver/mmc_write.c, test/testgetdevices.c.in,
	test/testisocd2.c.in: Remove executable bit from files. From Adrian
	Reber https://bugzilla.redhat.com/show_bug.cgi?id=1247351

2015-06-15  enzo1982 <robert.kausch@freac.org>

	* lib/driver/memory.c: Fixed cdio_free leaking instead of freeing
	the passed pointer.

2015-06-14  enzo1982 <robert.kausch@freac.org>

	* lib/driver/osx.c: Fix disc eject for Cocoa apps and support
	ejecting CD-Extra discs on OS X.

2015-06-12  enzo1982 <robert.kausch@freac.org>

	* lib/driver/gnu_linux.c: Make sure device is opend in read/write
	mode when trying to eject.

2015-05-26  R. Bernstein <rocky@gnu.org>

	* lib/driver/logging.c: Document better the cdio_logv recursion
	situtation

2015-05-26  R. Bernstein <rocky@gnu.org>

	* lib/driver/logging.c: Recursion checking in cdio_logv() can't use
	cdio_assert_not_reached() which causes more recursion. To reduce the
	possibility concurrent log writes, we'll eliminate those that are
	ignored earlier.  sr #108751:

2015-05-08  R. Bernstein <rocky@gnu.org>

	* include/cdio/bytesex.h, lib/iso9660/iso9660_fs.c: Add an error
	reporting from_733_with_err bug #45014

2015-05-08  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/rock.c, src/util.c: Guard against malformed rockridge
	iso.  See bug #45015

2015-05-08  R. Bernstein <rocky@gnu.org>

	* configure.ac, lib/iso9660/iso9660_fs.c, test/driver/logger.c,
	test/driver/realpath.c: iso9660_fs.c: DRY free code a little
	logger.c: remove gcc warning configure.ac: start testing for mkstemp
	for possible use in the future.

2015-05-08  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660_fs.c, test/Makefile.am, test/check_iso.sh.in,
	test/data/Makefile.am, test/malformed2.right: bug #45013: malformed
	iso crashes iso-info

2015-05-08  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660_fs.c, test/Makefile.am, test/check_iso.sh.in,
	test/data/Makefile.am, test/data/malformed.iso,
	test/malformed.right: guard against 0-size calloc bug #45016

2015-02-23  R. Bernstein <rocky@gnu.org>

	* configure.ac, example/logging.c, lib/driver/device.c,
	lib/driver/image/cdrdao.c, src/cd-drive.c, src/cdda-player.c: Scale
	back on CC warning opts used - for now.  Address some warnings
	though.

2015-02-23  R. Bernstein <rocky@gnu.org>

	* configure.ac: Fix configure gcc warning flags test/set

2015-01-19  R. Bernstein <rocky@gnu.org>

	* doc/libcdio.texi: Typo: Logical Sector Number -> Logical Block
	Address. Correction from Matthew Gambrell -

2015-01-13  R. Bernstein <rocky@gnu.org>

	* lib/udf/udf_fs.c: testudf segfaults/fails on big endian arches
	because few values are not converted from LE to native number.
	Savannah bug #43995. Patch from Dan Horak.

2014-10-20  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/win32.c, lib/driver/MSWindows/win32.h,
	lib/driver/MSWindows/win32_ioctl.c: Add get_last_session to the
	win32 driver. Also fixes cd-paranoia behavior. Savannah bug #43446.

2014-10-19  R. Bernstein <rocky@gnu.org>

	* doc/how-to-make-a-release.txt, lib/driver/mmc/mmc_hl_cmds.c: 
	mmc_set_drive_speed: GNU/Linux ioctl treats <= 0 as max speed, so
	we'll do that here as well. Savannah bug #43428

2014-09-29  R. Bernstein <rocky@gnu.org>

	* configure.ac, doc/how-to-make-a-release.txt: In 0.94git now

2014-09-29  R. Bernstein <rocky@gnu.org>

	* NEWS, configure.ac: Release 0.93

2014-09-26  R. Bernstein <rocky@gnu.org>

	* lib/cdio++/Makefile.am: INCLUDES->AM_CPPFLAGS

2014-09-26  enzo1982 <robert.kausch@freac.org>

	* configure.ac, lib/driver/sector.c: Two files still mentioned
	GPLv2.

2014-09-25  R. Bernstein <rocky@gnu.org>

	* lib/driver/utf8.c: One more gcc warning removed

2014-09-24  R. Bernstein <rocky@gnu.org>

	* lib/driver/FreeBSD/freebsd.c, lib/driver/device.c,
	lib/driver/image/bincue.c, lib/driver/mmc/mmc.c, src/cd-drive.c: 
	Silence more gcc warnings

2014-09-24  R. Bernstein <rocky@gnu.org>

	* NEWS, lib/driver/Makefile.am, lib/driver/mmc/mmc.c,
	lib/iso9660/Makefile.am, lib/udf/Makefile.am, src/cd-info.c,
	test/Makefile.am: lib/*/Makefile.am: bump version in preparation of
	relase 0.93 test/Makefile.am: add proper dependency on test/example
	NEWS: not coverty work

2014-09-24  R. Bernstein <rocky@gnu.org>

	* : commit cdc3cfa07cf1059b63c145a32aa62f2b1fdcb065 Author: R.
	Bernstein <rocky@gnu.org> Date:   Wed Sep 24 20:26:50 2014 -0400

2014-09-24  R. Bernstein <rocky@gnu.org>

	* NEWS, src/Makefile.am: Perparation for 0.93 release.

2014-09-24  enzo1982 <robert.kausch@freac.org>

	* doc/libcdio.texi: Update docs for change in cdio-paranoia.

2014-09-24  enzo1982 <robert.kausch@freac.org>

	* example/isolsn.c, include/cdio++/iso9660.hpp,
	include/cdio/iso9660.h, include/cdio/xa.h, lib/cdio++/iso9660.cpp,
	lib/iso9660/iso9660_fs.c, lib/iso9660/libiso9660.sym,
	lib/iso9660/xa.c: Add iso9660_stat_free and iso9660_xa_free
	functions.

2014-09-24  enzo1982 <robert.kausch@freac.org>

	* include/cdio++/cdtext.hpp, include/cdio++/disc.hpp,
	include/cdio++/mmc.hpp, include/cdio/Makefile.am,
	include/cdio/cdio.h, include/cdio/cdtext.h, include/cdio/disc.h,
	include/cdio/memory.h, include/cdio/mmc.h, include/cdio/track.h,
	include/cdio/utf8.h, include/cdio/util.h, lib/driver/Makefile.am,
	lib/driver/_cdio_stdio.c, lib/driver/cdtext.c, lib/driver/disc.c,
	lib/driver/image/bincue.c, lib/driver/image/cdrdao.c,
	lib/driver/libcdio.sym, lib/driver/memory.c, lib/driver/mmc/mmc.c,
	lib/driver/track.c, lib/driver/utf8.c, lib/driver/util.c,
	src/cd-info.c, src/mmc-tool.c, test/driver/mmc_read.c,
	test/driver/mmc_write.c: Add cdio_free function for freeing memory
	allocated by libcdio.

2014-07-30  R. Bernstein <rocky@gnu.org>

	* lib/driver/os2.c, src/getopt.h: Make high memory safe on OS/2 -
	from KO

2014-07-27  R. Bernstein <rocky@gnu.org>

	* .gitignore, THANKS: More ignore. Update OS/2 email contact.

2014-06-22  R. Bernstein <rocky@gnu.org>

	* example/audio.c, include/cdio++/cdio.hpp,
	lib/driver/image/bincue.c, lib/driver/image/cdrdao.c,
	lib/driver/image/nrg.c, lib/driver/mmc/mmc.c, src/cd-info.c,
	src/iso-read.c, src/mmc-tool.c: A couple more coverty-found
	problems, none serious

2014-06-22  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660_fs.c, src/iso-read.c: A couple more
	coverty-found memory leaks in minor code

2014-06-22  R. Bernstein <rocky@gnu.org>

	* example/udf1.c, src/cd-info.c, src/iso-info.c: A couple more
	coverty-found memory leaks in minor code

2014-06-22  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660_fs.c, src/iso-read.c, src/util.c: Some minor
	coverty-found memory leaks

2014-06-21  R. Bernstein <rocky@gnu.org>

	* lib/driver/mmc/mmc.c: Remove possible illegal access in mmc.c
	suggested by coverty

2014-06-21  R. Bernstein <rocky@gnu.org>

	* lib/udf/udf_fs.c: Coverty-informed error fixed: cd-info: don't
	overrun _fullname. This time, for sure!

2014-06-20  R. Bernstein <rocky@gnu.org>

	* src/cd-info.c: Coverty-informed error fixed: cd-info: don't
	overrun _fullname

2014-06-20  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660.c, lib/udf/udf_fs.c, src/iso-info.c: Coverty
	informed errors fixed: Make sure tokenline ends in '\0'; make sure
	we don't leak on multiple storage iso-info -i switches

2014-06-20  R. Bernstein <rocky@gnu.org>

	* example/extract.c, lib/driver/image/bincue.c, src/iso-info.c: 
	Reduce coverty-found errors

2014-06-20  R. Bernstein <rocky@gnu.org>

	* lib/driver/image/cdrdao.c: Fix compilation error. Simplify by
	reducing scope of psz_dirname and psz_filename.

2014-06-18  R. Bernstein <rocky@gnu.org>

	* doc/libcdio.texi, example/mmc2.c, include/cdio/mmc.h,
	lib/driver/FreeBSD/freebsd.c, lib/driver/MSWindows/win32.c,
	lib/driver/MSWindows/win32.h, lib/driver/MSWindows/win32_ioctl.c,
	lib/driver/aix.c, lib/driver/bsdi.c, lib/driver/gnu_linux.c,
	lib/driver/libcdio.sym, lib/driver/mmc/mmc.c,
	lib/driver/mmc/mmc_private.h, lib/driver/netbsd.c,
	lib/driver/os2.c, lib/driver/solaris.c, src/cd-info.c: Merge commit
	'2561384' into static-analysis. Remove Illegal address computation

2014-06-18  R. Bernstein <rocky@gnu.org>

	* src/getopt_int.h: This file is now needed for getopt

2014-06-18  R. Bernstein <rocky@gnu.org>

	* example/mmc2.c: Remove illegal address computation caught by
	coverty

2014-06-13  R. Bernstein <rocky@gnu.org>

	* src/getopt.c, src/getopt.h, src/getopt1.c: Updated getopt to the
	version included with glibc 2.19. [robert kausch]

2014-06-13  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660_fs.c: Fixed ISO 9660 bugs reported by
	Frantisek Kluknavsky.

2014-06-14  enzo1982 <robert.kausch@freac.org>

	* src/getopt.c, src/getopt.h, src/getopt1.c, src/getopt_int.h: 
	Updated getopt to the version included with glibc 2.19.

2014-06-14  enzo1982 <robert.kausch@freac.org>

	* lib/driver/abs_path.c, lib/driver/cdio_private.h,
	lib/driver/image/bincue.c, lib/driver/image/cdrdao.c,
	test/driver/abs_path.c: Avoid memory leaks with cdio_dirname and
	cdio_abspath.  The functions were changed to always allocate memory to be freed by
	the caller. Before, callers were unable to know if the returned
	string was stack- or heap-allocated and thus unable to free
	heap-allocated strings.

2014-06-13  enzo1982 <robert.kausch@freac.org>

	* lib/iso9660/iso9660_fs.c, lib/udf/udf_fs.c: Fixed bugs reported by
	Frantisek Kluknavsky.

2014-06-08  R. Bernstein <rocky@gnu.org>

	* doc/libcdio.texi: Some doc typos. Add mention of mmc-tool. Note
	that paraonia is separate and is GPL2

2014-06-07  Robert Kausch <robert.kausch@freac.org>

	* : commit 6550d3a654b4beb708d6ea296cf9110e75320100 Author: Robert
	Kausch <robert.kausch@freac.org> Date:   Sat Jun 7 13:28:06 2014
	+0200

2014-06-07  Robert Kausch <robert.kausch@freac.org>

	* lib/driver/FreeBSD/freebsd.c, lib/driver/MSWindows/win32.c,
	lib/driver/MSWindows/win32.h, lib/driver/MSWindows/win32_ioctl.c,
	lib/driver/aix.c, lib/driver/bsdi.c, lib/driver/gnu_linux.c,
	lib/driver/netbsd.c, lib/driver/os2.c, lib/driver/solaris.c: Enable
	cdio_get_track_isrc in drivers.

2014-06-07  Robert Kausch <robert.kausch@freac.org>

	* include/cdio/mmc.h, src/cd-info.c: Deprecate
	mmc_isrc_track_read_subchannel.

2014-06-07  Robert Kausch <robert.kausch@freac.org>

	* include/cdio/mmc.h, lib/driver/libcdio.sym, lib/driver/mmc/mmc.c,
	lib/driver/mmc/mmc_private.h: Add mmc_get_track_isrc function.

2014-06-06  Robert Kausch <robert.kausch@freac.org>

	* configure.ac: configure.ac: recognize Darwin 13 and 14 (OS X 10.9
	and 10.10)

2014-06-05  Robert Kausch <robert.kausch@freac.org>

	* lib/driver/osx.c: lib/driver/osx.c: probe devices before querying
	media list The problem with IOServiceGetMatchingServices is that the result is
	cached by the system so if you insert or remove a disc between two
	calls, you won't get updated information.  To get an up to date media list, we need to probe the storage
	devices using IOServiceRequestProbe before each call.

2014-06-05  R. Bernstein <rocky@gnu.org>

	* THANKS: Add Robert Kausch

2014-06-04  R. Bernstein <rocky@gnu.org>

	* configure.ac, lib/driver/netbsd.c: From Robert Kausch: configure
	recognizes OpenBSD (via the NetBSD driver) which Robert says he has
	tested

2014-06-04  R. Bernstein <rocky@gnu.org>

	* configure.ac: From Robert Kausch: configure recognizes FreeBSD 10
	which Robert says he has tested

2014-06-04  R. Bernstein <rocky@gnu.org>

	* .gitignore, config_extract.rb, example/Makefile.am,
	lib/driver/MSWindows/win32.c, src/cd-read.c, test/Makefile.am: From
	Robert Kausch: Binary file I/O on MS Windows.  More ignore, and
	remove schmutz files created in testing

2014-06-04  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/win32_ioctl.c: More great work from From
	Robert Kausch (https://savannah.gnu.org/patch/index.php?8302): - make buffer size unlimited again in buffered mode - do not set Spt.Cdb[4] to buffer size as position of allocation
	size field depends on CDB size and is not always at byte 4, rely on
	caller to set the field as in direct mode - fix memory leak in case of an error in buffered mode (p_sptwb was
	not freed) - use stack allocated structure in direct mode to prevent constant
	reallocation of memory (note that before the patch, memory was
	allocated to include the buffer as well, which was pointless as an
	already allocated buffer is passed in direct mode) - rename direct mode unsigned int parameters u_* to match buffered
	mode parameter names - fix top comment to use correct parameter names and include u_cdb
	Direct mode is functionally unchanged.

2014-03-13  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/rock.c: From Pete Batard: Fix unwanted 'Unsupported NM
	flag settings' messages

2014-03-08  R. Bernstein <rocky@gnu.org>

	* configure.ac: Bump version to 0.93git

2014-03-08  R. Bernstein <rocky@gnu.org>

	* lib/driver/Makefile.am: Bug #41811 linking libcdio.dylib on OSX -
	missing libraries from $DARWIN_PKG_LIB_HACK

2014-02-22  rocky <rocky@gnu.org>

	* : commit c8eb88a0fdfe1dd0808c0a02025a3ffe7072d12c Author: Pete
	Batard <pbatard@gmail.com> Date:   Sun Feb 23 02:28:55 2014 +0000

2014-02-23  Pete Batard <pbatard@gmail.com>

	* : Add new UDF test image

2014-02-21  R. Bernstein <rocky@gnu.org>

	* lib/driver/utf8.c, lib/udf/udf_fs.c, test/check_fuzzyiso.sh,
	test/testudf.c.in: Unicode support to udf_fs and return UTF-8
	strings where relevant. From Pete Batard

2014-02-01  R. Bernstein <rocky@gnu.org>

	* lib/driver/osx.c, test/driver/osx.c: patch #8292: Do not list
	slice devices on OS X. Thanks to robert.kausch@freac.org

2014-02-01  R. Bernstein <rocky@gnu.org>

	* lib/driver/sector.c: patch #8293: Fix minute truncation in
	cdio_lsn_to_msf thanks to Eric Hattow

2013-12-15  R. Bernstein <rocky@gnu.org>

	* NEWS, configure.ac, lib/driver/Makefile.am,
	lib/iso9660/Makefile.am, lib/udf/Makefile.am: Get ready for release
	0.92

2013-12-14  R. Bernstein <rocky@gnu.org>

	* configure.ac: Get ready for release 0.91

2013-12-14  R. Bernstein <rocky@gnu.org>

	* NEWS, include/cdio/iso9660.h, lib/driver/FreeBSD/freebsd.c,
	lib/driver/Makefile.am, lib/iso9660/Makefile.am,
	lib/udf/Makefile.am: Bump age in libudf, libiso966 and libcdio: only
	interfaces added.

2013-12-14  R. Bernstein <rocky@gnu.org>

	* configure.ac: Respect --disable-cxx

2013-12-14  rocky <rocky@gnu.org>

	* example/cdchange.c, lib/driver/cdtext.c, src/iso-read.c: Remove
	remaining compilation warnings. Thanks again to Thomas Schmitt.

2013-12-14  rocky <rocky@gnu.org>

	* lib/driver/cdtext.c, test/driver/mmc_read.c: mmc_read.c: no need
	to special case FreeBSD.  cdtext.c: Remove unnecessary > 0 tests on
	an unsigned int type.  Thanks to Thomas Schmitt.

2013-12-12  R. Bernstein <rocky@gnu.org>

	* lib/driver/_cdio_generic.c, test/driver/mmc_read.c: 
	_cdio_generic.c: correct confusing debug message
	test/driver/mmc_read.c: skip until someone understand what to do
	here.

2013-12-12  R. Bernstein <rocky@gnu.org>

	* lib/driver/FreeBSD/freebsd_ioctl.c: Remove compile warning.

2013-12-09  R. Bernstein <rocky@gnu.org>

	* NEWS, lib/udf/udf_fs.c: Fix UDF library bug on BigEndian CPUs
	(POWER, SPARC, HP/UX)

2013-12-09  R. Bernstein <rocky@gnu.org>

	* lib/udf/udf_fs.c: Towards getting this to be big-endian
	compatible. More work is needed though.

2013-12-08  R. Bernstein <rocky@gnu.org>

	* test/check_iso_read.sh.in: check_iso_read.sh.in: Solaris doesn't
	do test -e, it does test -f. Allow VERBOSE=1 to have this give more
	output

2013-12-08  R. Bernstein <rocky@gnu.org>

	* test/check_iso_read.sh.in: Silence ceck_iso_read.sh. Also don't
	assume tar has -z option. (Solaris for example doesn't)

2013-12-08  R. Bernstein <rocky@gnu.org>

	* Makefile.am, make-check-filter.pl: Add a Perl version of
	make-check-filter.pl for those environments like MinGW that find it
	hard to get Ruby installed. Sigh

2013-12-08  R. Bernstein <rocky@gnu.org>

	* configure.ac, example/Makefile.am: Make 0.91rc1

2013-12-08  R. Bernstein <rocky@gnu.org>

	* test/data/Makefile.am, test/testudf.c.in: Move udf102.iso to the
	place data other test images are located.

2013-11-12  R. Bernstein <rocky@gnu.org>

	* src/iso-info.c: Typo in iso-info usage help corrected by Leo
	Baschy

2013-10-30  R. Bernstein <rocky@gnu.org>

	* test/testudf.c.in: From Pete Batard: Add UDF test for Logical
	Volume ID

2013-10-29  R. Bernstein <rocky@gnu.org>

	* configure.ac, test/.gitignore, test/Makefile.am: From Pete Batard:
	Add UDF test for Logical Volume ID

2013-10-29  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660_fs.c: Don't need to free rr symlink which
	isn't allocated.

2013-10-27  R. Bernstein <rocky@gnu.org>

	* example/Makefile.am, example/isorr.c, include/cdio/iso9660.h,
	lib/iso9660/iso9660_fs.c, src/iso-info.c, test/testisorr.c.in: Put
	limit on amount of file traversion for rock-ridge requested.

2013-10-26  R. Bernstein <rocky@gnu.org>

	* src/iso-info.c: Change report format for showing whether Rock
	Ridge Extensions are used in iso-info

2013-10-24  R. Bernstein <rocky@gnu.org>

	* : commit ed9594d386fa85fde79cfeb5b9fff2dca2425428 Author: R.
	Bernstein <rocky@gnu.org> Date:   Thu Oct 24 06:04:46 2013 -0400

2013-10-21  R. Bernstein <rocky@gnu.org>

	* visualC-config.rb: A stray test/ goit in filename suffixes; chmod
	+x /visualC-config.rb

2013-10-20  R. Bernstein <rocky@gnu.org>

	* test/check_iso_read.sh.in: Revise for POSIX shell (remove bash
	extensions) so it works on systems that don't do /bin/bash, e.g.
	FreeBSD.

2013-10-20  R. Bernstein <rocky@gnu.org>

	* visualC-config.rb: Remove debug puts

2013-10-20  R. Bernstein <rocky@gnu.org>

	* visualC-config.rb: Add LIBCDIO_SOURCE_PATH and substitute in
	doc/doxygen/Doxyfile

2013-10-20  R. Bernstein <rocky@gnu.org>

	* visualC-config.rb: Correct comment for visualC-config's
	perform_substitutions

2013-10-20  R. Bernstein <rocky@gnu.org>

	* NEWS, include/cdio/version.h.in, visualC-config.rb: Start
	alternate method of config OS's that aren't POSIX

2013-10-20  R. Bernstein <rocky@gnu.org>

	* test/Makefile.am: Add special "right" file for mingw32 for
	check_cue.sh

2013-10-20  R. Bernstein <rocky@gnu.org>

	* .gitignore, example/.gitignore, test/.gitignore,
	test/copying-rr-mingw.right: More ignore

2013-10-20  R. Bernstein <rocky@gnu.org>

	* configure.ac, test/check_iso.sh.in: Ignore with MINGW32 RR oddity

2013-10-20  R. Bernstein <rocky@gnu.org>

	* test/Makefile.am, test/check_cue.sh.in, test/testdefault.c,
	test/testgetdevices.c.in, test/testisocd2.c.in: Remove
	test/testdefault.c which is now covered by getdevices.c ; Limp along
	check_cue.sh on cygwin

2013-10-20  R. Bernstein <rocky@gnu.org>

	* test/driver/logger.c: For some reason comparing fn handle on
	MS/Windows does not work. We will see if that is true on other
	platforms too.

2013-10-19  rocky <rocky@gnu.org>

	* test/driver/logger.c: Cast for debug output

2013-10-19  R. Bernstein <rocky@gnu.org>

	* configure.ac: Have to put back in more of the C++ tests. Sigh

2013-10-19  rocky <rocky@gnu.org>

	* configure.ac, test/driver/logger.c: Disable C++ more aggressively
	if disabling C++ desired.

2013-10-19  R. Bernstein <rocky@gnu.org>

	* lib/driver/device.c, lib/driver/utf8.c: Remove 'p_driver_id' may
	be used uninitialized in cdio_close_try. Remove conflicting types in
	cdio_charset_to_utf8. Patches from Pete Batard.

2013-10-19  R. Bernstein <rocky@gnu.org>

	* test/Makefile.am: Better test and linking for isofs-m1.{bin,cue}.
	Problem reported by Pete Batart.

2013-10-14  rocky <rocky@gnu.org>

	* include/cdio/udf.h, lib/udf/udf_fs.c: From Pete Batard: * Add udf_get_logical_valume_id to retreive a UDF Logical Volume
	Identifier string * Fix a possible NULL deref in udf_ff_traverse() * Fix comments that were referencing wrong variable names

2013-10-09  R. Bernstein <rocky@gnu.org>

	* test/testisocd_joliet.c.in: Check that Joliet was configured for
	some tests.

2013-10-09  R. Bernstein <rocky@gnu.org>

	* Makefile.am, configure.ac, lib/driver/_cdio_generic.c,
	lib/driver/cd_types.c, lib/driver/generic.h, lib/iso9660/iso9660.c,
	src/util.c, test/.gitignore, test/Makefile.am,
	test/testisocd2.c.in, test/testisocd_joliet.c.in: Add joliet test
	and joliet level tests

2013-10-08  R. Bernstein <rocky@gnu.org>

	* : commit 4c8361f12c1cb7c2cc4f7246069a0f12b53e59a0 Author: R.
	Bernstein <rocky@gnu.org> Date:   Tue Oct 8 03:04:24 2013 -0400

2013-10-08  R. Bernstein <rocky@gnu.org>

	* lib/driver/_cdio_generic.c, lib/driver/aix.c,
	lib/driver/cd_types.c, lib/driver/generic.h, lib/driver/track.c,
	lib/iso9660/iso9660.c, lib/iso9660/iso9660_fs.c, src/iso-info.c,
	src/util.c: List joliet level on iso-info. i_joliet_level ->
	u_joliet_level. Not in p_iso whether we've read superblock or not.
	Strip blanks in effected files.

2013-09-26  R. Bernstein <rocky@gnu.org>

	* test/check_iso_read.sh.in: As Leo Baschy suggests, we need
	/bin/bash (or ksh) since we use [[ in this program.

2013-09-21  R. Bernstein <rocky@gnu.org>

	* doc/libcdio.texi, example/extract.c, example/logging.c,
	include/cdio/logging.h, lib/driver/libcdio.sym,
	lib/driver/logging.c, test/Makefile.am, test/driver/.gitignore,
	test/driver/Makefile.am, test/driver/logger.c: Rename and expose
	cdio_default_loghandler as the default log handler.
	test/driver/logger.c: Add logging unit test.  doc/libcdio.texi:
	Correct documentation on CDIO_LOG_ASSERT and CDIO_LOG_ERROR.

2013-09-20  R. Bernstein <rocky@gnu.org>

	* doc/libcdio.texi: Update copyright on doc

2013-09-20  R. Bernstein <rocky@gnu.org>

	* doc/libcdio.texi, example/logging.c: Add information about setting
	the log level.

2013-09-20  R. Bernstein <rocky@gnu.org>

	* example/isofile2.c, lib/driver/read.c: More debug logging in
	reading lsn sectors.

2013-09-20  R. Bernstein <rocky@gnu.org>

	* example/logging.c: Add a custom log handler.

2013-09-20  R. Bernstein <rocky@gnu.org>

	* example/Makefile.am, example/isofile2.c, example/logging.c,
	lib/driver/_cdio_generic.c, lib/driver/device.c: example/isofile2.c:
	correct location of ISO9660 file Makefile.am: use logging in list of
	tests logging.c: allow argument to be "debug", "info", "warn", etc.
	or a number _cdio_generic.c: remove stray blanks

2013-09-19  R. Bernstein <rocky@gnu.org>

	* example/.gitignore, example/Makefile.am, example/logging.c,
	include/cdio/device.h, lib/driver/device.c, test/driver/mmc_read.c,
	test/driver/mmc_write.c: include/cdio/device.h: add
	cdio_get_driver_name_from_id lib/driver/device.c: more logging
	example/logging.c: example of how to increase verbosity of logging.
	mmc_read.c, mmc_write.c: don't show info logging by default.

2013-09-15  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660_fs.c, test/Makefile.am: 2nd try at but #39373.
	Add target check-iso-read-large and check-iso-read-large-terse to
	test.

2013-09-15  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660_fs.c: Remove old shmutz

2013-09-15  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660_fs.c: Update copyright date

2013-09-15  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660_fs.c: patch for bug #39373 from Leo Baschy

2013-09-01  R. Bernstein <rocky@gnu.org>

	* .gitignore, configure.ac, test/.gitignore, test/Makefile.am,
	test/check_iso_read.sh.in: Adapt and add Leo Baschy's test of
	iso-read.

2013-09-01  R. Bernstein <rocky@gnu.org>

	* .gitignore, configure.ac, test/Makefile.am, test/check_cue.sh.in,
	test/isofs-m1-test2.right, test/isofs-m1.right: We weren't enabling
	Rock-Ridge by default as intended. Thanks to Mike Frysinger for
	catching this.

2013-05-28  Eric Shattow <shadow@serverart.org>

	* src/Makefile.am: Remove 'lt-' prefix using help2man --libtool

2013-05-28  Brendan O'Dea <bod@debian.org>

	* src/cd-drive.help2man, src/cd-info.help2man,
	src/cd-read.help2man, src/iso-info.help2man, src/iso-read.help2man: 
	Fix NAME paragraph in man pages. Closes #39095

2013-05-16  R. Bernstein <rocky@gnu.org>

	* lib/driver/track.c: Squash another bug in cdio_get_track()

2013-05-15  R. Bernstein <rocky@gnu.org>

	* lib/driver/image_common.c: Test whther TOC is init'd and init if
	not when asking for track number.

2013-05-15  R. Bernstein <rocky@gnu.org>

	* test/driver/track.c.in, test/testpregap.c.in: Update comments in
	test programs for how to compile outside of "make".

2013-05-15  R. Bernstein <rocky@gnu.org>

	* configure.ac, lib/driver/track.c, test/data/cdda.toc,
	test/driver/.gitignore, test/driver/Makefile.am,
	test/driver/track.c.in, test/testpregap.c.in: lib/driver/track.c:
	was returning last_track+1 for leadout LSN, Use
	CDIO_CROM_LEADOUT_TRACK instaead. ltest/driver/track.c.in: start
	test of lib/driver/track.c. cdda.toc: CDRDAO CD-DA image. Trim
	blanks off of varousl files.

2013-04-11  R. Bernstein <rocky@gnu.org>

	* lib/driver/track.c, test/Makefile.am: We broke things in to fix
	#38421 we broke the things.

2013-04-09  rocky <rocky@gnu.org>

	* lib/driver/MSWindows/win32_ioctl.c: Fix up mmc_read for
	SCSI_PASS_THROUGH_DIRECT

2013-04-07  R. Bernstein <rocky@gnu.org>

	* configure.ac, example/C++/Makefile.am,
	example/C++/OO/Makefile.am, example/Makefile.am,
	include/cdio/udf_time.h, lib/driver/MSWindows/win32.c,
	lib/driver/MSWindows/win32_ioctl.c, lib/driver/Makefile.am,
	lib/iso9660/Makefile.am, lib/udf/Makefile.am, src/Makefile.am,
	test/Makefile.am, test/driver/Makefile.am: Savannah #38678, mostly
	from LRN: mingw-w64 compatibility, fixes Windows ioctl code for
	PASSTHROUGH_DIRECT. Other changes: INCLUDES => AM_CPPFLAGS.
	test/Makefile.am: fix up test for whether to run ln -s or not.
	compatibility, the other fixes up old code that went stale. The
	third patch is already in HEAD.

2013-04-06  R. Bernstein <rocky@gnu.org>

	* configure.ac: It is AC_CONFIG_HEADERS -- with an "S"

2013-04-06  R. Bernstein <rocky@gnu.org>

	* configure.ac: Savannah bug #38663 . Thanks to LRN.

2013-03-31  R. Bernstein <rocky@gnu.org>

	* include/cdio/track.h, lib/driver/cdtext.c,
	lib/driver/cdtext_private.h, lib/driver/gnu_linux.c,
	lib/driver/sector.c: One more attempt to give a guard against using
	more than 99 tracks.

2013-03-03  R. Bernstein <rocky@gnu.org>

	* lib/driver/gnu_linux.c: Remove debug code

2013-03-03  R. Bernstein <rocky@gnu.org>

	* lib/driver/gnu_linux.c, lib/driver/track.c: 2nd attempt at
	Savannah #38421

2013-02-26  R. Bernstein <rocky@gnu.org>

	* lib/driver/gnu_linux.c: Correct calculation in listing number of
	bad tracks

2013-02-26  R. Bernstein <rocky@gnu.org>

	* lib/driver/gnu_linux.c: Wrong calculation for number of tracks.
	Savannah #bug #38421

2013-02-06  R. Bernstein <rocky@gnu.org>

	* : commit 9a14bd745c609880994fc5689b215e555fe93fc7 Author: R.
	Bernstein <rocky@gnu.org> Date:   Wed Feb 6 19:06:31 2013 -0500

2013-02-02  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/win32_ioctl.c: DDynamically allocate
	passthrough buffer based on info LRN in libcdio-devel Sun Jan 20,
	2013

2012-11-23  R. Bernstein <rocky@gnu.org>

	* : commit 6c0251d145e44b7cdfeb9767c615646fb8f51320 Author:
	Christophe Fergeau <cfergeau@redhat.com> Date:   Thu Nov 22 13:53:15
	2012 +0100

2012-11-20  R. Bernstein <rocky@gnu.org>

	* doc/libcdio.texi: Try to clearify LBA versus LSN in libcdio.

2012-11-04  R. Bernstein <rocky@gnu.org>

	* lib/driver/Makefile.am: Bump library number

2012-10-27  R. Bernstein <rocky@gnu.org>

	* doc/doxygen/Doxyfile.in, include/cdio/cdtext.h,
	include/cdio/mmc.h, include/cdio/mmc_cmds.h,
	include/cdio/mmc_hl_cmds.h, include/cdio/mmc_ll_cmds.h,
	include/cdio/utf8.h, lib/driver/mmc/mmc_ll_cmds.c: Doxygen update,
	fixes, tweaks for release.

2012-10-27  R. Bernstein <rocky@gnu.org>

	* make-check-filter.rb: make-check-short.rb: ignore gmake as you
	would make or remake

2012-10-27  R. Bernstein <rocky@gnu.org>

	* NEWS, configure.ac: Make configure SED environment aware, e.g. for
	OSX (Robert William Fuller). Get ready for release 0.90

2012-10-27  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/win32_ioctl.c: Try to mitigate some of the
	Windows driver brokenness

2012-10-24  R. Bernstein <rocky@gnu.org>

	* THANKS: Christophe Fergeau added UDF reading to iso-info as well

2012-10-24  R. Bernstein <rocky@gnu.org>

	* : commit 2cda07957f08f07304f63cc158f881735fb24003 Author: Leon
	Merten Lohse <leon@green-side.de> Date:   Wed Oct 24 20:06:08 2012
	+0200

2012-10-22  rocky <rocky@gnu.org>

	* src/iso-info.c, src/iso-read.c: -U option-processing fixes.

2012-10-21  R. Bernstein <rocky@gnu.org>

	* : commit 906462c731edee99910f4a67f7e75085a5e50ff4 Author: R.
	Bernstein <rocky@gnu.org> Date:   Sun Oct 21 22:42:50 2012 -0400

2012-10-21  R. Bernstein <rocky@gnu.org>

	* NEWS: Update NEWS

2012-10-21  R. Bernstein <rocky@gnu.org>

	* src/Makefile.am, src/iso-info.c, src/iso-read.c: Add allow
	iso-read and iso-info to handle UDF format via options --udf or -U.
	Modified patch #7865

2012-10-22  rocky <rocky@gnu.org>

	* make-check-filter.rb: make-check-filter.rb: Ignore older "make: ..
	is up to date." message

2012-10-21  R. Bernstein <rocky@gnu.org>

	* make-check-filter.rb: make-check-filter.rb: Correct remake
	separator string

2012-10-21  rocky <rocky@gnu.org>

	* configure.ac, lib/driver/MSWindows/win32_ioctl.c: Convert
	win32_ioctl.c to use header-tested includes from configure

2012-10-21  R. Bernstein <rocky@gnu.org>

	* configure.ac: Towards getting MinGW and cygwin ddk includes
	correct.

2012-10-21  rocky <rocky@gnu.org>

	* lib/driver/MSWindows/win32_ioctl.c: Revise to make cygwin work
	again. Warning - more checking is needed.

2012-10-21  R. Bernstein <rocky@gnu.org>

	* .gitignore, lib/driver/MSWindows/win32_ioctl.c: Small stuff:
	Indent win32_ioctl.c defines. ignore all ~'s

2012-10-19  R. Bernstein <rocky@gnu.org>

	* NEWS, THANKS, src/iso-read.c: Add UDF support to iso-read

2012-10-19  R. Bernstein <rocky@gnu.org>

	* src/Makefile.am, src/iso-read.c: Move ISO9660 specific code to a
	helper function; adding UDF support to iso-read.  From Christophe
	Fergeau patch #7865

2012-10-18  Leon Merten Lohse <leon@green-side.de>

	* lib/driver/image/bincue.c: Fix bin/cue cdtext parsing using wrong
	track number.  Thanks to Robert William Fuller

2012-10-18  Leon Merten Lohse <leon@green-side.de>

	* include/cdio/cdtext.h, lib/driver/cdtext.c,
	lib/driver/libcdio.sym, src/cd-info.c, test/cdtext.right: Add
	cdtext_get_genre Add GENRE_CODE output to cd-info and update test

2012-10-17  R. Bernstein <rocky@gnu.org>

	* THANKS: Note Robert William Fuller's fixes to CD-Text for Nero.

2012-10-15  R. Bernstein <rocky@gnu.org>

	* include/cdio/Makefile.am: More liberal space after #define
	suggested by Robert William Fuller

2012-10-10  R. Bernstein <rocky@gnu.org>

	* lib/driver/gnu_linux.c: Reduce level of severity resolving
	realpath in GNU/Linux driver is_mounted(). Adrian Reber post to
	libcdio-devel

2012-10-02  R. Bernstein <rocky@gnu.org>

	* NEWS, include/cdio/mmc.h, lib/driver/gnu_linux.c,
	lib/driver/libcdio.sym, lib/driver/mmc/mmc.c, make-check-filter.rb,
	test/driver/mmc_read.c: Add mmc_cmd2str()

2012-10-02  R. Bernstein <rocky@gnu.org>

	* NEWS, include/cdio/mmc.h: Add MMC5 commands. Thanks yet again to
	Thomash Schmitt for doing the heavy lifting.

2012-10-02  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/aspi32.c, lib/driver/MSWindows/win32.c,
	lib/driver/image/bincue.c, lib/driver/image/cdrdao.c,
	lib/driver/sector.c, lib/driver/util.c, src/getopt.c,
	test/driver/mmc_write.c: Remove some gcc warnings and change wording
	of a test warning message

2012-10-01  rocky <rocky@gnu.org>

	* README.libcdio: Make note that gcc 4.0 or greater is needed on
	MinGW

2012-10-01  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/win32_ioctl.c, lib/driver/gnu_linux.c: Show
	opcode in linux on a MMC error if loglevel is info or more detailed.

2012-10-01  rocky <rocky@gnu.org>

	* lib/driver/MSWindows/win32_ioctl.c: Show MMC opcode on a bad MMC
	command

2012-09-30  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, make-check-filter.rb: mmc.h: Add additional
	MMC4/ATAPI command codes from
	http://wiki.osdev.org/ATAPI#Complete_Command_Set .
	make-check-filter.rb: remove C++ compile and loads

2012-09-27  rocky <rocky@gnu.org>

	* configure.ac: This time, for sure?

2012-09-27  R. Bernstein <rocky@gnu.org>

	* configure.ac, test/testisocd2.c.in, test/testpregap.c.in: 
	Recalculate native_top_srcdir one more time

2012-09-27  rocky <rocky@gnu.org>

	* configure.ac, test/testisocd2.c.in, test/testpregap.c.in: Add
	native_top_srcdir MinGW and DOS/Windows.

2012-09-26  rocky <rocky@gnu.org>

	* configure.ac: Limit MINGW native path the srcdir and
	abs_top_srcdir

2012-09-26  rocky <rocky@gnu.org>

	* configure.ac: A more specific use of bash's pwd builtin

2012-09-26  rocky <rocky@gnu.org>

	* configure.ac: MINGW wants native paths in regression tests bug
	#37447

2012-09-26  rocky <rocky@gnu.org>

	* example/mmc2a.c: More places where -- prefix output added on
	examples

2012-09-26  rocky <rocky@gnu.org>

	* test/driver/mmc_write.c: Shorten output for mmc_write.exe

2012-09-26  R. Bernstein <rocky@gnu.org>

	* Makefile.am, example/Makefile.am, example/README,
	example/cdchange.c, example/cdtext.c, example/device.c,
	example/drives.c, example/extract.c, example/isofuzzy.c,
	example/mmc1.c, example/mmc2.c, example/mmc2a.c, example/mmc3.c,
	example/sample4.c, make-check-filter.rb, test/Makefile.am,
	test/check_common_fn.in, test/check_cue.sh.in,
	test/check_nrg.sh.in, test/check_sizeof.c, test/driver/Makefile.am,
	test/driver/realpath.c, test/testgetdevices.c.in,
	test/testischar.c, test/testisocd.c, test/testpregap.c.in: Add "make
	check-short" target to run tests without bloated output.

2012-09-26  rocky <rocky@gnu.org>

	* include/cdio/types.h: Work on packed definition for MinGW

2012-09-25  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/win32_ioctl.c: Fix text in warning message

2012-09-25  rocky <rocky@gnu.org>

	* lib/driver/MSWindows/win32_ioctl.c: Small change

2012-09-24  R. Bernstein <rocky@gnu.org>

	* include/cdio/types.h, lib/iso9660/iso9660.c,
	lib/iso9660/iso9660_private.h: Make bool be 8-bit. Rather switch
	than find where in ISO9660 there was a discrepency between stdbool
	and the type.h definition.

2012-09-23  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660_fs.c, lib/iso9660/iso9660_private.h,
	lib/udf/udf_private.h, src/cdda-player.c: Try again for more
	consistent use of booleans. WARNING libiso9660 is broke. Last known
	good commit is 6137ddb73763bcdc524f65dde2048bc639695dc4.

2012-09-23  rocky <rocky@gnu.org>

	* lib/driver/MSWindows/win32_ioctl.c, lib/driver/device.c,
	lib/driver/disc.c, lib/driver/generic.h, lib/driver/image.h,
	lib/driver/image/nrg.c, lib/driver/mmc/mmc.c,
	lib/driver/mmc/mmc_ll_cmds.c, lib/driver/read.c, lib/driver/track.c: 
	Make sure stdbool is used in driver when it is defined. I think this
	fixes bug #37394

2012-09-23  rocky <rocky@gnu.org>

	* example/C++/.gitignore, lib/driver/MSWindows/win32_ioctl.c: Follow
	MS SCSI Passthrough more closely. Still some bugs...

2012-09-22  rocky <rocky@gnu.org>

	* lib/driver/MSWindows/win32_ioctl.c: Provisional changes based on
	bug 37394

2012-09-19  R. Bernstein <rocky@gnu.org>

	* configure.ac: Update where to report bugs

2012-09-18  rocky <rocky@gnu.org>

	* lib/driver/MSWindows/win32_ioctl.c: Need to include stdbool.h so
	_Bool does not get defined as int on Windows win32_ioctl.c

2012-09-15  R. Bernstein <rocky@gnu.org>

	* lib/driver/image/bincue.c, test/driver/mmc_read.c,
	test/driver/mmc_write.c: image/bincue.c: remove gcc warning.
	mmc_read.c, mmc_write.c: use usleep if that's avalable; fall back to
	"for" loop if sleep, usleep, and MSwindows Sleep isn't avialable.

2012-04-29  rocky <rocky@gnu.org>

	* THANKS: Add Natalia Portillo to the hall of fame

2012-04-29  Natalia Portillo <claunia@claunia.com>

	* lib/driver/osx.c: Changed Mac OS X SDK check so it detects correct
	path for 10.3 and 10.4, not only >=10.5. Tested it compiles and
	works on 10.3, 10.4, 10.5, 10.6 and 10.7.  If Mac OS X SDK is 10.5,
	include bluray headers, if not manually define the BD media class
	for IOKit travelling.  When searching for an optical drive, search
	also for BD media class, so if drive is a BD with a BD disc it will
	be found (BD with CD or DVD discs were found before).

2012-04-29  R. Bernstein <rocky@gnu.org>

	* configure.ac, lib/driver/_cdio_generic.c: _cdio_generic.c:
	Initialize new scsi_tuple field. Removes SEGV in OSX and others.
	configure.ac: Try sed -r and -E rather than rely on OS type.

2012-04-28  R. Bernstein <rocky@gnu.org>

	* lib/driver/aix.c, lib/driver/bsdi.c, lib/driver/netbsd.c,
	lib/driver/os2.c, lib/driver/osx.c, lib/driver/solaris.c,
	src/Makefile.am: osx.c: try to eliminate invalid free of an
	uninitialized structure. untabify various drivers and get this more
	in-sync with gnu_linux.c driver.

2012-04-28  R. Bernstein <rocky@gnu.org>

	* : commit 07711418d09c1b709759021d1157eb9521990072 Author: R.
	Bernstein <rocky@gnu.org> Date:   Sat Apr 28 21:06:50 2012 -0400

2012-04-28  R. Bernstein <rocky@gnu.org>

	* configure.ac, include/cdio/Makefile.am: OSX and BSD use -E for
	extended re's rather than GNU -r

2012-04-28  rocky <rocky@gnu.org>

	* configure.ac, lib/driver/osx.c: Do not need DARWIN_10_OR_GREATER
	but can use __ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__ instead
	courtesy Natalia Portillo. Savannah Bug #36330
	https://savannah.gnu.org/bugs/?36330

2012-04-26  R. Bernstein <rocky@gnu.org>

	* THANKS, lib/driver/osx.c: Fix #30467 cdio_get_default_device()
	returns non-cdrom removable. From Nigel Pearson.

2012-04-23  R. Bernstein <rocky@gnu.org>

	* configure.ac: Need to allow darwin10.8 etc.

2012-04-23  rocky <rocky@gnu.org>

	* lib/driver/FreeBSD/freebsd.h, lib/driver/MSWindows/win32.c,
	lib/driver/MSWindows/win32.h, lib/driver/aix.c,
	lib/driver/netbsd.c, lib/driver/os2.c: Pete's changes require a more
	aggressive use of stdbool.h.

2012-04-22  R. Bernstein <rocky@gnu.org>

	* configure.ac: configure architecture fixes from Nigel Pearson.

2012-04-22  R. Bernstein <rocky@gnu.org>

	* NEWS: Make a stab at recording what's changed.

2012-04-21  R. Bernstein <rocky@gnu.org>

	* configure.ac, lib/driver/osx.c: OSX fixes: test for stdbool.h,
	allow darwin10-12 and set DARWINT_10_OR_GREATER. Use generic CD-Text
	routines.

2012-04-17  rocky <rocky@gnu.org>

	* lib/driver/cdtext_private.h: Use typedefs for enums. OSX 10.6's C
	compiler seems to create storage for enums.

2012-04-16  R. Bernstein <rocky@gnu.org>

	* configure.ac, lib/driver/aix.c, lib/driver/bsdi.c,
	lib/driver/image/nrg.c, lib/driver/mmc/mmc.c, lib/driver/osx.c,
	lib/driver/solaris.c: Reduce use of cdtext_private.h. Let's see if
	autoconf 2.61 (circa 6 years ago) is okay. Some MacBooks seem to
	still use this.

2012-04-16  R. Bernstein <rocky@gnu.org>

	* lib/driver/gnu_linux.c: ld: duplicate symbol _cdtext_format_enum
	in .libs/gnu_linux.o and .libs/cdtext.o for architecture x86_64 on
	OSX. I don't think it needs to be included in gnu_linux.c anyway.
	Comment #7, bug #30019

2012-04-16  rocky <rocky@gnu.org>

	* include/cdio/cdtext.h: Add back in MIN_CDTEXT_FIELD. It's
	compatible too.

2012-04-15  R. Bernstein <rocky@gnu.org>

	* lib/driver/disc.c, test/driver/.gitignore,
	test/driver/Makefile.am, test/driver/cdda.c,
	test/driver/gnu_linux.c: Add guard around get_mcn for null p_cdio.

2012-04-14  R. Bernstein <rocky@gnu.org>

	* lib/driver/_cdio_generic.c: Update copyright

2012-04-14  R. Bernstein <rocky@gnu.org>

	* lib/driver/_cdio_generic.c: Wasn't testing CD-Text error return
	properly. (Bug found via rbcdio/example/cdtext.rb)

2012-04-10  R. Bernstein <rocky@gnu.org>

	* : commit 844578d2042aff813a397f711e422048d8e1176d Author: R.
	Bernstein <rocky@gnu.org> Date:   Tue Apr 10 03:29:32 2012 -0400

2012-03-27  Leon Merten Lohse <leon@green-side.de>

	* : commit 3940726aa77d102096117fb2f47aa2bb41c8abdc Author: Leon
	Merten Lohse <leon@green-side.de> Date:   Tue Mar 27 17:45:09 2012
	+0200

2012-03-26  R. Bernstein <rocky@gnu.org>

	* README, README.libcdio: Update some README's to reflect the
	current situation.

2012-03-25  rocky <rocky@gnu.org>

	* Makefile.am, configure.ac, example/Makefile.am, test/Makefile.am,
	test/driver/Makefile.am: test/Makefile.am: test example files, some
	of which are used in tests, is no longer optional other Makefile.am:
	remove some cruft.

2012-03-25  rocky <rocky@gnu.org>

	* configure.ac, libcdtext.pc.in: Getting back to before cdtext
	library

2012-03-25  rocky <rocky@gnu.org>

	* : commit 8a3f964baa48e95abf50a75490a013f785c7702a Author: rocky
	<rocky@gnu.org> Date:   Sun Mar 25 17:16:55 2012 -0400

2012-03-25  R. Bernstein <rocky@gnu.org>

	* src/util.c, test/check_opts0.right, test/check_opts1.right,
	test/check_opts2.right, test/check_opts3.right,
	test/check_opts4.right, test/check_opts5.right,
	test/check_opts6.right, test/check_opts7.right,
	test/data/isofs-m1.cue: Add catalog number to ISO 9660 cue file.

2012-03-25  R. Bernstein <rocky@gnu.org>

	* example/Makefile.am, lib/driver/gnu_linux.c, lib/driver/track.c: 
	track.c, gnu_linux.c: Test for exceding max track limit but allow
	specifying the leadout track in some cases.  Makefile.am: need to
	build extract unconditionally since that is used in testing

2012-03-25  R. Bernstein <rocky@gnu.org>

	* include/cdio/sector.h: Typo in C preprocessor symbol Comment #3
	Savannah #35818

2012-03-25  R. Bernstein <rocky@gnu.org>

	* test/driver/gnu_linux.c, test/driver/helper.c,
	test/driver/helper.h: Expand driver test framework a little and the
	tests we do.

2012-03-19  rocky <rocky@gnu.org>

	* include/cdio/utf8.h: MinGW seems to need <stdio.h> for FILE in
	utf8.h now

2012-03-18  R. Bernstein <rocky@gnu.org>

	* include/cdio/Makefile.am, include/cdio/cdda.h,
	test/check_cue.sh.in: Small changes.

2012-03-18  R. Bernstein <rocky@gnu.org>

	* include/cdio/dvd.h, include/cdio/sector.h: Replace a few
	collections of preprocessor #define's with enum's.  Savannah bug
	#35746 https://savannah.gnu.org/bugs/?35746 . Patch from Markus
	Elfring.

2012-03-18  R. Bernstein <rocky@gnu.org>

	* example/audio.c: Recent header work by Pete Batard eliminates the
	need to set __CDIO_H__ here.

2012-03-18  R. Bernstein <rocky@gnu.org>

	* include/cdio++/cdio.hpp, include/cdio++/cdtext.hpp,
	include/cdio++/device.hpp, include/cdio++/devices.hpp,
	include/cdio++/iso9660.hpp, include/cdio/audio.h,
	include/cdio/bytesex.h, include/cdio/bytesex_asm.h,
	include/cdio/cd_types.h, include/cdio/cdtext.h,
	include/cdio/device.h, include/cdio/disc.h, include/cdio/ds.h,
	include/cdio/dvd.h, include/cdio/ecma_167.h,
	include/cdio/iso9660.h, include/cdio/logging.h, include/cdio/mmc.h,
	include/cdio/mmc_cmds.h, include/cdio/mmc_hl_cmds.h,
	include/cdio/mmc_ll_cmds.h, include/cdio/mmc_util.h,
	include/cdio/posix.h, include/cdio/read.h, include/cdio/rock.h,
	include/cdio/sector.h, include/cdio/track.h, include/cdio/types.h,
	include/cdio/util.h, include/cdio/xa.h, lib/driver/_cdio_stdio.h,
	lib/driver/_cdio_stream.h, lib/driver/cdio_assert.h,
	lib/driver/cdio_private.h, lib/driver/cdtext_private.h,
	lib/driver/filemode.h, lib/driver/generic.h, lib/driver/image.h,
	lib/driver/image_common.h, lib/driver/mmc/mmc_cmd_helper.h,
	lib/driver/portable.h, lib/iso9660/iso9660_private.h,
	lib/udf/udf_fs.h, lib/udf/udf_private.h, src/getopt.h: More small
	header changes: * Remove leading underscores in header preprocessor names * Regularize names to include directory parts in the file name * Untabify files * Update copyright and remove unmaintained cvs $Id$ line The justification for removing leading underscores comes from a
	CERTS Secure Coding recommendation:

	https://www.securecoding.cert.org/confluence/display/cplusplus/DCL32-CPP.+Do+not+declare+or+define+a+reserved+identifierSee also Savannah bug #35745 https://savannah.gnu.org/bugs/?35745

2012-03-14  rocky <rocky@gnu.org>

	* .gitignore, configure.ac, lib/Makefile.am, lib/cdtext/.gitignore,
	lib/cdtext/Makefile.am, lib/cdtext/cdtext.c,
	lib/cdtext/cdtext_private.h, lib/cdtext/libcdtext.sym,
	libcdtext.pc.in: Create CD-Text library - first round. (Second round
	will remove from lib/driver)

2012-03-25  R. Bernstein <rocky@gnu.org>

	* src/util.c, test/check_opts0.right, test/check_opts1.right,
	test/check_opts2.right, test/check_opts3.right,
	test/check_opts4.right, test/check_opts5.right,
	test/check_opts6.right, test/check_opts7.right,
	test/data/isofs-m1.cue: Add catalog number to ISO 9660 cue file.

2012-03-25  R. Bernstein <rocky@gnu.org>

	* example/Makefile.am, lib/driver/gnu_linux.c, lib/driver/track.c: 
	track.c, gnu_linux.c: Test for exceding max track limit but allow
	specifying the leadout track in some cases.  Makefile.am: need to
	build extract unconditionally since that is used in testing

2012-03-25  R. Bernstein <rocky@gnu.org>

	* include/cdio/sector.h: Typo in C preprocessor symbol Comment #3
	Savannah #35818

2012-03-25  R. Bernstein <rocky@gnu.org>

	* test/driver/gnu_linux.c, test/driver/helper.c,
	test/driver/helper.h: Expand driver test framework a little and the
	tests we do.

2012-03-22  Leon Merten Lohse <leon@green-side.de>

	* : commit 591c23ee48d44936535e0f5b13c2d8e025ac7dea Author: Leon
	Merten Lohse <leon@green-side.de> Date:   Thu Mar 22 22:21:52 2012
	+0100

2012-03-19  rocky <rocky@gnu.org>

	* include/cdio/utf8.h: MinGW seems to need <stdio.h> for FILE in
	utf8.h now

2012-03-18  R. Bernstein <rocky@gnu.org>

	* include/cdio/Makefile.am, include/cdio/cdda.h,
	test/check_cue.sh.in: Small changes.

2012-03-18  R. Bernstein <rocky@gnu.org>

	* include/cdio/dvd.h, include/cdio/sector.h: Replace a few
	collections of preprocessor #define's with enum's.  Savannah bug
	#35746 https://savannah.gnu.org/bugs/?35746 . Patch from Markus
	Elfring.

2012-03-18  R. Bernstein <rocky@gnu.org>

	* example/audio.c: Recent header work by Pete Batard eliminates the
	need to set __CDIO_H__ here.

2012-03-18  R. Bernstein <rocky@gnu.org>

	* include/cdio++/cdio.hpp, include/cdio++/cdtext.hpp,
	include/cdio++/device.hpp, include/cdio++/devices.hpp,
	include/cdio++/iso9660.hpp, include/cdio/audio.h,
	include/cdio/bytesex.h, include/cdio/bytesex_asm.h,
	include/cdio/cd_types.h, include/cdio/cdtext.h,
	include/cdio/device.h, include/cdio/disc.h, include/cdio/ds.h,
	include/cdio/dvd.h, include/cdio/ecma_167.h,
	include/cdio/iso9660.h, include/cdio/logging.h, include/cdio/mmc.h,
	include/cdio/mmc_cmds.h, include/cdio/mmc_hl_cmds.h,
	include/cdio/mmc_ll_cmds.h, include/cdio/mmc_util.h,
	include/cdio/posix.h, include/cdio/read.h, include/cdio/rock.h,
	include/cdio/sector.h, include/cdio/track.h, include/cdio/types.h,
	include/cdio/util.h, include/cdio/xa.h, lib/driver/_cdio_stdio.h,
	lib/driver/_cdio_stream.h, lib/driver/cdio_assert.h,
	lib/driver/cdio_private.h, lib/driver/cdtext_private.h,
	lib/driver/filemode.h, lib/driver/generic.h, lib/driver/image.h,
	lib/driver/image_common.h, lib/driver/mmc/mmc_cmd_helper.h,
	lib/driver/portable.h, lib/iso9660/iso9660_private.h,
	lib/udf/udf_fs.h, lib/udf/udf_private.h, src/getopt.h: More small
	header changes: * Remove leading underscores in header preprocessor names * Regularize names to include directory parts in the file name * Untabify files * Update copyright and remove unmaintained cvs $Id$ line The justification for removing leading underscores comes from a
	CERTS Secure Coding recommendation:

	https://www.securecoding.cert.org/confluence/display/cplusplus/DCL32-CPP.+Do+not+declare+or+define+a+reserved+identifierSee also Savannah bug #35745 https://savannah.gnu.org/bugs/?35745

2012-03-12  R. Bernstein <rocky@gnu.org>

	* NEWS: Update NEWS for some small typos

2012-03-12  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660.c: Set timezone compatible with previous
	version. Patch from N. Boullis.

2012-03-11  Leon Merten Lohse <leon@green-side.de>

	* example/C++/OO/cdtext.cpp, example/cdtext.c,
	include/cdio++/cdio.hpp, include/cdio++/cdtext.hpp,
	include/cdio++/disc.hpp, include/cdio/cdtext.h,
	lib/driver/cdtext.c, lib/driver/libcdio.sym, src/cd-info.c: 
	[renamed] cdtext_languages_available to cdtext_list_languages
	[fixed] C++ CD-Text API [fixed] C++ CD-Text example

2012-03-07  Pete Batard <pbatard@gmail.com>

	* include/cdio/cdio_unconfig.h, test/cd-paranoia-log.right: More
	paranoia and unconfig removal

2012-03-10  R. Bernstein <rocky@gnu.org>

	* example/cdtext.c: cdtext.c: Correct cdtext cue file name.

2012-03-10  R. Bernstein <rocky@gnu.org>

	* : commit 0c7c1104fd7aafd7167bdc70e29140ed7091ff87 Author: R.
	Bernstein <rocky@gnu.org> Date:   Sat Mar 10 13:46:22 2012 -0500

2012-03-10  R. Bernstein <rocky@gnu.org>

	* lib/driver/cdtext.c: Don't set crc field outside of the limit of
	the cdtext_pack_t structure.

2012-03-09  Leon Merten Lohse <leon@green-side.de>

	* lib/driver/cdtext.c, lib/driver/image/bincue.c: Redo some of
	rocky's beautifications.

2012-03-05  R. Bernstein <rocky@gnu.org>

	* Makefile.am, configure.ac, libcdio_cdda.pc.in: Remove paranoia
	libcdio_cdda.pc.in

2012-03-05  R. Bernstein <rocky@gnu.org>

	* example/cdtext.c, include/cdio++/cdio.hpp,
	include/cdio++/cdtext.hpp, include/cdio/cdio.h,
	include/cdio/cdtext.h, include/cdio/disc.h, include/cdio/utf8.h,
	lib/driver/FreeBSD/freebsd_cam.c, lib/driver/MSWindows/aspi32.c,
	lib/driver/MSWindows/aspi32.h, lib/driver/MSWindows/win32.h,
	lib/driver/MSWindows/win32_ioctl.c, lib/driver/_cdio_generic.c,
	lib/driver/cdtext.c, lib/driver/cdtext_private.h,
	lib/driver/image/bincue.c, lib/driver/image/cdrdao.c,
	lib/driver/image/nrg.c, lib/driver/libcdio.sym,
	lib/driver/mmc/mmc.c, lib/driver/utf8.c, src/cd-info.c,
	src/cdda-player.c, test/cdda.right, test/cdtext.right,
	test/check_cue.sh.in, test/driver/nrg.c.in: Multilanguage CD-Text
	from greenleon

2012-03-05  Pete Batard <pbatard@gmail.com>

	* test/driver/bincue.c.in: Fix an "unused but set warning" in bincue
	test

2012-03-05  Pete Batard <pbatard@gmail.com>

	* doc/.cvsignore, doc/doxygen/.cvsignore, example/C++/.cvsignore,
	example/C++/OO/.cvsignore, include/.cvsignore,
	include/cdio++/.cvsignore, include/cdio/.cvsignore,
	include/cdio/paranoia.h, lib/cdio++/.cvsignore,
	lib/driver/.cvsignore, lib/iso9660/.cvsignore, lib/udf/.cvsignore,
	m4/.cvsignore, package/.cvsignore, src/.cvsignore: Remove .cvsignore
	as well as cdio/paranoia.h

2012-03-05  Pete Batard <pbatard@gmail.com>

	* include/cdio/ecma_167.h, lib/udf/udf_fs.c: Apply MSVC
	compatibility workaround to ecma_167.h * An union of empty arrays is not size zero in MSVC * this causes issues with various sections of the UDF code that   use sizeof and can prevent structures from being read properly * group empty array unions with at least one non zero-sized member

2012-03-05  Pete Batard <pbatard@gmail.com>

	* lib/driver/image/bincue.c, lib/driver/image/nrg.c: Add missing
	glob() equivalent for Windows platforms

2012-03-05  Pete Batard <pbatard@gmail.com>

	* example/cdchange.c, lib/driver/cdio.c, lib/driver/image/bincue.c,
	lib/driver/image/cdrdao.c, lib/driver/realpath.c,
	src/cdda-player.c, test/check_sizeof.c, test/driver/abs_path.c,
	test/driver/freebsd.c, test/driver/gnu_linux.c,
	test/driver/helper.c, test/driver/mmc_read.c,
	test/driver/mmc_write.c, test/driver/osx.c, test/driver/realpath.c,
	test/driver/solaris.c, test/driver/win32.c,
	test/test_lib_driver_util.c, test/testassert.c, test/testdefault.c,
	test/testgetdevices.c.in, test/testischar.c, test/testiso9660.c,
	test/testisocd2.c.in, test/testpregap.c.in: More source headers
	harmonization * fix missing #ifdefs * remove spaces and page feeds * follow same set of rules everywhere, with cdio includes coming   after standard C includes.

2012-03-05  Pete Batard <pbatard@gmail.com>

	* lib/driver/FreeBSD/freebsd_cam.c, lib/driver/MSWindows/win32.c,
	lib/driver/MSWindows/win32.h, lib/iso9660/iso9660_fs.c,
	src/cd-read.c, test/check_legal.regex: Fix various issues * bzero is obsolete * use HMODULE instead of long win win32 for 64 bit compatibility * iso9660_seek_read_framesize fails seeking to a position higher
	than 4 GB * cd-read produces a warning * legal-regex should allow for years > 2009

2012-03-05  Pete Batard <pbatard@gmail.com>

	* include/cdio/utf8.h, lib/driver/_cdio_stdio.c,
	lib/driver/image/bincue.c, lib/driver/image/cdrdao.c,
	lib/driver/utf8.c: Make fopen() and stat() support UTF-8 paths on
	Windows

2012-03-05  Pete Batard <pbatard@gmail.com>

	* example/extract.c, lib/driver/utf8.c, lib/iso9660/iso9660_fs.c: 
	Joliet improvements * support discs with more than one secondary volume descriptors * add Joliet support for extract sample * add fallback to non-Joliet if non-Joliet may be longer

2012-03-05  Pete Batard <pbatard@gmail.com>

	* include/cdio/util.h, lib/driver/_cdio_stdio.c,
	lib/driver/image/bincue.c, lib/driver/image/cdrdao.c,
	lib/driver/util.c: Add _cdio_strdup_fixpath for absolute paths
	handling in MinGW * MinGW may provide absolute paths in the form /c/directory/...    to native calls that require instead c:/directory

2012-03-05  Pete Batard <pbatard@gmail.com>

	* libcdio_paranoia.pc.in, test/check_paranoia.sh.in: Additional
	fixups for paranoia removal Should libcdio_cdda.pc.in be removed as well?

2012-03-05  Pete Batard <pbatard@gmail.com>

	* .gitignore, Makefile.am, example/.gitignore,
	example/C++/.cvsignore, example/C++/.gitignore,
	example/C++/paranoia.cpp, example/C++/paranoia2.cpp,
	example/Makefile.am, include/cdio/Makefile.am,
	lib/driver/Makefile.am, lib/driver/logging.c, test/.gitignore,
	test/Makefile.am, test/testparanoia.c: More paranoia removal * Also some silencing of makefile operations

2012-03-05  R. Bernstein <rocky@gnu.org>

	* doc/cd-text-format.texi: Minor expository changes

2012-03-04  R. Bernstein <rocky@gnu.org>

	* src/cd-paranoia/.gitignore, src/cd-paranoia/Makefile.am,
	src/cd-paranoia/buffering_write.c,
	src/cd-paranoia/buffering_write.h, src/cd-paranoia/cd-paranoia.c,
	src/cd-paranoia/doc/.gitignore, src/cd-paranoia/doc/FAQ.txt,
	src/cd-paranoia/doc/Makefile.am, src/cd-paranoia/doc/en/.gitignore,
	src/cd-paranoia/doc/en/Makefile.am,
	src/cd-paranoia/doc/en/cd-paranoia.1.in,
	src/cd-paranoia/doc/ja/.gitignore,
	src/cd-paranoia/doc/ja/Makefile.am,
	src/cd-paranoia/doc/ja/cd-paranoia.1.in,
	src/cd-paranoia/doc/overlapdef.txt, src/cd-paranoia/getopt.c,
	src/cd-paranoia/getopt.h, src/cd-paranoia/getopt1.c,
	src/cd-paranoia/header.c, src/cd-paranoia/header.h,
	src/cd-paranoia/pod2c.pl, src/cd-paranoia/report.c,
	src/cd-paranoia/report.h, src/cd-paranoia/usage-copy.h,
	src/cd-paranoia/usage.txt.in, src/cd-paranoia/utils.h,
	src/cd-paranoia/version.h: Remove more paranoia code

2012-03-04  R. Bernstein <rocky@gnu.org>

	* test/testgetdevices.c.in: test/testgetdevices.c.in Remove some
	warnings on MingGW

2012-03-04  R. Bernstein <rocky@gnu.org>

	* test/Makefile.am: test/Makefile.am: Remove test/unconfig -- this
	time, for sure!

2012-03-04  rocky <rocky@gnu.org>

	* test/Makefile.am, test/testunconfig.c: Remove testunconfig. We
	have removed unconfig.h

2012-03-04  R. Bernstein <rocky@gnu.org>

	* src/util.h, test/driver/freebsd.c, test/driver/gnu_linux.c: More
	pbatard patches

2012-03-04  R. Bernstein <rocky@gnu.org>

	* src/util.c: More pbatard patches

2012-03-04  R. Bernstein <rocky@gnu.org>

	* MSVC/README, lib/driver/MSWindows/win32_ioctl.c,
	lib/driver/realpath.c, lib/driver/sector.c, lib/driver/util.c,
	lib/iso9660/Makefile.am, lib/iso9660/rock.c, lib/iso9660/xa.c,
	lib/udf/filemode.c, lib/udf/udf_private.h, src/getopt.h,
	src/iso-info.c, src/iso-read.c, src/mmc-tool.c: More patches from
	the pbatard branch.

2012-03-04  R. Bernstein <rocky@gnu.org>

	* configure.ac, lib/driver/ds.c, lib/driver/mmc/mmc_ll_cmds.c: Some
	more pbatard patches

2012-03-04  R. Bernstein <rocky@gnu.org>

	* example/extract.c, include/cdio/Makefile.am: Makefile.am: add
	CDIO_ to all #defines in cdio_config.h extract.c: give filename on
	extract errors and convert encoding to unix.

2012-03-04  rocky <rocky@gnu.org>

	* lib/driver/MSWindows/win32.c, lib/driver/solaris.c: Remove some
	driver compilation warnings

2012-03-04  R. Bernstein <rocky@gnu.org>

	* lib/driver/os2.c: merge another warning fix from the
	pbatard-branch

2012-03-04  rocky <rocky@gnu.org>

	* : I hate conflicted merges

2012-03-04  R. Bernstein <rocky@gnu.org>

	* test/check_udf.sh: check_udf.sh is derived and thus should not be
	in git

2012-03-04  R. Bernstein <rocky@gnu.org>

	* configure.ac, test/.gitignore, test/check_udf.sh,
	test/check_udf.sh.in, test/data/Makefile.am: test/check_udf.sh works
	when building outside source tree. With this "make distcheck" should
	work again

2012-03-04  R. Bernstein <rocky@gnu.org>

	* test/Makefile.am, test/check_cd_read.sh, test/check_common_fn.in,
	test/check_udf.sh: test/*: Add first UDF test - test sequential file
	extraction.  example/extract.c: give non-zero return code if we
	can't find UDF image test/*

2012-03-04  rocky <rocky@gnu.org>

	* test/check_common_fn.in: This time, for sure!

2012-03-03  R. Bernstein <rocky@gnu.org>

	* INSTALL: Revert inadvertanet INSTALL update

2012-03-04  rocky <rocky@gnu.org>

	* INSTALL, test/check_common_fn.in: Tolerancefor Solaris /bin/sh and
	grep

2012-03-03  R. Bernstein <rocky@gnu.org>

	* test/Makefile.am: Add test/cdtext.right to distribution.

2012-03-03  R. Bernstein <rocky@gnu.org>

	* test/data/Makefile.am: Add test/data/cdtext.cue to distribution.

2012-03-03  R. Bernstein <rocky@gnu.org>

	* test/testgetdevices.c.in: Skip testgetdevices on MinGW for now

2012-03-03  R. Bernstein <rocky@gnu.org>

	* test/driver/mmc_write.c: Had messed up on pbatard mmc_write.c
	sleep patch for MinGW

2012-03-03  R. Bernstein <rocky@gnu.org>

	* src/cd-info.c: More pbatard patches

2012-03-03  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/win32.c, lib/udf/udf.c, lib/udf/udf_time.c: 
	More pbatard patches

2012-03-03  R. Bernstein <rocky@gnu.org>

	* lib/driver/portable.h: Forgot to add back in protable.h

2012-03-03  R. Bernstein <rocky@gnu.org>

	* example/isofile.c, example/isofile2.c, example/isofuzzy.c,
	lib/driver/Makefile.am, lib/driver/filemode.h,
	lib/driver/image/bincue.c, lib/driver/image/cdrdao.c,
	lib/driver/image/nrg.c, lib/driver/logging.c, lib/driver/sector.c,
	src/iso-read.c, test/testisocd.c, test/testisocd2.c.in: More patches
	from pbatard to reduce warnings, etc.

2012-03-03  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/win32.c: Reduce complation warnings via
	changes in pbatard branch

2012-03-03  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/aspi32.c, lib/driver/cdtext.c,
	lib/driver/image/bincue.c, lib/driver/image/cdrdao.c,
	lib/driver/mmc/mmc.c: Reduce complation warnings via changes in
	pbatard branch

2012-03-03  R. Bernstein <rocky@gnu.org>

	* test/driver/bincue.c.in, test/driver/cdrdao.c.in,
	test/driver/mmc_write.c: Remove a couple of warnings, some of which
	were removed in the pbatard branch.

2012-03-03  R. Bernstein <rocky@gnu.org>

	* test/check_legal.regex: check_legal.regex: wrong regexp. This
	time, for sure!

2012-03-03  R. Bernstein <rocky@gnu.org>

	* test/check_common_fn.in, test/check_legal.regex: 
	check_legal.regex: allow matching cd-info.exe.  check_common_fn.in:
	don't erase file cd-info_legal.dump if there is an error.

2012-03-03  R. Bernstein <rocky@gnu.org>

	* THANKS: More things Pete has done

2012-03-03  R. Bernstein <rocky@gnu.org>

	* test/driver/nrg.c.in: Reinstate nrg test for MinGW.

2012-03-03  R. Bernstein <rocky@gnu.org>

	* example/isofile.c, example/isofile2.c, example/isofuzzy.c,
	include/cdio/udf.h, include/cdio/udf_time.h, include/cdio/util.h,
	lib/driver/Makefile.am, lib/driver/_cdio_generic.c,
	lib/driver/_cdio_stdio.c, lib/driver/_cdio_stream.c,
	lib/driver/_cdio_stream.h, lib/driver/abs_path.c,
	lib/driver/image/bincue.c, lib/driver/image/cdrdao.c,
	lib/driver/logging.c, src/iso-read.c, test/testisocd.c,
	test/testisocd2.c.in: Pete Batard's patches offset types especially
	for MinGW and MS Visual C.

2012-03-03  R. Bernstein <rocky@gnu.org>

	* lib/driver/{portable.h => filemode.h}: Pete Batard's patches
	offset types especially for MinGW and MS Visual C.

2012-03-03  R. Bernstein <rocky@gnu.org>

	* include/cdio/iso9660.h, lib/iso9660/iso9660.c,
	lib/iso9660/iso9660_fs.c: pbatard empty array changes for iso9660.h.
	I think the last of the header patches.

2012-03-03  R. Bernstein <rocky@gnu.org>

	* include/cdio/ecma_167.h, lib/udf/udf_file.c, lib/udf/udf_fs.c: 
	pbatard flexible array for ecma_167.h header

2012-03-03  R. Bernstein <rocky@gnu.org>

	* test/check_common_fn.in: test/check_common.sh.in: Avoid $(...) for
	sh of Solaris 10

2012-03-03  R. Bernstein <rocky@gnu.org>

	* example/Makefile.am: A foolish consistency with respect to the
	ordering of making example programs

2012-03-03  R. Bernstein <rocky@gnu.org>

	* include/cdio/bytesex.h, include/cdio/bytesex_asm.h,
	include/cdio/cdio.h, include/cdio/read.h, include/cdio/rock.h,
	include/cdio/types.h, lib/driver/utf8.c, lib/udf/udf_fs.c: Reduce
	differences in pbatard branch for headers. (Still need to add empty
	array/union differences).

2012-03-03  R. Bernstein <rocky@gnu.org>

	* THANKS, configure.ac, example/.gitignore, example/Makefile.am,
	example/README, example/extract.c, example/udffile.c: Reduce
	differences between master and pbatard branch.

2012-03-03  R. Bernstein <rocky@gnu.org>

	* example/C++/OO/cdtext.cpp, example/cdtext.c,
	include/cdio++/disc.hpp: Revise OO CD-Text CPP for different
	interface. Update copyright and untabify some files.

2012-03-03  R. Bernstein <rocky@gnu.org>

	* example/C++/OO/cdtext.cpp, example/C++/OO/device.cpp,
	example/C++/OO/drives.cpp, example/C++/OO/eject.cpp,
	example/C++/OO/iso4.cpp, example/C++/OO/isofile.cpp,
	example/C++/OO/isofile2.cpp, example/C++/OO/isolist.cpp,
	example/C++/OO/mmc1.cpp, example/C++/OO/mmc2.cpp,
	example/C++/OO/tracks.cpp, example/C++/device.cpp,
	example/C++/eject.cpp, example/C++/isofile.cpp,
	example/C++/isofile2.cpp, example/C++/isolist.cpp,
	example/C++/mmc1.cpp, example/C++/mmc2.cpp,
	example/C++/paranoia.cpp, example/C++/paranoia2.cpp: Harmonize
	source headers: C++ examples [PATCH 3/5] from pbatard.

2012-03-03  R. Bernstein <rocky@gnu.org>

	* test/driver/nrg.c.in: Change headers as per pbatard branch to make
	MinGW work out.

2012-03-02  R. Bernstein <rocky@gnu.org>

	* example/audio.c, example/cdchange.c, example/cdio-eject.c,
	example/cdtext.c, example/device.c, example/discid.c,
	example/drives.c, example/eject.c, example/isofile.c,
	example/isofile2.c, example/isofuzzy.c, example/isolist.c,
	example/isolsn.c, example/mmc1.c, example/mmc2.c, example/mmc2a.c,
	example/mmc3.c, example/sample3.c, example/sample4.c,
	example/tracks.c, example/udf1.c, example/udf2.c, example/udffile.c: 
	Harmonize source headers: C examples (Patch 4/5)

2012-03-02  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660_fs.c, test/check_common_fn.in: 
	check_common_fn.in: show command name when we hit an error

2012-03-02  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660_fs.c: Properly address 'len' MinGW shadow
	variable warnings in ISO9660.  From pbatard branch.

2012-02-26  R. Bernstein <rocky@gnu.org>

	* test/check_common_fn.in: A slightly better locale-missing fix

2012-02-26  rocky <rocky@gnu.org>

	* test/check_common_fn.in: MinGW doesn't have a locale command

2012-02-26  rocky <rocky@gnu.org>

	* test/driver/nrg.c.in: Skip test/driver/nrg until we work out off_t
	issues

2012-02-25  R. Bernstein <rocky@gnu.org>

	* include/cdio/udf_time.h, lib/driver/MSWindows/aspi32.c,
	lib/driver/MSWindows/win32_ioctl.c, lib/driver/cdio_assert.h,
	lib/iso9660/rock.c: Silence 'cont_###' set but not used warnings on
	MinGW From pbatard branch.  Update copyright date on recently
	changed files.

2012-02-25  R. Bernstein <rocky@gnu.org>

	* test/check_common_fn.in: Fix "setlocale: LC_TIME: cannot change
	locale (en_US" warning during tests.  Both 'en_US' and 'en_US.utf8'
	might be defined on some platforms From pbatard branch.

2012-02-25  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/aspi32.c, lib/driver/MSWindows/win32.c: Fix
	missing logging header for aspi32.c/win32.c From pbatard branch

2012-02-25  R. Bernstein <rocky@gnu.org>

	* include/cdio/udf_time.h: Fix 'struct timespec declared inside
	parameter list' MinGW warning.  From pbatard branch.

2012-02-25  R. Bernstein <rocky@gnu.org>

	* lib/driver/cdio_assert.h: Use native Windows assert for MinGW.
	This also avoids false positive warnings with Clang static analyzer,
	as the default libcdio assert does return.  From pbatard branch.

2012-02-24  R. Bernstein <rocky@gnu.org>

	* example/cdchange.c, test/driver/mmc_read.c,
	test/driver/mmc_write.c, test/driver/realpath.c: Fix some of the
	tests for MinGW and fix the use of Sleep/usleep for MinGW & MSVC
	platforms * Sleep takes ms, not s * Use sleep/Sleep rather than usleep in the cdchange sample, as
	  usleep is not available on recent MinGW platforms From pbatard branch.

2012-02-24  R. Bernstein <rocky@gnu.org>

	* .gitattributes, configure.ac: * use "Define to" as this is the comment default from autotools * use quotes and x prefix for string tests * add detection for MinGW required LFS calls and remove unneeded
	AC_FUNC_FSEEKO * set LFS support for MinGW * disable cdda_player for MinGW * enable Joliet support without iconv on MinGW * also fix an issue with CRLF in config.rpath Above from Pete Batard.

2012-02-24  R. Bernstein <rocky@gnu.org>

	* include/cdio/device.h, include/cdio/types.h: types.h: gcc before
	4.5 has a no-argument form of deprecated.  device.h: use
	LIBCIO_DEPRECATED macro rather than assume gcc.

2012-02-24  R. Bernstein <rocky@gnu.org>

	* lib/driver/osx.c: lib/driver/osx.c: duplicate transport error enum
	- cdio/cdda.h removed

2012-02-23  R. Bernstein <rocky@gnu.org>

	* include/cdio/Makefile.am, test/Makefile.am: Make "distcheck" works
	again.  include/cdio/Makefile.am: was missing inclusion of cdtext.h
	test/Makefile.am: remove paranoia test.

2012-02-19  rocky <rocky@gnu.org>

	* Makefile.am, configure.ac, example/C++/.gitignore,
	example/C++/Makefile.am, example/C++/OO/.gitignore,
	example/Makefile.am, example/paranoia.c, example/paranoia2.c,
	include/cdio/Makefile.am, lib/Makefile.am,
	lib/cdda_interface/.cvsignore, lib/cdda_interface/.gitignore,
	lib/cdda_interface/Makefile.am,
	lib/cdda_interface/cddap_interface.c,
	lib/cdda_interface/common_interface.c,
	lib/cdda_interface/common_interface.h,
	lib/cdda_interface/drive_exceptions.c,
	lib/cdda_interface/drive_exceptions.h,
	lib/cdda_interface/interface.c,
	lib/cdda_interface/libcdio_cdda.sym,
	lib/cdda_interface/low_interface.h,
	lib/cdda_interface/scan_devices.c,
	lib/cdda_interface/scsi_interface.c, lib/cdda_interface/smallft.c,
	lib/cdda_interface/smallft.h, lib/cdda_interface/test_interface.c,
	lib/cdda_interface/toc.c, lib/cdda_interface/utils.c,
	lib/cdda_interface/utils.h, lib/iso9660/.gitignore,
	lib/paranoia/.cvsignore, lib/paranoia/.gitignore,
	lib/paranoia/Makefile.am, lib/paranoia/gap.c, lib/paranoia/gap.h,
	lib/paranoia/isort.c, lib/paranoia/isort.h,
	lib/paranoia/libcdio_paranoia.sym, lib/paranoia/overlap.c,
	lib/paranoia/overlap.h, lib/paranoia/p_block.c,
	lib/paranoia/p_block.h, lib/paranoia/paranoia.c, src/Makefile.am,
	test/Makefile.am, test/driver/realpath.c: paranoia code removed. Is
	now in separate tree under GPL v2+.  realpath.c: patch from Debian
	and N. Boullis

2012-02-19  rocky <rocky@gnu.org>

	* test/driver/realpath.c: Debian POSIXness fix from N. Boullis

2012-02-19  rocky <rocky@gnu.org>

	* NEWS, include/cdio/device.h: Deprecate some defines - patch from
	Nicolas Boullis.

2012-02-19  rocky <rocky@gnu.org>

	* src/Makefile.am, src/cd-info.c: manual page corrections.

2012-02-12  R. Bernstein <rocky@gnu.org>

	* test/check_cue.sh.in: $abs_top_path now seems to really refer to
	the absolute top path. Adjust data/check locations accordingly.

2012-02-12  R. Bernstein <rocky@gnu.org>

	* test/check_cue.sh.in: $abs_top_path now seems to really refer to
	the absolute top path. Adjust data/check locations accordingly.

2012-02-08  R. Bernstein <rocky@gnu.org>

	* doc/cd-text-format.texi: Incorporate Leon'suggestions

2012-02-08  R. Bernstein <rocky@gnu.org>

	* doc/cd-text-format.texi: Other Pack Types -> Miscellaneous Pack
	Types

2012-02-08  R. Bernstein <rocky@gnu.org>

	* doc/cd-text-format.texi: One more time

2012-02-08  R. Bernstein <rocky@gnu.org>

	* doc/cd-text-format.texi: One small little change

2012-02-08  R. Bernstein <rocky@gnu.org>

	* doc/cd-text-format.texi: Work a little on the grammar in the
	beginning of section "Pack Contents"

2012-02-08  R. Bernstein <rocky@gnu.org>

	* doc/cd-text-format.texi: Revision based on latest comments from
	Thomas

2012-02-07  R. Bernstein <rocky@gnu.org>

	* doc/cd-text-format.texi: Refine sectioning yet again, add pack
	numbers to appropriate sections. Other small changes.

2012-02-06  R. Bernstein <rocky@gnu.org>

	* doc/cd-text-format.texi: Make two top-level sections to separate
	lower-level decode/encode from higher-level CD-TEXT entry. Go over
	references -- another pass is needed. Corrections from Thomas. CD
	Text -> CD-TEXT since that's how docs list it.

2012-02-06  R. Bernstein <rocky@gnu.org>

	* doc/.gitignore, doc/Makefile.am, doc/{cd-text.texi =>
	cd-text-format.texi}: Add an introduction. Make less machine-centric
	and more Human-centric.  Regularize terminology more, e.g. CD Text,
	Pack Types.

2012-02-05  R. Bernstein <rocky@gnu.org>

	* doc/cd-text.texi: Correct makeinfo sectioning. Use unnumbered for
	references

2012-02-05  R. Bernstein <rocky@gnu.org>

	* doc/cd-text.texi: More small cd-text.texi changes

2012-02-05  R. Bernstein <rocky@gnu.org>

	* doc/cd-text.texi: Clarifications and typos suggested by Thomas
	Schmitt.

2012-02-05  R. Bernstein <rocky@gnu.org>

	* doc/cd-text.texi, doc/libcdio.texi: libcdio.texi: Encorporate
	Thomas' suggestions cd-text.texi: Encorporate Thomas' suggestions,
	revise sectioning; Start using floats in tables, and small
	corrections.

2012-02-04  R. Bernstein <rocky@gnu.org>

	* doc/cd-text.texi: More little changes

2012-02-04  R. Bernstein <rocky@gnu.org>

	* doc/cd-text.texi: More formatting changes

2012-02-04  R. Bernstein <rocky@gnu.org>

	* doc/cd-text.texi: Ooops name spelling correction

2012-02-04  R. Bernstein <rocky@gnu.org>

	* doc/Makefile.am, doc/libcdio.texi: Add rules to make
	cd-text.{html,pdf,ps}. Update CD-Text info as per discussion in
	libcdio-devel.

2012-02-04  R. Bernstein <rocky@gnu.org>

	* doc/cd-text.texi: Misc small formatting changes and corrections.
	Work on references.

2012-02-04  R. Bernstein <rocky@gnu.org>

	* doc/cd-text.texi: Add Thomas Schmitt's cdtext.txt converted to
	texinfo

2012-02-04  R. Bernstein <rocky@gnu.org>

	* doc/libcdio.texi: Split one paragraph into 3 as suggested by
	Thomas Schmitt

2012-01-28  R. Bernstein <rocky@gnu.org>

	* test/driver/realpath.c: realpath.c(main): Remove duplicate if
	condition.

2012-01-28  R. Bernstein <rocky@gnu.org>

	* test/check_cue.sh.in: Wasn't showing full command name when
	check_cue.sh failed.

2012-01-28  R. Bernstein <rocky@gnu.org>

	* lib/driver/mmc/mmc_hl_cmds.c, lib/driver/solaris.c,
	test/check_cue.sh.in: mmc_hl_cmds.c: remove gcc warning solaris.c:
	remove unused fn warning when not on solaris check_cue.sh.in: fix so
	we can build outside of source tree. With this, "make distcheck"
	works again.

2012-01-26  R. Bernstein <rocky@gnu.org>

	* lib/driver/image/bincue.c, test/check_cue.sh.in: CDTEXTFILE
	directifile should be relative to CUE file.

2012-01-25  R. Bernstein <rocky@gnu.org>

	* lib/driver/image/cdrdao.c, test/data/vcd2.toc: Find/fix another
	place in TOC reader where we need to use relative paths. Here in a
	branch of code for the DATAFILE statement.

2012-01-25  R. Bernstein <rocky@gnu.org>

	* .gitignore, COPYING, configure.ac: Administrivia: Don't recreate
	INSTALL when doing autoreconf. COPYING is now in .git too.

2012-01-17  R. Bernstein <rocky@gnu.org>

	* configure.ac, example/sample3.c, example/sample4.c: Enable
	automake enable silent rules which makes it easier to spot warnings.
	If Automake v1.10 or earlier is used, AM_SILENT_RESULES is be
	ignored. Patch also from Pete Batard.

2012-01-17  R. Bernstein <rocky@gnu.org>

	* example/sample3.c, example/sample4.c: Remove a couple of "possibly
	unused variable" warnings. Patch from Pete Batard.

2012-01-17  R. Bernstein <rocky@gnu.org>

	* .gitattributes: Make sure shell, automake, and autoconf files end
	in Unixish LF, the default autocrlf. Patch again from Pete Batard.

2012-01-17  R. Bernstein <rocky@gnu.org>

	* : Add cdda.bin which is used in tests

2012-01-16  rocky <rocky@gnu.org>

	* configure.ac, lib/driver/abs_path.c: Add replacement for
	strndup(). MinGW doesn't have it. From Pete Batard again.

2012-01-16  rocky <rocky@gnu.org>

	* configure.ac: Remove -mwindows for MinGw and cygwin since it
	prevents stdout/stderr from reaching the console. From Pete Batard,
	see libcdio-devel Jan 16, 2012.

2012-01-16  rocky <rocky@gnu.org>

	* lib/iso9660/iso9660_fs.c, lib/udf/udf_fs.c: Plug memory leak in
	iso9660_ifs_readdir() and udf_open().  Patches from Pete Batard. See
	libcdio_devel from Jan 16, 2012.

2011-12-25  rocky <rocky@gnu.org>

	* test/cdtext.right, test/data/cdtext.cue: Double length of cdtext
	cue/bin example. Thomas reports on libcdio-devel that the helps some
	LG drives and wodim.

2011-12-16  rocky <rocky@gnu.org>

	* lib/cdda_interface/libcdio_cdda.sym: Add fft_foward to externs.
	Used in linking libcdio_cdda

2011-12-15  R. Bernstein <rocky@gnu.org>

	* configure.ac: Allow FreeBSD9. John Wehle says it works

2011-12-11  R. Bernstein <rocky@gnu.org>

	* lib/driver/abs_path.c, lib/driver/cdio_private.h,
	lib/driver/image.h, lib/driver/image/bincue.c,
	lib/driver/image/cdrdao.c, lib/driver/image_common.h: Issue #33636
	make path names toc/cue files be relative to the toc/cue when no
	absolute path is specified in toc/cue FILENAME statements.

2011-12-11  R. Bernstein <rocky@gnu.org>

	* lib/driver/abs_path.c, lib/driver/libcdio.sym,
	test/driver/.gitignore, test/driver/Makefile.am,
	test/driver/abs_path.c: Add cdio_dirname which I think should
	complete what we need. Also add test of abs_path and dirname

2011-12-11  R. Bernstein <rocky@gnu.org>

	* lib/driver/abs_path.c: Start abs_path and basename to be used in
	cue files.

2011-12-10  R. Bernstein <rocky@gnu.org>

	* lib/driver/.gitignore, lib/driver/Makefile.am,
	lib/driver/abs_path.c, lib/driver/libcdio.sym: Start abs_path and
	basename to be used in cue files.

2011-12-05  R. Bernstein <rocky@gnu.org>

	* include/cdio/Makefile.am, src/util.h, test/check_common_fn.in: 
	Incorporate patch #7628 for building outside of source tree. Check
	for locale en-US.

2011-12-04  R. Bernstein <rocky@gnu.org>

	* include/cdio/cdtext.h, lib/driver/_cdio_generic.c,
	lib/driver/cdtext.c, lib/driver/image/bincue.c,
	lib/driver/image/nrg.c, lib/driver/mmc/mmc.c, test/cdtext.right,
	test/check_cue.sh.in: Patch from Leon Merten Lohse: Correct the
	length of the CD-TEXT block.

2011-11-30  rocky <rocky@gnu.org>

	* INSTALL: Reinstate INSTALL - I need a better way to keep INSTALL
	from getting destroyed

2011-11-30  rocky <rocky@gnu.org>

	* INSTALL, configure.ac, src/cdda-player.c: cygwin has ncurses.h in
	<ncurses/ncurses.h>

2011-11-28  R. Bernstein <rocky@gnu.org>

	* test/data/cdtext.cue: This cue is burnable via the command:
	cdrecord -text cuefile=cdtext.cue

2011-11-27  R. Bernstein <rocky@gnu.org>

	* lib/driver/mmc/mmc_ll_cmds.c, test/driver/mmc_read.c: Look for a
	NULL destination buffer in mmc_read_cd and return
	DRIVER_OP_BAD_POINTER in this particular situation.

2011-11-27  R. Bernstein <rocky@gnu.org>

	* doc/glossary.texi: Better CD Text information via Rob Fuller.

2011-11-27  R. Bernstein <rocky@gnu.org>

	* doc/glossary.texi: Add a couple of URLs for CD Text information.

2011-11-27  R. Bernstein <rocky@gnu.org>

	* lib/driver/image/cdrdao.c, test/data/cdda.cue, test/data/vcd2.toc: 
	Move a little bit forward in implementing SILENCE in cdrdao.  cdrdao
	tests now work while being a little more strict.

2011-11-25  R. Bernstein <rocky@gnu.org>

	* lib/driver/image/cdrdao.c, test/data/Makefile.am: Add Leon Merten
	Lohse's cdtext test images.  cdrdao.c reduse severity of not finding
	source - may change my mind later about this...

2011-11-25  rocky <rocky@gnu.org>

	* configure.ac: If we don't have ncurses.h don't try to look for
	libncurses

2011-11-25  rocky <rocky@gnu.org>

	* lib/driver/image/cdrdao.c: Check that we can find data source and
	give error when we can't

2011-11-24  R. Bernstein <rocky@gnu.org>

	* configure.ac: up release to 0.84git

2011-11-24  R. Bernstein <rocky@gnu.org>

	* THANKS, example/cdtext.c, include/cdio++/cdtext.hpp,
	include/cdio++/device.hpp, include/cdio++/disc.hpp,
	include/cdio++/track.hpp, include/cdio/cdio.h,
	include/cdio/cdtext.h, include/cdio/disc.h, include/cdio/track.h,
	lib/driver/FreeBSD/freebsd.c, lib/driver/MSWindows/win32.c,
	lib/driver/_cdio_generic.c, lib/driver/aix.c, lib/driver/bsdi.c,
	lib/driver/cdio.c, lib/driver/cdio_private.h, lib/driver/cdtext.c,
	lib/driver/cdtext_private.h, lib/driver/disc.c,
	lib/driver/generic.h, lib/driver/gnu_linux.c, lib/driver/image.h,
	lib/driver/image/.gitignore, lib/driver/image/bincue.c,
	lib/driver/image/cdrdao.c, lib/driver/image/nrg.c,
	lib/driver/image_common.c, lib/driver/image_common.h,
	lib/driver/libcdio.sym, lib/driver/mmc/mmc.c,
	lib/driver/mmc/mmc_private.h, lib/driver/netbsd.c,
	lib/driver/os2.c, lib/driver/osx.c, lib/driver/solaris.c,
	src/cd-info.c, src/cdda-player.c, test/cdtext.right,
	test/check_cue.sh.in, test/check_fuzzyiso.sh, test/data/cdtext.cue,
	test/driver/nrg.c.in: 1) cdtext objects are no longer associated with a track but with the
	disc.  2) - cdio_get_cdtext no longer takes track as an argument - cdtext_get, cdtext_get_const, cdtext_set require track argument 3) Language, Genre, Genre Code and Encoding Fields are now properly
	parsed and stored in the cdtext object 4) Added public function cdio_get_cdtext_raw to extract the binary
	CD-Text 5) Added CDTEXTFILE keyword logic in cue sheet parser. Parses
	binary/raw CD-Text files 6) Added cdtext_genre2str to convert genre code 7) altered the example programs, test drivers, cdda-player and
	cd-info to work with these changes 8) Added test case 9) A few smaller changes A disc either holds CD-Text for all the
	tracks or does not hold any. Therefore a CD-Text object for the
	whole disc seems more natural to me. It also enables us to store
	global fields, like genre, encoding, language.  Patch was tested on GNU/Linux 32 bit running Gentoo.

2011-11-16  R. Bernstein <rocky@gnu.org>

	* configure.ac, include/cdio/device.h, lib/driver/image/cdrdao.c,
	test/data/Makefile.am, test/data/data5.toc, test/data/data6.toc,
	test/data/data7.toc, test/data/t10.toc, test/driver/cdrdao.c.in: 
	Don't error out on handling "NO PRE_EMPHASIS" in cdrdao TOC.
	Savannah bug #34826:

2011-11-05  R. Bernstein <rocky@gnu.org>

	* example/.gitignore, example/Makefile.am, example/README,
	example/discid.c, lib/.gitignore: discid
	(http://discid.sourceforge.net/) using libcdio.

2011-10-27  R. Bernstein <rocky@gnu.org>

	* Makefile.am: Change -perm -777 to -perm -755 so gnu.ftp.org will
	accept upload.

2011-10-26  R. Bernstein <rocky@gnu.org>

	* doc/how-to-make-a-release.txt: Administrivia.

2011-10-26  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, include/cdio/mmc_hl_cmds.h,
	include/cdio/mmc_ll_cmds.h: Reduce doxygen warnings regarding
	documenting some parameters.

2011-10-26  R. Bernstein <rocky@gnu.org>

	* configure.ac: Get ready for 0.83 release

2011-10-21  rocky <rocky@gnu.org>

	* INSTALL: INSTALL got clobbered

2011-10-21  R. Bernstein <rocky@gnu.org>

	* INSTALL, configure.ac, lib/cdda_interface/Makefile.am,
	lib/driver/Makefile.am, lib/iso9660/Makefile.am,
	lib/paranoia/Makefile.am, lib/udf/Makefile.am: Makefile.am: Increase
	shared library "current" numbers, zeroing "revision" and "age ".
	configure.ac: require autoconf at least 2.67

2011-10-21  rocky <rocky@gnu.org>

	* test/Makefile.am: Forgot to add check_legal.regex

2011-10-21  rocky <rocky@gnu.org>

	* README.develop: Add version numbers for autoconf and automake.

2011-10-21  rocky <rocky@gnu.org>

	* : commit 3dfffd589cad5ed04a3c72ead29f0407db424d76 Author: R.
	Bernstein <rocky@gnu.org> Date:   Fri Oct 21 06:05:17 2011 -0400

2011-10-20  R. Bernstein <rocky@gnu.org>

	* README: Note there is limited support for writing via MMC as noted
	by Thomash Schmitt.

2011-10-20  R. Bernstein <rocky@gnu.org>

	* include/cdio/Makefile.am, src/cd-paranoia/Makefile.am: 
	src/cd-paranoia.h and include/cdio/cdio_config.h are derived files,
	so don't include them in the distribution.

2011-10-20  R. Bernstein <rocky@gnu.org>

	* include/cdio/Makefile.am, include/cdio/cdio_unconfig.h,
	test/.gitignore, test/Makefile.am, test/testunconfig.c: Add an
	include to remove any C Preprocessor symbol libcdio's config.h
	creates. Programs using libcdio can do this: // for cdio: // for your program

2011-10-20  R. Bernstein <rocky@gnu.org>

	* example/cdchange.c, example/isolist.c, example/isolsn.c,
	example/mmc1.c, example/mmc2.c, example/mmc2a.c, example/mmc3.c,
	example/paranoia.c, example/udffile.c, include/cdio/Makefile.am,
	lib/cdda_interface/common_interface.c,
	lib/cdda_interface/common_interface.h,
	lib/cdda_interface/drive_exceptions.c, lib/cdda_interface/toc.c,
	lib/cdda_interface/utils.c, lib/cdio++/devices.cpp,
	lib/cdio++/iso9660.cpp, lib/driver/FreeBSD/freebsd.c,
	lib/driver/MSWindows/aspi32.c, lib/driver/MSWindows/win32.c,
	lib/driver/_cdio_generic.c, lib/driver/_cdio_stdio.c,
	lib/driver/_cdio_stream.c, lib/driver/aix.c, lib/driver/audio.c,
	lib/driver/bsdi.c, lib/driver/cd_types.c, lib/driver/cdio.c,
	lib/driver/cdio_assert.h, lib/driver/cdtext.c, lib/driver/device.c,
	lib/driver/disc.c, lib/driver/ds.c, lib/driver/gnu_linux.c,
	lib/driver/image.h, lib/driver/image/bincue.c,
	lib/driver/image/nrg.c, lib/driver/image_common.c,
	lib/driver/logging.c, lib/driver/mmc/mmc.c,
	lib/driver/mmc/mmc_hl_cmds.c, lib/driver/mmc/mmc_ll_cmds.c,
	lib/driver/mmc/mmc_util.c, lib/driver/netbsd.c, lib/driver/os2.c,
	lib/driver/osx.c, lib/driver/portable.h, lib/driver/read.c,
	lib/driver/realpath.c, lib/driver/sector.c, lib/driver/solaris.c,
	lib/driver/track.c, lib/driver/utf8.c, lib/driver/util.c,
	lib/iso9660/iso9660_fs.c, lib/iso9660/iso9660_private.h,
	lib/iso9660/xa.c, lib/paranoia/gap.c, lib/paranoia/isort.c,
	lib/paranoia/overlap.c, lib/paranoia/p_block.c,
	lib/paranoia/paranoia.c, lib/udf/filemode.c, lib/udf/udf_fs.c,
	lib/udf/udf_private.h, lib/udf/udf_time.c,
	src/cd-paranoia/cd-paranoia.c, src/cd-paranoia/report.c,
	src/cdda-player.c, src/cddb.c, src/mmc-tool.c, src/util.h,
	test/check_sizeof.c, test/driver/bincue.c.in,
	test/driver/cdrdao.c.in, test/driver/freebsd.c,
	test/driver/gnu_linux.c, test/driver/helper.c,
	test/driver/mmc_read.c, test/driver/mmc_write.c,
	test/driver/nrg.c.in, test/driver/osx.c, test/driver/realpath.c,
	test/driver/solaris.c, test/driver/win32.c,
	test/test_lib_driver_util.c, test/testassert.c, test/testdefault.c,
	test/testgetdevices.c.in, test/testischar.c, test/testiso9660.c,
	test/testisocd.c, test/testparanoia.c, test/testpregap.c.in: Make
	sure config.h or the copy of that gets included only once to reduce
	duplicate include warnings.

2011-10-20  R. Bernstein <rocky@gnu.org>

	* configure.ac, include/cdio/Makefile.am, lib/driver/cdtext.c,
	lib/driver/utf8.c, src/cd-info.c: Correct test for enable_cdda to
	accept either curses.h *or* ncurses.h Add <strings.h> in more places
	that use bzero. Checks suggested by Blake Jones.  Add preprocessor symbol CDIO_CONFIG_H to <cdio_config.h>

2011-10-20  rocky <rocky@gnu.org>

	* THANKS: Add Dagobert Michelson to the growing list.

2011-10-20  R. Bernstein <rocky@gnu.org>

	* example/README: Note that some adjustments might be needed to
	compile example programs

2011-10-20  R. Bernstein <rocky@gnu.org>

	* Makefile.am, doc/Makefile.am, src/cd-paranoia/Makefile.am: Add
	remake --task documentation

2011-10-19  R. Bernstein <rocky@gnu.org>

	* src/util.h: Add <strings.h> to pick up definition of bzero.

2011-10-19  R. Bernstein <rocky@gnu.org>

	* README.develop, example/sample3.c, include/cdio++/iso9660.hpp,
	src/cd-drive.c, src/cd-paranoia/Makefile.am, test/check_legal.regex: 
	Remove CVS $Id$ line which is no longer automatically updated.
	ios9660.hpp under FS because of Solaris macro conflict as suggested
	by Thomas Schmitt.  cd-drive.c: add some casts to remove gcc
	warnings src/cd-paranoia/Makefile.am: remove a GNU make idiom.
	README.develop: note needing GNU make or remake

2011-10-19  R. Bernstein <rocky@gnu.org>

	* example/mmc3.c, example/sample3.c, example/sample4.c: Remove some
	warnings

2011-10-19  R. Bernstein <rocky@gnu.org>

	* lib/driver/gnu_linux.c: sprintf -> snprintf

2011-10-20  rocky <rocky@gnu.org>

	* lib/driver/solaris.c: solaris.c: sprintf->snprintf as implicitly
	suggested by Thomas Schmitt

2011-10-20  rocky <rocky@gnu.org>

	* lib/iso9660/rock.c, test/check_common_fn.in: rock.c: small
	C-Preprocessor bug noticed on Solaris 10 sparc. check_common_fn.in:
	avoid == for older /bin/sh as Solaris has

2011-10-18  R. Bernstein <rocky@gnu.org>

	* : commit 47e4844390cb801a3dcd8e38cad4cc7e559962d4 Author: R.
	Bernstein <rocky@gnu.org> Date:   Tue Oct 18 20:00:56 2011 -0400

2011-10-18  rocky <rocky@gnu.org>

	* NEWS: Update NEWS for pending 0.83 release.

2011-10-04  R. Bernstein <rocky@gnu.org>

	* src/util.c, test/cdda-mcn.right, test/cdda-read.right,
	test/cdda.right, test/check_common_fn.in, test/check_opts.sh,
	test/check_opts0.right, test/check_opts1.right,
	test/check_opts2.right, test/check_opts3.right,
	test/check_opts4.right, test/check_opts5.right,
	test/check_opts6.right, test/check_opts7.right,
	test/copying-rr.right, test/copying.right, test/fsf.right,
	test/isofs-m1-no-rr.right, test/isofs-m1-read.right,
	test/isofs-m1.right, test/joliet-nojoliet.right, test/joliet.right,
	test/monvoisin.right, test/svcd_ogt_test_ntsc.right,
	test/svcdgs.right, test/vcd_demo.right,
	test/vcd_demo_vcdinfo.right, test/vcd_demo_vcdinfo_toc.right,
	test/videocd.right: --no-header omits warranty. Patch from Martin
	von Gagem. Savannah #29307.

2011-09-12  R. Bernstein <rocky@gnu.org>

	* src/cd-info.c: Give CDDB info if *any* tracks are found to be
	audio tracks.

2011-08-25  rocky <rocky@gnu.org>

	* lib/driver/MSWindows/win32_ioctl.c: Fix a couple of sizeof syntax
	errors in converting sprintf to snprintf. See bug #34125.

2011-07-08  rocky <rocky@gnu.org>

	* configure.ac, include/cdio/Makefile.am: Use "make" to create
	include/cdio/cdio_config.h rather than do it in the configure
	script.

2011-07-08  rocky <rocky@gnu.org>

	* include/cdio/paranoia.h, lib/paranoia/paranoia.c: Reduce range of
	seek in paranoia_seek to be int32_t. CDDA's definitely live within
	this range. off_t is influenced by _FILE_OFFSET_BITS and can cause
	problems on a 32-bit system where _FILE_OFFSET_BITS is set to 64.
	See Bastiaan Timmer's posting to libcdio-help on July 7, 2011.

2011-07-07  rocky <rocky@gnu.org>

	* configure.ac: Copy all of config.h in order to get
	_FILE_OFFSET_BITS.

2011-05-31  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660_fs.c, src/iso-info.c: Two more Coverty static
	analysis issues addressed by Honza Horak.

2011-05-30  rocky <rocky@gnu.org>

	* example/audio.c, example/mmc2a.c, example/paranoia.c,
	lib/cdda_interface/cddap_interface.c,
	lib/cdda_interface/common_interface.c,
	lib/cdda_interface/scan_devices.c, lib/driver/device.c,
	lib/driver/gnu_linux.c, lib/driver/image/cdrdao.c,
	lib/driver/image/nrg.c, lib/driver/mmc/mmc.c, lib/driver/read.c,
	lib/iso9660/iso9660_fs.c, lib/paranoia/paranoia.c,
	lib/udf/udf_file.c, lib/udf/udf_fs.c, src/cd-info.c,
	src/cd-paranoia/cd-paranoia.c, src/cd-read.c, src/iso-info.c: patch
	from Honza Horak using Coverity's static analysis tool.

2011-05-27  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/win32_ioctl.c, lib/driver/solaris.c,
	src/cdda-player.c: Change a number of sprintf's to snprintf.

2011-05-20  R. Bernstein <rocky@gnu.org>

	* README.libcdio, configure.ac: configure.ac: remove no
	AC_LANG_SOURCE call detected. (From Christopher Yeleighton)

2011-05-19  R. Bernstein <rocky@gnu.org>

	* INSTALL: Typo

2011-05-19  R. Bernstein <rocky@gnu.org>

	* .gitignore, INSTALL: More specific install instructions

2011-05-19  R. Bernstein <rocky@gnu.org>

	* INSTALL.git: INSTALL.git information is in README.develop

2011-05-19  R. Bernstein <rocky@gnu.org>

	* README.develop, README.libcdio: Update development install
	instructions and libcdio-specific "configure" options.

2011-05-19  R. Bernstein <rocky@gnu.org>

	* test/cdda.right: Adjust test output - track now has width for two
	digits.

2011-05-19  R. Bernstein <rocky@gnu.org>

	* INSTALL.git, Makefile.am, README, doc/Makefile.am,
	doc/doxygen/html/.cvsignore, example/audio.c,
	include/cdio++/enum.hpp, include/cdio++/read.hpp,
	include/cdio/rock.h, include/cdio/scsi_mmc.h,
	lib/driver/portable.h, lib/driver/sector.c, lib/iso9660/xa.c,
	package/libcdio.spec.in, parse/toc.y, src/Makefile.am,
	src/cd-drive.help2man, src/cd-info.help2man,
	src/cd-paranoia/doc/en/cd-paranoia.1.in, src/cd-paranoia/header.c,
	src/cd-read.help2man, src/cdda-player.c, src/cdinfo-linux.c,
	src/iso-info.help2man, src/iso-read.help2man, src/util.c,
	src/util.h: Add git install instructions. Simplify and customize
	INSTALL. Add dependency to cause version.texi to get created. Update
	my email address.

2011-05-18  rocky <rocky@gnu.org>

	* THANKS, include/cdio/audio.h, include/cdio/types.h,
	include/cdio/udf_file.h, lib/driver/mmc/mmc.c, src/cd-info.c: Add
	ISRC track info to cd-info output. Code from Scot C. Bontrager.

2011-05-18  R. Bernstein <rocky@gnu.org>

	* src/cdda-player.c: Correct wording in cdda-player comments. For
	Christopher Yeleighton, among others.

2011-05-18  R. Bernstein <rocky@gnu.org>

	* src/cdda-player.c: Don't wrap-around volume adjustment for
	cdda-player. The rationale is that folks might not look at the
	volume indicator or know what the max or min values are. See issue
	#33333 by Christopher Yeleighton.

2011-05-17  rocky <rocky@gnu.org>

	* lib/driver/libcdio.sym: Make sure mmc_isrc_track_read_subchannel
	is a global symbol

2011-05-17  rocky <rocky@gnu.org>

	* THANKS, include/cdio/mmc.h, lib/driver/mmc/mmc.c: Add mmc routine
	to get the ISRC information on a CD that is in the q subchannel but
	not showing up in the CDTEXT. Contributed by Scot C. Bontrager.

2011-04-23  R. Bernstein <rocky@gnu.org>

	* example/cdtext.c, lib/driver/cdtext.c,
	lib/driver/cdtext_private.h: From Leon Merten Lohse
	 https://savannah.gnu.org/patch/?7532: * discid field extraction  * genre field extraction (experimental)  * blocksize field extraction  * read charcode from blocksize field  * some unneeded comments removed  * unneeded local variables removed  * typos

2011-03-28  R. Bernstein <rocky@gnu.org>

	* : commit 66a3e4689efe80897648ca0e4b0faf36845a1fed Author: R.
	Bernstein <rocky@gnu.org> Date:   Mon Mar 28 12:30:36 2011 -0400

2011-03-28  R. Bernstein <rocky@gnu.org>

	* lib/driver/cdtext.c: CD-text patches from Leon Merten Lohse to
	handle double-byte strings. See https://savannah.gnu.org/patch/?7516

2011-02-24  rocky <rocky@gnu.org>

	* src/cd-read.c: Correct erroneous error message. Thanks to Bas
	Timmer via libcdio-help.

2010-11-30  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/rock.c, src/util.c: Guard against not having S_ISLNK
	and S_ISSOCK.

2010-11-10  R. Bernstein <rocky@gnu.org>

	* lib/cdda_interface/scan_devices.c: Memoery leak reported in
	paranoia-dev. Fix from billy.donahue.

2010-10-26  R. Bernstein <rocky@gnu.org>

	* Makefile.am, lib/udf/udf_file.c: Makefile.am: Variable was
	misspelled

2010-10-22  R. Bernstein <rocky@gnu.org>

	* : commit 122aecc0a93cd3613379059d8983af5acf390ad8 Author: R.
	Bernstein <rocky@gnu.org> Date:   Fri Oct 22 23:39:19 2010 -0400

2010-08-27  rocky <rocky@gnu.org>

	* : commit e3226cdd2bf02d6934f928a70898facbbbc98009 Author: rocky
	<rocky@gnu.org> Date:   Fri Aug 27 17:09:14 2010 -0400

2010-05-30  R. Bernstein <rocky@gnu.org>

	* example/cdchange.c, example/isofile.c, example/isofile2.c,
	example/isofuzzy.c, example/paranoia.c, example/udffile.c: config.h
	has to come first else _FILE_OFFSET_BITS are redefined in say
	opensolaris. Part 2 of patch from Thomas Schmitt

2010-05-30  R. Bernstein <rocky@gnu.org>

	* : commit 789a90472a461ec9f4ec19d1f3417aa9c81e5b10 Author: R.
	Bernstein <rocky@gnu.org> Date:   Sun May 30 01:24:59 2010 -0400

2010-05-11  R. Bernstein <rocky@gnu.org>

	* include/cdio/dvd.h: uint8_t -> unsigned int.
	http://en.wikipedia.org/wiki/C_syntax#Bit_fields via Thomas Schmitt

2010-05-11  R. Bernstein <rocky@gnu.org>

	* src/cdda-player.c: Silence another GCC warning. Thanks to Thomas
	Schmitt for this.

2010-05-11  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h: Typo found by Thomas Schmitt.

2010-05-07  rocky <rocky@gnu.org>

	* lib/driver/FreeBSD/freebsd_cam.c: From Thomas Schmitt: in order to
	preserve the current behavior over the CAM changes.

2010-03-23  R. Bernstein <rocky@gnu.org>

	* lib/iso9660/iso9660.c: Compile error when Rock Ridge support is
	disabled. Savannah bug #29308.

2010-03-23  R. Bernstein <rocky@gnu.org>

	* configure.ac: Savannah Patch #7129 from Mike Frysinger:  specifies user-visible e-mail address in AC_INIT - uses AC_HELP_STRING() for enable/with options - uses AC_MSG_* instead of `echo` for user notices - removes redundant test checks for enable/with options - fixes 3rd arg handling with AC_ARG_ENABLE and --enable-rock and
	--enable-cddb and --enable-vcd-info - properly quotes enable/with variables in case someone passes a
	value with spaces as the enable/with value

2010-03-23  R. Bernstein <rocky@gnu.org>

	* lib/driver/disc.c: Track discmode_t (include/disc.h) enumeration
	changes

2010-02-22  R. Bernstein <rocky@gnu.org>

	* include/cdio/Makefile.am, include/cdio/device.h,
	include/cdio/mmc.h, include/cdio/mmc_util.h,
	lib/driver/Makefile.am, lib/driver/mmc/mmc.c,
	lib/driver/mmc/mmc_util.c, test/driver/.gitignore: mmc_util.{c,h}
	Break simpler non-dependent mmc helper or utility routines from
	mmc.{c,h}

2010-02-11  R. Bernstein <rocky@gnu.org>

	* configure.ac, example/cdchange.c: Start to remove sleep in favor
	of usleep. Bug #28543.

2010-02-11  R. Bernstein <rocky@gnu.org>

	* lib/driver/mmc/mmc_hl_cmds.c: Small change

2010-02-11  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, include/cdio/mmc_hl_cmds.h,
	lib/driver/mmc/mmc.c, lib/driver/mmc/mmc_hl_cmds.c,
	test/driver/mmc_read.c: Move another routine from mmc.c into
	mmc_hl_cmds.c

2010-02-11  R. Bernstein <rocky@gnu.org>

	* test/driver/mmc_read.c: Fix Minor test bug

2010-02-11  R. Bernstein <rocky@gnu.org>

	* test/driver/mmc_read.c, test/driver/mmc_write.c: Go over for
	coding and code style.

2010-02-10  R. Bernstein <rocky@gnu.org>

	* test/driver/mmc_write.c: Small changes

2010-02-10  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc_ll_cmds.h, lib/driver/mmc/mmc_ll_cmds.c,
	test/driver/Makefile.am, test/driver/mmc_read.c, test/driver/{mmc.c
	=> mmc_write.c}: Split off MMC tests which don't involve exclusive
	access from those that do.

2010-02-09  R. Bernstein <rocky@gnu.org>

	* example/mmc1.c, include/cdio/Makefile.am, include/cdio/mmc.h,
	include/cdio/mmc_cmds.h, include/cdio/mmc_hl_cmds.h,
	include/cdio/mmc_ll_cmds.h, lib/driver/libcdio.sym,
	lib/driver/mmc/mmc.c, lib/driver/mmc/mmc_hl_cmds.c,
	lib/driver/mmc/mmc_ll_cmds.c, test/driver/mmc.c: Add
	mmc_read_disc_information. Change get_disctype to use it and thus it
	moves from mmc.c into mmc_hl_cmds.c. Status is now the return type,
	not erasable.  Split mmc_cmds.h into mmc_ll_cmds.h and mmc_hl_cmds.h.
	test/driver/mmc.c for invalid page check we get the right sense key,
	asc, and ascq.

2010-02-09  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/win32_ioctl.c: Clear sense request valid
	flag.

2010-02-09  R. Bernstein <rocky@gnu.org>

	* test/driver/mmc.c: Test sense key, sense code and additional sense
	code on invalid page.

2010-02-09  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h: Add CDIO_MMC_GPCMD_READ_TRACK_INFORMATION

2010-02-09  R. Bernstein <rocky@gnu.org>

	* lib/driver/libcdio.sym, test/driver/mmc.c: sort libcdio.sym.
	Remove duplicated tests.

2010-02-09  R. Bernstein <rocky@gnu.org>

	* lib/driver/libcdio.sym, test/driver/Makefile.am: Missing some more
	externals and a file which needs to go into the distribution
	tarball.

2010-02-09  R. Bernstein <rocky@gnu.org>

	* configure.ac, lib/driver/libcdio.sym: Drop version number on
	automake. Add missing externals to libcdio.sym

2010-02-08  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h: Comment spelling typos

2010-02-08  R. Bernstein <rocky@gnu.org>

	* example/mmc1.c, test/driver/mmc.c: Use mmc_get_disctype in mmc
	example.

2010-02-08  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, include/cdio/mmc_cmds.h,
	lib/driver/mmc/mmc.c, lib/driver/mmc/mmc_hl_cmds.c,
	test/driver/mmc.c: Remove duplicate cdio_mmc_disctype_t.

2010-02-08  R. Bernstein <rocky@gnu.org>

	* lib/driver/mmc/mmc_cmd_helper.h, lib/driver/mmc/mmc_hl_cmds.c,
	lib/driver/mmc/mmc_ll_cmds.c, test/driver/mmc.c: Fix all fo the bugs
	I introduced "improving" the code of others.  mmc_ll_cmds.c:
	mmc_mode_select and mmc_get_configuration now work.  mmc_hl_cmds.c:
	bug introduced by turning a var into a pointer to that variable.

2010-02-08  R. Bernstein <rocky@gnu.org>

	* doc/glossary.texi, test/driver/mmc.c: glossary.texi: disctype
	additions/corrections mmc.c: start test of get_disctype, stylisting
	convention changes.  Warning: mmc_get_configuration and
	mmc_get_mode_select are broken.

2010-02-07  R. Bernstein <rocky@gnu.org>

	* doc/glossary.texi: See above.

2010-02-07  R. Bernstein <rocky@gnu.org>

	* doc/glossary.texi: Add DVD-R DL, HD DVD-R and HD DVD-RAM.

2010-02-07  R. Bernstein <rocky@gnu.org>

	* include/cdio++/mmc.hpp, include/cdio/mmc.h,
	include/cdio/mmc_cmds.h, lib/driver/MSWindows/win32_ioctl.c,
	lib/driver/gnu_linux.c, lib/driver/libcdio.sym,
	lib/driver/mmc/mmc.c, lib/driver/mmc/mmc_hl_cmds.c,
	lib/driver/mmc/mmc_ll_cmds.c, src/mmc-tool.c, test/driver/mmc.c: Add
	SCSI-MMC GET CONFIGURATION.  Add Frank Endres' disc type
	determination via MMC.  Be more careful to suffix with CDIO_MMC
	which I hope will reduce possible name conflicts.

2010-02-07  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, include/cdio/mmc_cmds.h,
	lib/driver/gnu_linux.c, lib/driver/mmc/mmc.c,
	lib/driver/mmc/mmc_hl_cmds.c, lib/driver/mmc/mmc_ll_cmds.c: Start
	populating mmc/mmc_hl_cmds.c. Create mmc directory in preparation
	for making it a library.  mmc.h:  CDIO_MMC_GPCMD_ALLOW_MEDIUM_REMOVAL ->         CDIO_MMC_GPCMD_PREVENT_ALLOW_MEDIUM_REMOVAL mmc.c:  Move
	mm_eject_media and mmc_set_drive_speed to mmc/mmc_hl_cmds.c
	mmc_ll_cmds.c: add mmc_prevent_allow_medium_removal,                move mmc_mode_sense to mmc/mmc_hl_cmds.c

2010-02-07  R. Bernstein <rocky@gnu.org>

	* include/cdio++/mmc.hpp, include/cdio/mmc_cmds.h,
	lib/driver/Makefile.am, lib/driver/cdio_private.h,
	lib/driver/mmc/.gitignore, lib/driver/mmc/Makefile, lib/driver/{ =>
	mmc}/mmc.c, lib/driver/mmc/mmc_cmd_helper.h,
	lib/driver/mmc/mmc_hl_cmds.c, lib/driver/{mmc_cmds.c =>
	mmc/mmc_ll_cmds.c}, lib/driver/{ => mmc}/mmc_private.h,
	src/mmc-tool.c, test/driver/mmc.c: Move more towards making MMC a
	library. Start to reorganize more to break out 1-1 SCSI-MMC commands
	(in mmc_ll_cmds.c) from higher-level commands which use the
	lower-level ones.

2010-02-07  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, include/cdio/mmc_cmds.h,
	lib/driver/mmc_cmds.c, test/driver/mmc.c: Add mcc_test_unit_ready
	and mmc_mode_select (buggy). Allow for timeouts on mmc commands -
	more work needed here too.

2010-02-06  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, include/cdio/mmc_cmds.h, lib/driver/mmc.c,
	lib/driver/mmc_cmds.c: Small cleanups

2010-02-06  R. Bernstein <rocky@gnu.org>

	* include/cdio++/mmc.hpp, include/cdio/mmc.h,
	include/cdio/mmc_cmds.h, lib/driver/mmc.c, lib/driver/mmc_cmds.c,
	src/mmc-tool.c, test/driver/mmc.c: lib/driver/mmc.c - DRY code.
	Warning - might have introduced breakage here *mmc*:
	 mmc_start_stop_media -> mmc_start_stop_unit,
	CDIO_MMC_GPCMD_START_STOP -> CDIO_MMC_GPCMD_START_STOP_UNIT
	cdio++/mmc.hpp: Regularize Doxygen comment format.

2010-02-06  R. Bernstein <rocky@gnu.org>

	* example/mmc2a.c, include/cdio++/cdio.hpp,
	include/cdio/Makefile.am, include/cdio/mmc.h,
	include/cdio/mmc_cmds.h, lib/driver/Makefile.am,
	lib/driver/device.c, lib/driver/mmc.c, lib/driver/mmc_cmds.c,
	src/mmc-tool.c, test/driver/mmc.c: Start to split off specific mmc
	commands from the lower-level internals.

2010-02-06  R. Bernstein <rocky@gnu.org>

	* include/cdio/disc.h, include/cdio/dvd.h,
	lib/driver/_cdio_generic.c: Add CDIO_DISC_MODEs to correspond to
	updated DVD Book types.

2010-02-06  R. Bernstein <rocky@gnu.org>

	* include/cdio/dvd.h: See above

2010-02-06  R. Bernstein <rocky@gnu.org>

	* NEWS, include/cdio/dvd.h, lib/driver/disc.c: dvd.h: Update DVD
	book types disc.c: Add CDIO_DISC_MODE_DVD_OTHER Thanks to Frank Endes and Thomas Schmitt for observing the problem
	and suggesting the fixes.

2010-02-06  R. Bernstein <rocky@gnu.org>

	* lib/driver/disc.c: Had erroneously omitted
	CDIO_DISC_MODE_DVD_OTHER. Omission pointed out by Frank Endres.

2010-02-05  R. Bernstein <rocky@gnu.org>

	* doc/glossary.texi, include/cdio/mmc.h, lib/driver/mmc.c,
	test/driver/mmc.c: glossary.texi, mmc.h: note acronyms SPC-3, MMC-5,
	SBC-2.  glossary.texi: start using texinfo cross references
	test/driver/mmc.c: use provided routine for start/stop unit.
	Warning: might have broken things here.

2010-02-05  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, lib/driver/mmc.c, test/driver/mmc.c: Revise
	with info from dpANS SCSI Primary Commands-3 (SPC-3). Use sense data
	structure in mmc_last_cmd_sense.

2010-02-05  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, lib/driver/mmc.c: Add SCSI sense key values.

2010-02-04  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, lib/driver/mmc.c, test/driver/mmc.c: mmc.h:
	Big endian bytes is not the same as big_endian bitfield mmc.c: more
	pervasive use of cdio's mmc definitions.

2010-02-03  R. Bernstein <rocky@gnu.org>

	* include/cdio/device.h, include/cdio/mmc.h,
	lib/driver/MSWindows/win32_ioctl.c, test/driver/mmc.c: mmc.h:
	TEST_UNIT_READY MMC command opcode device.h: Add DRIVER_OP_MMC_SENSE to driver_return_code_t.  win32_ioctl.c: work around MS bug where buffer sizes are 0 or 1. Set
	return code status if sense data passed back. Translate bad
	parameter MS Windows error into a driver_return_code_t error.  test/driver/mmc.c: Reinstate old logic now that the MS Windows
	driver has been made to work more like other drivers and copes with
	some of the MS Windows causing failure here.

2010-02-03  R. Bernstein <rocky@gnu.org>

	* lib/driver/gnu_linux.c: Fix in changing data types.

2010-02-03  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, lib/driver/MSWindows/win32_ioctl.c,
	lib/driver/gnu_linux.c: Add more doxygen comments as to sense
	request information means and add a typedef for mmc_sense_request.
	Use this in win32_ioctl.c.

2010-02-03  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, include/cdio/types.h, lib/driver/gnu_linux.c: 
	Add type definition for SCSI sense data.

2010-02-02  R. Bernstein <rocky@gnu.org>

	* test/driver/mmc.c: Comment out some MMC tests which are failing on
	GNU/Linux where we are *not* getting sense data back but we are
	getting failures from ioctl(.. CDROM_SEND_PACKET)

2010-02-02  R. Bernstein <rocky@gnu.org>

	* : commit 60b237a16126b6e538a5fbea863f64ef5dfe92d6 Author: R.
	Bernstein <rocky@gnu.org> Date:   Tue Feb 2 22:15:55 2010 -0500

2010-02-01  R. Bernstein <rocky@gnu.org>

	* lib/driver/osx.c: Handle SCSI_MMC_DATA_NONE and copy sense data.
	Not working since SCSI Pass is still broken. Presumably after that's
	solved there will be less catch-up work.

2010-01-31  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/win32_ioctl.c: Format windows error messages
	better.

2010-01-31  R. Bernstein <rocky@gnu.org>

	* : commit 5f10331adb59fbc25e4817e74624781642a5c0bd Author: R.
	Bernstein <rocky@gnu.org> Date:   Sun Jan 31 21:31:08 2010 -0500

2010-01-31  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, lib/driver/mmc.c, test/driver/mmc.c: Allow a
	status parameter in mmc_get_disc_eraseable to be NULL. Suggested by
	Frank Endres on libcdio-devel mailing list.

2010-01-30  R. Bernstein <rocky@gnu.org>

	* example/mmc1.c: Update date

2010-01-30  R. Bernstein <rocky@gnu.org>

	* example/mmc1.c, test/driver/mmc.c: Linguistic purity.

2010-01-30  R. Bernstein <rocky@gnu.org>

	* example/mmc1.c: Show off drive_erasable() in MMC example.

2010-01-29  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/win32.c, lib/driver/MSWindows/win32_ioctl.c,
	test/driver/gnu_linux.c, test/driver/win32.c: Add
	cdio_get_arg("scsi-tuple") for Win32 ioctl.

2010-01-29  R. Bernstein <rocky@gnu.org>

	* NEWS, include/cdio/mmc.h, lib/driver/mmc.c: Update MMC Feature
	Profile list

2010-01-29  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, lib/driver/mmc.c, test/driver/mmc.c: Add a
	driver return code parameter to mmc_get_get_disc_erasable.

2010-01-28  R. Bernstein <rocky@gnu.org>

	* NEWS, THANKS, include/cdio/mmc.h, lib/driver/mmc.c,
	lib/driver/mmc_private.h, test/driver/mmc.c: Add
	mmc_get_disc_erasable courtesy of Frank Endres.

2010-01-28  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, lib/driver/mmc.c: Fill out parameter
	descriptions to remove doxygen warnings.

2010-01-28  R. Bernstein <rocky@gnu.org>

	* include/cdio/mmc.h, lib/driver/mmc.c, test/driver/bincue.c.in: 
	Regularis some of the mmc Doxygen comments.

2010-01-27  R. Bernstein <rocky@gnu.org>

	* src/cd-paranoia/getopt.h: Assume nowadays Standard C is Standard C

2010-01-24  R. Bernstein <rocky@gnu.org>

	* test/driver/.gitignore, test/driver/Makefile.am,
	test/driver/bincue.c.in, test/driver/cdrdao.c.in,
	test/driver/gnu_linux.c, test/driver/helper.c,
	test/driver/helper.h, test/driver/nrg.c.in: Start to DRY driver unit
	tests.

2010-01-23  R. Bernstein <rocky@gnu.org>

	* test/driver/bincue.c.in, test/driver/cdrdao.c.in: Reduce verbosity
	of test programs. For additional verbosity pass a param to the test
	program.

2010-01-23  R. Bernstein <rocky@gnu.org>

	* configure.ac, doc/.gitignore, test/Makefile.am,
	test/driver/.gitignore, test/driver/Makefile.am, test/{testtoc.c =>
	driver/cdrdao.c.in}: testtoc -> driver/cdrdao.c.in

2010-01-23  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/aspi32.c, lib/driver/MSWindows/win32.c,
	src/cd-paranoia/.gitignore, test/driver/.gitignore: Better
	diagnostic messages for MS Window driver.

2010-01-22  R. Bernstein <rocky@gnu.org>

	* doc/glossary.texi, doc/libcdio.texi: libcdio.texi: More sectioning
	with respect to the libraries glossary.texi: Add Thomas Schmitt's
	DVD Blu-Ray and media information.

2010-01-22  R. Bernstein <rocky@gnu.org>

	* doc/libcdio.texi: Input and Control -> Input, Output, and Control
	thanks to Thomas Schmitt

2010-01-22  R. Bernstein <rocky@gnu.org>

	* doc/libcdio.texi, test/driver/.gitignore: Revise section regarding
	"SCSI, SCSI commands, and MMC commands"

2010-01-21  R. Bernstein <rocky@gnu.org>

	* doc/glossary.texi: Thomas Schmitt's corrections and additions.

2010-01-21  R. Bernstein <rocky@gnu.org>

	* doc/libcdio.texi: Document corrections courtesy of Thomas Schmitt.

2010-01-21  R. Bernstein <rocky@gnu.org>

	* test/driver/.gitignore, test/driver/bincue.c: Document corrections
	courtesy of Thomas Schmitt.

2010-01-21  R. Bernstein <rocky@gnu.org>

	* configure.ac: Allow automake 1.10

2010-01-21  R. Bernstein <rocky@gnu.org>

	* test/.gitignore, test/cdda.bin, test/isofs-m1.bin: Remove derived
	files.

2010-01-21  R. Bernstein <rocky@gnu.org>

	* test/Makefile.am, test/cdda.bin, test/driver/bincue.c,
	test/driver/mmc.c, test/isofs-m1.bin: cygwin fixes.

2010-01-21  R. Bernstein <rocky@gnu.org>

	* configure.ac, example/paranoia.c, lib/cdda_interface/utils.c,
	src/cd-read.c, test/Makefile.am, test/driver/Makefile.am,
	test/driver/bincue.c, test/driver/bincue.c.in, test/{testnrg.c.in
	=> driver/nrg.c.in}: Remove more warnings. test/testnrg.c.in ->
	test/driver/nrg.c.in

2010-01-20  R. Bernstein <rocky@gnu.org>

	* test/driver/bincue.c, test/driver/bincue.c.in,
	test/driver/gnu_linux.c: Fold more tests into bi/ncue driver.

2010-01-20  R. Bernstein <rocky@gnu.org>

	* test/Makefile.am, test/data/isofs-m1.cue, test/driver/.gitignore,
	test/driver/Makefile.am, test/driver/bincue.c: Make "make dist"
	package everything again.

2010-01-20  R. Bernstein <rocky@gnu.org>

	* configure.ac, doc/.gitignore, doc/doxygen/.gitignore,
	test/Makefile.am, test/check_cd_read.sh, test/check_cue.sh.in,
	test/check_fuzzyiso.sh, test/check_iso.sh.in, test/check_nrg.sh.in,
	test/check_opts.sh, test/check_paranoia.sh.in,
	test/data/.gitignore, test/data/Makefile.am, test/{ =>
	data}/bad-cat1.cue, test/{ => data}/bad-cat1.toc, test/{ =>
	data}/bad-cat2.cue, test/{ => data}/bad-cat2.toc, test/{ =>
	data}/bad-cat3.cue, test/{ => data}/bad-cat3.toc, test/{ =>
	data}/bad-file.toc, test/{ => data}/bad-mode1.cue, test/{ =>
	data}/bad-mode1.toc, test/{ => data}/bad-msf-1.cue, test/{ =>
	data}/bad-msf-1.toc, test/{ => data}/bad-msf-2.cue, test/{ =>
	data}/bad-msf-2.toc, test/{ => data}/bad-msf-3.cue, test/{ =>
	data}/bad-msf-3.toc, test/{ => data}/cdda.cue, test/{ =>
	data}/cdda.toc, test/{ => data}/cdtext.toc, test/{ =>
	data}/data1.toc, test/{ => data}/data2.toc, test/{ =>
	data}/data5.toc, test/{ => data}/data6.toc, test/{ =>
	data}/data7.toc, test/{ => data}/isofs-m1.toc, test/{ =>
	data}/p1.cue, test/{ => data}/t1.toc, test/{ => data}/t2.toc,
	test/{ => data}/t3.toc, test/{ => data}/t4.toc, test/{ =>
	data}/t5.toc, test/{ => data}/t6.toc, test/{ => data}/t7.toc,
	test/{ => data}/t8.toc, test/{ => data}/t9.toc, test/{ =>
	data}/vcd2.toc, test/{ => data}/vcd_demo.toc,
	test/driver/.gitignore, test/driver/Makefile.am,
	test/{testbincue.c.in => driver/bincue.c.in}, test/isofs-m1.cue,
	test/testgetdevices.c.in, test/testisocd2.c.in, test/testnrg.c.in,
	test/testpregap.c.in, test/testtoc.c: Reorganize test data for
	future growth.

2010-01-18  R. Bernstein <rocky@gnu.org>

	* doc/libcdio.texi, example/cdchange.c, lib/driver/aix.c,
	lib/driver/gnu_linux.c: More information around access modes for
	specific drivers.

2010-01-18  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/aspi32.c, lib/driver/MSWindows/win32.c,
	test/driver/win32.c: Extend win32 test to check
	get_arg("mmc-supported?"). Turn ASPI load failer into an info
	message

2010-01-18  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/win32.c, test/driver/realpath.c: Bug fixes in
	test/driver programs

2010-01-17  R. Bernstein <rocky@gnu.org>

	* doc/libcdio.texi: Start a section on access modes and
	cdio_get_args.

2010-01-17  R. Bernstein <rocky@gnu.org>

	* example/cdchange.c, example/paranoia.c, lib/driver/aix.c,
	lib/driver/image_common.c, lib/driver/netbsd.c,
	test/driver/gnu_linux.c: driver/*.c: Add response for
	get_arg("mmc-supported?") example/*.c: remove compiler wranings.

2010-01-17  R. Bernstein <rocky@gnu.org>

	* : commit 67c86230519db22b3731e789e0e86381e8d29ff6 Author: R.
	Bernstein <rocky@gnu.org> Date:   Sun Jan 17 04:49:47 2010 -0500

2010-01-17  R. Bernstein <rocky@gnu.org>

	* test/driver/realpath.c: Test was erroneously failing when temp
	directory had a symbolic link in it (as it does on OSX).

2010-01-16  R. Bernstein <rocky@gnu.org>

	* lib/cdda_interface/scan_devices.c: realpath -> cdio_realpath which
	pretends to be more portable.

2010-01-16  R. Bernstein <rocky@gnu.org>

	* lib/driver/gnu_linux.c: Add way to determine if MMC commands are
	available: get_arg("mmc-supported?")

2010-01-16  R. Bernstein <rocky@gnu.org>

	* NEWS, lib/driver/FreeBSD/freebsd.c, lib/driver/FreeBSD/freebsd.h,
	lib/driver/FreeBSD/freebsd_cam.c,
	lib/driver/FreeBSD/freebsd_ioctl.c, lib/driver/gnu_linux.c,
	test/driver/mmc.c: FreeBSD read/write and most-recent scsi sense
	access courtesy of Thomas Schmitt.

2010-01-16  R. Bernstein <rocky@gnu.org>

	* configure.ac, include/cdio/util.h, lib/driver/Makefile.am,
	lib/driver/_cdio_generic.c, lib/driver/gnu_linux.c,
	lib/driver/{follow_symlink.c => realpath.c},
	lib/iso9660/iso9660_fs.c, test/driver/Makefile.am,
	test/driver/{follow_symlink.c => realpath.c}: cdio_follow_symlink ->
	cdio_realpath which is really POSIX realpath. (Suggestion via Thomas
	Schmitt.) gnu_linux.c: report errors when they occur.

2010-01-15  R. Bernstein <rocky@gnu.org>

	* test/driver/follow_symlink.c: Add doxyen comment for
	follow_symlink. Add another follow_symlink test.

2010-01-14  R. Bernstein <rocky@gnu.org>

	* test/driver/follow_symlink.c: CLean up better by remove temporary
	symbolic link file.

2010-01-14  R. Bernstein <rocky@gnu.org>

	* test/driver/.gitignore, test/driver/Makefile.am,
	test/driver/follow_symlink.c: include/cdio/util.h: document
	cdio_follow_symlink.  lib/is9660/iso966O_fs.c: Remove a gcc warning
	test/driver/follow_symlink.c First test of cdio_follow_symlink. Doc

2010-01-13  R. Bernstein <rocky@gnu.org>

	* lib/driver/.gitignore, lib/driver/Makefile.am,
	lib/driver/follow_symlink.c, lib/driver/util.c: Add Thomas Schmitt's
	bug fixes and standalone code.

2010-01-07  R. Bernstein <rocky@gnu.org>

	* lib/driver/FreeBSD/freebsd.c, lib/driver/FreeBSD/freebsd.h: Start
	to add read-write access mode for FreeBSD. Not working yet.

2010-01-06  R. Bernstein <rocky@gnu.org>

	* lib/driver/FreeBSD/freebsd.c, test/driver/freebsd.c: Correct
	cdio_get_devices for FreeBSD.

2010-01-06  R. Bernstein <rocky@gnu.org>

	* test/driver/freebsd.c: First functional (if minimal) FreeBSD test
	program.

2010-01-06  R. Bernstein <rocky@gnu.org>

	* lib/driver/FreeBSD/freebsd_cam.c, test/.gitignore,
	test/driver/.gitignore, test/driver/Makefile.am,
	test/driver/freebsd.c: Start FreeBSD driver test. Not currently
	working though.  freebsd.cam: check for error in ioctl.

2010-01-03  R. Bernstein <rocky@gnu.org>

	* configure.ac: Let's try FreeBSD driver on FreeBSD 8.x

2010-01-01  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/win32_ioctl.c, lib/driver/gnu_linux.c: Start
	to request sense data in DeviceIOControl of MS Windows. gnu_linux.c:
	small changes.

2009-12-31  R. Bernstein <rocky@gnu.org>

	* lib/driver/MSWindows/win32.c, lib/driver/MSWindows/win32.h: Closer
	to having RW access working

2009-12-31  R. Bernstein <rocky@gnu.org>

	* test/driver/mmc.c: mmc.c: use OS driver open, not the specific
	GNU/Linux one

2009-12-31  WIndows XP <rocky@gnu.org>

	* lib/driver/MSWindows/win32.c, lib/driver/gnu_linux.c: Last change
	to gnu_linux.c broke things on non GNU/Linux

2009-12-31  R. Bernstein <rocky@gnu.org>

	* NEWS: Update NEWS with scsi-tuple*

2009-12-31  R. Bernstein <rocky@gnu.org>

	* lib/driver/_cdio_generic.c, lib/driver/generic.h,
	lib/driver/gnu_linux.c, test/driver/gnu_linux.c: Add ability to
	retrieve SCSI tuple for a name and/or fake one up. This helps
	programs that want to be cd-record compatible. In particular to
	parameters were added to cdio_get_arg, "scsi-tuple", and
	"scsi-tuple-linux".  Code from Thomas Schmitt.

2009-12-31  R. Bernstein <rocky@gnu.org>

	* lib/driver/mmc.c, test/driver/Makefile.am, test/driver/mmc.c: 
	lib/driver/mmc.c: remove bug in dereferencing NULL pointer. (Found
	in testing ;-) test/driver/mmc.c: MMC command testing code from
	Thomas Schmitt.

2009-12-26  R. Bernstein <rocky@atwood.corp.ce-interactive.com>

	* test/driver/Makefile.am, test/driver/osx.c: Start OSX driver test

2009-12-26  R. Bernstein <rocky@gnu.org>

	* example/mmc3.c: Don't eject a CDROM drive door in testing.

2009-12-26  WIndows XP <rocky@gnu.org>

	* test/driver/Makefile.am, test/driver/win32.c: Start unit test for
	lib/driver/MSWindows/win32.c

2009-12-26  rocky <rocky@gnu.org>

	* example/cdtext.c, example/mmc1.c, example/mmc2.c,
	example/mmc2a.c, example/mmc3.c, example/paranoia.c,
	example/paranoia2.c, example/sample4.c, test/testiso9660.c: 
	example/* change failures so the record as skipped tests when
	running 'make check'.

2009-12-26  R. Bernstein <rocky@gnu.org>

	* configure.ac, include/cdio/version.h.in, test/Makefile.am,
	test/driver/.gitignore, test/driver/Makefile.am, test/{testlinux.c
	=> driver/gnu_linux.c}, test/{testsolaris.c => driver/solaris.c}: 
	Move driver tests into a separate directory.

2009-12-26  WIndows XP <rocky@gnu.org>

	* test/testlinux.c, test/testsolaris.c: Small changes

2009-12-26  rocky <rocky@gnu.org>

	* : commit e7911dcb697d34373ca9ef670f27555551db7cbc Author: rocky
	<rocky@gnu.org> Date:   Sat Dec 26 13:25:35 2009 +0100

2009-12-25  R. Bernstein <rocky@gnu.org>

	* : commit 5aec1e053615018b84f7779953232853073bb44b Author: R.
	Bernstein <rocky@gnu.org> Date:   Fri Dec 25 19:45:09 2009 -0500

2009-12-25  WIndows XP <rocky@gnu.org>

	* lib/driver/MSWindows/aspi32.c, lib/driver/gnu_linux.c: First
	attempt to add sense retrieval in Windows driver. Clean up return
	code in run_mmc_cmd_aspi.

2009-12-25  R. Bernstein <rocky@gnu.org>

	* configure.ac: Show whether we are building C++ programs in
	configure output.

2009-12-25  R. Bernstein <rocky@gnu.org>

	* include/cdio/version.h.in, lib/driver/libcdio.sym,
	lib/driver/util.c, test/.gitignore, test/Makefile.am,
	test/test_lib_driver_util.c: Add run-time variables for libcdio
	version number/string.

2009-12-25  R. Bernstein <rocky@gnu.org>

	* NEWS, THANKS, lib/driver/gnu_linux.c, lib/driver/solaris.c: 
	Recording and retrieval of SCSI sense reply for GNU/Linux.

2009-12-25  R. Bernstein <rocky@gnu.org>

	* NEWS, THANKS, include/cdio/mmc.h, lib/driver/generic.h,
	lib/driver/gnu_linux.c, lib/driver/libcdio.sym, lib/driver/mmc.c,
	lib/iso9660/iso9660.c: Add interface for retrieval of last SCSI
	sense command.

2009-12-24  R. Bernstein <rocky@gnu.org>

	* lib/driver/gnu_linux.c: Keep indentions the same as the others.

2009-12-24  R. Bernstein <rocky@gnu.org>

	* configure.ac: cddb configure patch #6904 for gentoo bug #272788.

2009-12-24  R. Bernstein <rocky@gnu.org>

	* lib/driver/gnu_linux.c, lib/driver/solaris.c: On ioctl's, a
	negative number is considered an unspecified error while a positive
	number is not. Replace tabs in lines with blanks.

2009-12-23  R. Bernstein <rocky@gnu.org>

	* lib/driver/gnu_linux.c, test/testiso9660.c: gnu_linux.c:
	run_mmc_cmd_linux: be sure to set return return code.
	testiso9660.c: broke things working when on hacking on Solaris

2009-12-24  rocky <rocky@gnu.org>

	* lib/driver/solaris.c, lib/iso9660/iso9660.c, test/.gitignore,
	test/Makefile.am, test/testsolaris.c: Start Solaris driver test.
	Driver MMC sets cdio return codes better.

2009-12-24  rocky <rocky@gnu.org>

	* lib/iso9660/iso9660.c, test/testiso9660.c: Real test of
	testiso9660 on Solaris which does not have HAVE_GMTOFF

2009-12-23  R. Bernstein <rocky@gnu.org>

	* test/testiso9660.c: Add small test for
	iso9660_set_dtime_with_timezone and iso9660_get_dtime which is
	especially useful on systems that don't have the gmtoff.

2009-12-23  R. Bernstein <rocky@gnu.org>

	* include/cdio/iso9660.h, lib/iso9660/iso9660.c,
	lib/iso9660/libiso9660.sym: Start set/get time routines that
	tolerate no timezone structure in struct tm. Solaris is like that.
	(I think cygwin too.)

2009-12-20  R. Bernstein <rocky@gnu.org>

	* lib/driver/gnu_linux.c: NONBLOCK inadvertently removed.

2009-12-20  R. Bernstein <rocky@gnu.org>

	* lib/driver/gnu_linux.c: Writing opens drive exclusive, not
	nonblock.

2009-12-20  R. Bernstein <rocky@gnu.org>

	* .gitignore, lib/driver/gnu_linux.c, test/.gitignore,
	test/Makefile.am, test/testlinux.c: Add MMC_RDWR access mode - open
	drive R/W only with this access.  Start GNU/Linux test driver.

2009-12-20  Rocky Bernstein (VCDImager Developer) <rocky@login.(none)>

	* : commit 5908486078359d4ca93c178b5efc5a2654f12c1c Author: Rocky
	Bernstein (VCDImager Developer) <rocky@build10s.(none)> Date:   Sun
	Dec 20 05:55:53 2009 +0100

2009-12-19  R. Bernstein <rocky@gnu.org>

	* : commit 4e8eff137e4912f13f6740c3abf52e44430bcff8 Author: R.
	Bernstein <rocky@gnu.org> Date:   Sat Dec 19 18:17:18 2009 -0500

2009-11-26  R. Bernstein <rocky@gnu.org>

	* example/Makefile.am: Remove one more example program from
	distcheck

2009-11-26  R. Bernstein <rocky@gnu.org>

	* example/Makefile.am: Remove some example program from make check
	to make "make distcheck" work easier. I would Rather remove programs
	than coddle automake.

2009-11-26  R. Bernstein <rocky@gnu.org>

	* example/C++/Makefile.am, example/C++/OO/Makefile.am,
	example/C++/OO/cdtext.cpp, example/C++/OO/device.cpp,
	example/C++/OO/drives.cpp, example/C++/OO/eject.cpp,
	example/C++/OO/iso4.cpp, example/C++/OO/isofile.cpp,
	example/C++/OO/isofile2.cpp, example/C++/OO/isolist.cpp,
	example/C++/OO/mmc1.cpp, example/C++/OO/mmc2.cpp,
	example/C++/OO/tracks.cpp, example/C++/device.cpp,
	example/C++/eject.cpp, example/C++/isofile.cpp,
	example/C++/isofile2.cpp, example/C++/isolist.cpp,
	example/C++/mmc1.cpp, example/C++/mmc2.cpp,
	example/C++/paranoia.cpp, example/C++/paranoia2.cpp,
	example/Makefile.am, example/audio.c, example/cdchange.c,
	example/cdio-eject.c, example/cdtext.c, example/device.c,
	example/drives.c, example/eject.c, example/isofile.c,
	example/isofile2.c, example/isofuzzy.c, example/paranoia.c,
	example/paranoia2.c, example/sample3.c, example/sample4.c,
	example/tracks.c, example/udf1.c, example/udf2.c,
	example/udffile.c, include/cdio/cdio.h: Possibly make compiling
	example programs easier from the outside - don't assume
	HAVE_CONFIG_H is defined but pick up values from the runtime version
	of that file.  We also now run example programs as tests if they are
	built.

2009-10-29  R. Bernstein <rocky@gnu.org>

	* configure.ac: Change tests for S_ISLNK and S_ISSOCK macros from
	AC_COMPILE_IFELSE to AC_LINK_IFELSE. On Mingw 4.4.0 these macros
	succeed when they should fail. Patch by carlo.bramix to
	libcdio-devel

2009-10-27  R. Bernstein <rocky@gnu.org>

	* lib/driver/image/bincue.c: Revert one cppcheck style change since
	gcc complains about it.

2009-10-27  R. Bernstein <rocky@gnu.org>

	* example/paranoia.c, lib/cdda_interface/common_interface.c,
	lib/cdda_interface/smallft.c, lib/cdda_interface/test_interface.c,
	lib/driver/gnu_linux.c, lib/driver/image/bincue.c,
	lib/driver/image/nrg.c, test/testparanoia.c: Remove some cppcheck
	style warnings

2009-10-27  R. Bernstein <rocky@gnu.org>

	* lib/cdda_interface/scsi_interface.c, lib/driver/device.c: A couple
	more memory leaks from cppcheck

2009-10-27  R. Bernstein <rocky@gnu.org>

	* configure.ac, doc/doxygen/.gitignore,
	doc/how-to-make-a-release.txt, example/C++/OO/cdtext.cpp,
	lib/driver/FreeBSD/freebsd.c, lib/driver/device.c,
	lib/driver/netbsd.c, lib/iso9660/iso9660_fs.c, src/cd-info.c,
	src/iso-info.c, test/.gitignore: In 0.83git now. Fix minor leaks in
	libcdio 0.82 detected by cppcheck via Eric Sesterhenn.

2009-10-27  R. Bernstein <rocky@gnu.org>

	* configure.ac, doc/how-to-make-a-release.txt,
	include/cdio/iso9660.h: Make doxygen clean. Get ready for 0.82
	release.

2009-10-22  R. Bernstein <rocky@gnu.org>

	* THANKS: Thanks Geoff Bailey.

2009-10-22  R. Bernstein <rocky@gnu.org>

	* config.rpath, lib/driver/FreeBSD/freebsd.c: Perhaps adding a real
	config.rpath will help some of the iconv problems.  Remove a
	compiler warning when not compling in FreeBSD.

2009-10-22  R. Bernstein <rocky@gnu.org>

	* lib/driver/FreeBSD/freebsd.c, lib/driver/FreeBSD/freebsd.h: Remove
	dupicated code caused by mixup with existing get-media-changed code.

2009-10-21  R. Bernstein <rocky@gnu.org>

	* example/.gitignore, src/.gitignore, test/.gitignore: Ignore
	windows executables and stack dumps.

2009-10-21  R. Bernstein <rocky@gnu.org>

	* NEWS, lib/driver/FreeBSD/freebsd.c, lib/driver/FreeBSD/freebsd.h,
	lib/driver/FreeBSD/freebsd_ioctl.c, lib/driver/Makefile.am: NEWS:
	update what's up lib/driver/Makefile.am: increment library number
	lib/driver/FreeBSD/*: FreeBSD get_media_changed fixes for ioctl.

2009-07-12  Nicolas Boullis <nboullis@debian.org>

	* include/cdio/device.h: Update the documentation in
	include/cdio/device.h as well.

2009-07-12  Nicolas Boullis <nboullis@debian.org>

	* doc/libcdio.texi, example/C++/OO/device.cpp,
	example/C++/device.cpp, example/device.c, src/cd-drive.c,
	src/util.c: Remove all remaining uses of CDIO_MIN_DRIVER,
	CDIO_MAX_DRIVER, CDIO_MIN_DEVICE_DRIVER or CDIO_MAX_DEVICE_DRIVER.

2009-07-12  Nicolas Boullis <nboullis@debian.org>

	* lib/driver/libcdio.sym: Export the cdio_drivers and
	cdio_device_drivers arrays.

2009-07-12  Nicolas Boullis <nboullis@debian.org>

	* lib/driver/cdio_private.h, lib/driver/device.c: Remove all other
	uses of CDIO_MIN_DRIVER, CDIO_MAX_DRIVER, CDIO_MIN_DEVICE_DRIVER or
	CDIO_MAX_DEVICE_DRIVER within the libcdio library.

2009-07-12  Nicolas Boullis <nboullis@debian.org>

	* lib/driver/device.c: Change scan_for_driver to use cdio_drivers
	and cdio_device_drivers.

2009-07-12  Nicolas Boullis <nboullis@debian.org>

	* include/cdio/device.h, lib/driver/device.c: Add new cdio_drivers
	and cdio_device_drivers arrays.

2009-07-11  R. Bernstein <rocky@gnu.org>

	* src/cd-paranoia/cd-paranoia.c: Removed cd-paranoia.c by accident.

2009-07-03  R. Bernstein <rocky@gnu.org>

	* src/Makefile.am: MOSTLYCLEANFILES subsumes MAINTAINERCLEANFILES.
	As Nicolas Boulis points out, want only the latter.

2009-07-02  R. Bernstein <rocky@gnu.org>

	* : commit 2522c26ec8082be46ee4012cfac76467bb0fb350 Author: R.
	Bernstein <rocky@gnu.org> Date:   Thu Jul 2 20:26:39 2009 -0400

2009-06-15  R. Bernstein <rocky@gnu.org>

	* : commit 7f8f0f806af7800652d352e6428be7d3fdd1a176 Author: R.
	Bernstein <rocky@gnu.org> Date:   Mon Jun 15 09:31:54 2009 -0400

2009-05-16  R. Bernstein <rocky@gnu.org>

	* : commit cc08ce617f81eecb1112ec9b50b01f272da613d9 Author: rocky
	<rocky@sanchez.(none)> Date:   Sat May 16 23:01:39 2009 -0400

2009-05-14  R. Bernstein <rocky@gnu.org>

	* lib/driver/cdtext.c: Guard against dereferncing a null cdtext
	pointer.

2009-04-23  rocky <rocky@sanchez.(none)>

	* lib/driver/FreeBSD/freebsd_cam.c: Patch from John Wehle: A side
	effect of opening the cdrom device on FreeBSD is it locks the drive.
	This makes cdio_get_media_changed less useful and prevents you from
	being able to switch disks when using things such as the audacious
	media player.  This patch simply unlocks the drive right after it's opened prior to
	opening the cam passthrough device.

2009-04-20  rocky <rocky@sanchez.(none)>

	* example/C++/README, example/README: Revise for new paranoia
	descriptions.

2009-04-20  rocky <rocky@sanchez.(none)>

	* example/C++/Makefile.am, example/C++/README,
	example/C++/paranoia.cpp, example/Makefile.am, example/README,
	example/paranoia.c: paranoia.cpp: write WAV file of up to the first
	300 sectors of the first track */Makefile.am remove any created WAV
	files.  README: update paranoia descriptions parananoia.c:
	track-01.wav -> track01s.wav

2009-04-20  rocky <rocky@sanchez.(none)>

	* example/C++/.gitignore, example/C++/OO/.gitignore,
	example/C++/OO/eject.cpp, example/C++/OO/isofile.cpp,
	example/C++/isofile.cpp, example/C++/isofile2.cpp,
	example/paranoia.c: paranoia.c: slight code touch-up. *.cpp remove
	lint warnings, e.g. int -> unsigned int

2009-04-19  rocky <rocky@sanchez.(none)>

	* example/.gitignore: Administrivia

2009-04-19  rocky <rocky@sanchez.(none)>

	* doc/libcdio.texi, example/README, example/paranoia.c: Extend
	paranoia program to write a file with a WAV header

2009-04-19  rocky <rocky@sanchez.(none)>

	* .gitignore, example/C++/.gitignore, example/C++/OO/.gitignore: 
	Administrivia

2009-04-05  rocky <rocky@sanchez.(none)>

	* README.develop, README.libcdio: Revise installation instructions
	and add what you need to do if you want to develop libcdio

2009-02-20  R. Bernstein <rocky@gnu.org>

	* doc/libcdio.texi: Display copying in texinfo. Patch thanks to
	Jesse Weinstein.

2009-02-08  R. Bernstein <rocky@gnu.org>

	* THANKS, configure.ac, include/cdio/device.h,
	lib/cdda_interface/common_interface.h, lib/driver/Makefile.am,
	lib/driver/cdio_private.h, lib/driver/device.c,
	lib/driver/generic.h, lib/driver/os2.c,
	src/cd-paranoia/cd-paranoia.c, src/cd-paranoia/report.c,
	src/cdda-player.c, src/util.c: Add OS/2 driver courtesy of KO
	Myung-Hun. Security: Add "%s" to cdparanoia's fprintfs

2008-12-30  R. Bernstein <rocky@sanchez.(none)>

	* lib/driver/gnu_linux.c: Endless loop when no CD-rom drives. Patch
	thanks to Adrian Reber

2008-12-28  R. Bernstein <rocky@gnu.org>

	* src/Makefile.am: Fix manpage generation on platforms with
	non-empty EXEEXT, and fix the VPATH build as well.

2008-12-28  R. Bernstein <rocky@gnu.org>

	* configure.ac, include/cdio/paranoia.h, include/cdio/sector.h,
	lib/cdio++/Makefile.am, lib/iso9660/Makefile.am, libcdio.pc.in,
	libiso9660++.pc.in, libiso9660.pc.in: Use LTLIBICONV instead of
	LIBICONV. Bug #25201 from Yaakov Selkowitz

2008-12-28  R. Bernstein <rocky@gnu.org>

	* Makefile.am: The installation of libcdio++.pc and libiso9660++.pc
	should be dependent on ENABLE_CXX_BINDINGS, not ENABLE_CPP. Bug
	#25202 from Yaakov Selkowitz

2008-12-28  R. Bernstein <rocky@gnu.org>

	* lib/driver/device.c: Fix Solaris and Win32 conditionals bug #25201
	from Yaakov Selkowitz

2008-12-13  R. Bernstein <rocky@sanchez>

	* doc/libcdio.texi: Some small typos.

2008-12-07  R. Bernstein <rocky@sanchez.(none)>

	* .gitignore, INSTALL: INSTALL isn't really ours - yet

2008-12-07  R. Bernstein <rocky@sanchez.(none)>

	* test/testgetdevices.c: Remove trailing spaces on some lines

2008-12-07  R. Bernstein <rocky@sanchez.(none)>

	* test/testgetdevices.c: More verbose about driver installed

2008-12-07  R. Bernstein <rocky@atwood.local>

	* INSTALL, test/testgetdevices.c: Correct name for OSX in uname

2008-12-07  R. Bernstein <rocky@sanchez.(none)>

	* test/testgetdevices.c: Add more tests for drivers in more OS's.

2008-12-07  R. Bernstein <rocky@sanchez.(none)>

	* configure.ac, include/cdio/.gitignore, test/testgetdevices.c: Add
	check against GNU/Linux driver. More info in include/cdio/config.

2008-12-06  R. Bernstein <rocky@sanchez.(none)>

	* example/.gitignore, lib/driver/.gitignore, test/.gitignore: 
	Resolve conflicted files.

2008-12-06  R. Bernstein <rocky@gnu.org>

	* : I hate conflicted merges

2008-12-06  R. Bernstein <rocky@sanchez.(none)>

	* example/.gitignore, lib/driver/.gitignore, lib/driver/device.c,
	test/.gitignore, test/Makefile.am, test/testdefault.c,
	test/testgetdevices.c: Wasn't checking the range of the device id in
	cdio_have_driver. Add regression test for checking this too.  More
	git administrivia.

2008-12-06  R. Bernstein <rocky@sanchez.(none)>

	* .cvsignore, .gitignore, Makefile.am, NEWS, configure.ac,
	cvs2cl_header, cvs2cl_usermap, doc/.gitignore,
	doc/doxygen/.gitignore, example/.cvsignore, example/.gitignore,
	example/C++/.gitignore, example/C++/OO/.gitignore,
	include/.gitignore, include/cdio++/.gitignore,
	include/cdio/.gitignore, lib/.cvsignore, lib/.gitignore,
	lib/cdda_interface/.gitignore, lib/cdio++/.gitignore,
	lib/driver/.gitignore, lib/iso9660/.gitignore,
	lib/paranoia/.gitignore, lib/udf/.gitignore, parse/.cvsignore,
	parse/.gitignore, src/.gitignore, src/cd-paranoia/.cvsignore,
	src/cd-paranoia/.gitignore, src/cd-paranoia/doc/.cvsignore,
	src/cd-paranoia/doc/.gitignore, src/cd-paranoia/doc/en/.cvsignore,
	src/cd-paranoia/doc/en/.gitignore,
	src/cd-paranoia/doc/ja/.cvsignore,
	src/cd-paranoia/doc/ja/.gitignore, test/.cvsignore, test/.gitignore: 
	Makefile.am: Redo target for ChangeLog to use git2cl. NEWS: Note
	NetBSD driver added. Reset: git administrivia.

2008-11-29  R. Bernstein <rocky@gnu.org>

	* : More conversion weirdnesses

2008-11-29  R. Bernstein <rocky@gnu.org>

	* .gitignore: Administrivia

2008-11-29  R. Bernstein <rocky@gnu.org>

	* : .

2008-11-29  R. Bernstein <rocky@gnu.org>

	* .gitignore, INSTALL, MSVC/README, MSVC/cd-info.vcproj,
	MSVC/config.h, MSVC/libcdio.sln, MSVC/libcdio.vcproj, Makefile.am,
	README, README.libcdio, THANKS, TODO, autogen.sh, configure.ac,
	cvs2cl_header, cvs2cl_usermap, doc/.gitignore, doc/Makefile.am,
	doc/doxygen/.gitignore, doc/doxygen/Doxyfile.in,
	doc/doxygen/run_doxygen, doc/fdl.texi, doc/glossary.texi,
	doc/libcdio.texi, example/.gitignore, example/C++/.cvsignore,
	example/C++/.gitignore, example/C++/Makefile.am,
	example/C++/OO/.cvsignore, example/C++/OO/.gitignore,
	example/C++/OO/Makefile.am, example/C++/OO/cdtext.cpp,
	example/C++/OO/device.cpp, example/C++/OO/drives.cpp,
	example/C++/OO/eject.cpp, example/C++/OO/iso4.cpp,
	example/C++/OO/isofile.cpp, example/C++/OO/isofile2.cpp,
	example/C++/OO/isolist.cpp, example/C++/OO/mmc1.cpp,
	example/C++/OO/mmc2.cpp, example/C++/OO/tracks.cpp,
	example/C++/README, example/C++/device.cpp, example/C++/eject.cpp,
	example/C++/isofile.cpp, example/C++/isofile2.cpp,
	example/C++/isolist.cpp, example/C++/mmc1.cpp,
	example/C++/mmc2.cpp, example/C++/paranoia.cpp,
	example/C++/paranoia2.cpp, example/Makefile.am, example/README,
	example/audio.c, example/cdchange.c, example/cdio-eject.c,
	example/cdtext.c, example/device.c, example/drives.c,
	example/eject.c, example/isofile.c, example/isofile2.c,
	example/isofuzzy.c, example/isolist.c, example/isolsn.c,
	example/mmc1.c, example/mmc2.c, example/mmc2a.c, example/mmc3.c,
	example/paranoia.c, example/paranoia2.c, example/sample3.c,
	example/sample4.c, example/tracks.c, example/udf1.c,
	example/udf2.c, example/udffile.c, include/.gitignore,
	include/Makefile.am, include/cdio++/.cvsignore,
	include/cdio++/.gitignore, include/cdio++/Makefile.am,
	include/cdio++/cdio.hpp, include/cdio++/cdtext.hpp,
	include/cdio++/device.hpp, include/cdio++/devices.hpp,
	include/cdio++/disc.hpp, include/cdio++/enum.hpp,
	include/cdio++/iso9660.hpp, include/cdio++/mmc.hpp,
	include/cdio++/read.hpp, include/cdio++/track.hpp,
	include/cdio/.cvsignore, include/cdio/.gitignore,
	include/cdio/Makefile.am, include/cdio/audio.h,
	include/cdio/bytesex.h, include/cdio/bytesex_asm.h,
	include/cdio/cd_types.h, include/cdio/cdda.h, include/cdio/cdio.h,
	include/cdio/cdtext.h, include/cdio/device.h, include/cdio/disc.h,
	include/cdio/ds.h, include/cdio/dvd.h, include/cdio/ecma_167.h,
	include/cdio/iso9660.h, include/cdio/logging.h, include/cdio/mmc.h,
	include/cdio/paranoia.h, include/cdio/posix.h, include/cdio/read.h,
	include/cdio/rock.h, include/cdio/scsi_mmc.h,
	include/cdio/sector.h, include/cdio/track.h, include/cdio/types.h,
	include/cdio/udf.h, include/cdio/udf_file.h,
	include/cdio/udf_time.h, include/cdio/utf8.h, include/cdio/util.h,
	include/cdio/version.h.in, include/cdio/xa.h, lib/.gitignore,
	lib/Makefile.am, lib/cdda_interface/.cvsignore,
	lib/cdda_interface/.gitignore, lib/cdda_interface/Makefile.am,
	lib/cdda_interface/cddap_interface.c,
	lib/cdda_interface/common_interface.c,
	lib/cdda_interface/common_interface.h,
	lib/cdda_interface/drive_exceptions.c,
	lib/cdda_interface/drive_exceptions.h,
	lib/cdda_interface/interface.c,
	lib/cdda_interface/libcdio_cdda.sym,
	lib/cdda_interface/low_interface.h,
	lib/cdda_interface/scan_devices.c,
	lib/cdda_interface/scsi_interface.c, lib/cdda_interface/smallft.c,
	lib/cdda_interface/smallft.h, lib/cdda_interface/test_interface.c,
	lib/cdda_interface/toc.c, lib/cdda_interface/utils.c,
	lib/cdda_interface/utils.h, lib/cdio++/.gitignore,
	lib/cdio++/Makefile.am, lib/cdio++/cdio.cpp,
	lib/cdio++/devices.cpp, lib/cdio++/iso9660.cpp,
	lib/driver/.gitignore, lib/driver/FreeBSD/Makefile,
	lib/driver/FreeBSD/freebsd.c, lib/driver/FreeBSD/freebsd.h,
	lib/driver/FreeBSD/freebsd_cam.c,
	lib/driver/FreeBSD/freebsd_ioctl.c, lib/driver/MSWindows/Makefile,
	lib/driver/MSWindows/aspi32.c, lib/driver/MSWindows/aspi32.h,
	lib/driver/MSWindows/win32.c, lib/driver/MSWindows/win32.h,
	lib/driver/MSWindows/win32_ioctl.c, lib/driver/Makefile.am,
	lib/driver/_cdio_generic.c, lib/driver/_cdio_stdio.c,
	lib/driver/_cdio_stdio.h, lib/driver/_cdio_stream.c,
	lib/driver/_cdio_stream.h, lib/driver/aix.c, lib/driver/audio.c,
	lib/driver/bsdi.c, lib/driver/cd_types.c, lib/driver/cdio.c,
	lib/driver/cdio_assert.h, lib/driver/cdio_private.h,
	lib/driver/cdtext.c, lib/driver/cdtext_private.h,
	lib/driver/device.c, lib/driver/disc.c, lib/driver/ds.c,
	lib/driver/generic.h, lib/driver/gnu_linux.c, lib/driver/image.h,
	lib/driver/image/Makefile, lib/driver/image/bincue.c,
	lib/driver/image/cdrdao.c, lib/driver/image/nrg.c,
	lib/driver/image/nrg.h, lib/driver/image_common.c,
	lib/driver/image_common.h, lib/driver/libcdio.sym,
	lib/driver/logging.c, lib/driver/mmc.c, lib/driver/mmc_private.h,
	lib/driver/netbsd.c, lib/driver/osx.c, lib/driver/portable.h,
	lib/driver/read.c, lib/driver/sector.c, lib/driver/solaris.c,
	lib/driver/track.c, lib/driver/utf8.c, lib/driver/util.c,
	lib/iso9660/.cvsignore, lib/iso9660/.gitignore,
	lib/iso9660/Makefile.am, lib/iso9660/iso9660.c,
	lib/iso9660/iso9660_fs.c, lib/iso9660/iso9660_private.h,
	lib/iso9660/libiso9660.sym, lib/iso9660/rock.c, lib/iso9660/xa.c,
	lib/paranoia/.cvsignore, lib/paranoia/.gitignore,
	lib/paranoia/Makefile.am, lib/paranoia/gap.c, lib/paranoia/gap.h,
	lib/paranoia/isort.c, lib/paranoia/isort.h,
	lib/paranoia/libcdio_paranoia.sym, lib/paranoia/overlap.c,
	lib/paranoia/overlap.h, lib/paranoia/p_block.c,
	lib/paranoia/p_block.h, lib/paranoia/paranoia.c,
	lib/udf/.cvsignore, lib/udf/.gitignore, lib/udf/Makefile.am,
	lib/udf/filemode.c, lib/udf/libudf.sym, lib/udf/udf.c,
	lib/udf/udf_file.c, lib/udf/udf_fs.c, lib/udf/udf_fs.h,
	lib/udf/udf_private.h, lib/udf/udf_time.c, libcdio++.pc.in,
	libcdio.pc.in, libcdio_cdda.pc.in, libcdio_paranoia.pc.in,
	libiso9660++.pc.in, libiso9660.pc.in, libudf.pc.in, m4/codeset.m4,
	m4/iconv.m4, m4/lib-ld.m4, m4/lib-link.m4, m4/lib-prefix.m4,
	m4/pkg.m4, misc/libcdio.ebuild, package/.gitignore,
	package/libcdio.spec.in, parse/Makefile, parse/cue.L, parse/cue.y,
	parse/test/runall, parse/test/t1.cue, parse/test/t2.cue,
	parse/test/t3.cue, parse/toc.L, parse/toc.y, parse/toclexer.c,
	parse/toclexer.h, src/.gitignore, src/Makefile.am, src/cd-drive.c,
	src/cd-drive.help2man, src/cd-info.c, src/cd-info.help2man,
	src/cd-paranoia/.cvsignore, src/cd-paranoia/.gitignore,
	src/cd-paranoia/Makefile.am, src/cd-paranoia/buffering_write.c,
	src/cd-paranoia/buffering_write.h, src/cd-paranoia/cd-paranoia.c,
	src/cd-paranoia/doc/.cvsignore, src/cd-paranoia/doc/.gitignore,
	src/cd-paranoia/doc/FAQ.txt, src/cd-paranoia/doc/Makefile.am,
	src/cd-paranoia/doc/en/.cvsignore,
	src/cd-paranoia/doc/en/.gitignore,
	src/cd-paranoia/doc/en/Makefile.am,
	src/cd-paranoia/doc/en/cd-paranoia.1.in,
	src/cd-paranoia/doc/ja/.cvsignore,
	src/cd-paranoia/doc/ja/.gitignore,
	src/cd-paranoia/doc/ja/Makefile.am,
	src/cd-paranoia/doc/ja/cd-paranoia.1.in,
	src/cd-paranoia/doc/overlapdef.txt, src/cd-paranoia/getopt.c,
	src/cd-paranoia/getopt.h, src/cd-paranoia/getopt1.c,
	src/cd-paranoia/header.c, src/cd-paranoia/header.h,
	src/cd-paranoia/pod2c.pl, src/cd-paranoia/report.c,
	src/cd-paranoia/report.h, src/cd-paranoia/usage-copy.h,
	src/cd-paranoia/usage.txt.in, src/cd-paranoia/utils.h,
	src/cd-paranoia/version.h, src/cd-read.c, src/cd-read.help2man,
	src/cdda-player.c, src/cddb.c, src/cddb.h, src/cdinfo-linux.c,
	src/getopt.c, src/getopt.h, src/getopt1.c, src/iso-info.c,
	src/iso-info.help2man, src/iso-read.c, src/iso-read.help2man,
	src/mmc-tool.c, src/util.c, src/util.h, test/.gitignore,
	test/Makefile.am, test/bad-cat1.cue, test/bad-cat1.toc,
	test/bad-cat2.cue, test/bad-cat2.toc, test/bad-cat3.cue,
	test/bad-cat3.toc, test/bad-file.toc, test/bad-mode1.cue,
	test/bad-mode1.toc, test/bad-msf-1.cue, test/bad-msf-1.toc,
	test/bad-msf-2.cue, test/bad-msf-2.toc, test/bad-msf-3.cue,
	test/bad-msf-3.toc, test/cd-paranoia-log.right,
	test/cdda-mcn.right, test/cdda-read.right, test/cdda.right,
	test/cdtext.toc, test/check_cd_read.sh, test/check_common_fn.in,
	test/check_cue.sh.in, test/check_fuzzyiso.sh, test/check_iso.sh.in,
	test/check_nrg.sh.in, test/check_opts.sh, test/check_opts0.right,
	test/check_opts1.right, test/check_opts2.right,
	test/check_opts3.right, test/check_opts4.right,
	test/check_opts5.right, test/check_opts6.right,
	test/check_opts7.right, test/check_paranoia.sh.in,
	test/check_sizeof.c, test/copying-rr.gpl, test/copying-rr.right,
	test/copying.gpl, test/copying.right, test/data1.toc,
	test/data2.toc, test/data5.toc, test/data6.toc, test/data7.toc,
	test/fsf.right, test/isofs-m1-no-rr.right,
	test/isofs-m1-read.right, test/isofs-m1.cue, test/isofs-m1.right,
	test/isofs-m1.toc, test/joliet-nojoliet.right, test/joliet.right,
	test/monvoisin.right, test/p1.cue, test/svcd_ogt_test_ntsc.right,
	test/svcdgs.right, test/t1.toc, test/t2.toc, test/t3.toc,
	test/t4.toc, test/t5.toc, test/t6.toc, test/t7.toc, test/t8.toc,
	test/t9.toc, test/testassert.c, test/testbincue.c.in,
	test/testdefault.c, test/testischar.c, test/testiso9660.c,
	test/testisocd.c, test/testisocd2.c.in, test/testnrg.c.in,
	test/testparanoia.c, test/testpregap.c.in, test/testtoc.c,
	test/vcd2.toc, test/vcd_demo.cue, test/vcd_demo.right,
	test/vcd_demo.toc, test/vcd_demo_vcdinfo.right,
	test/vcd_demo_vcdinfo_toc.right, test/videocd.right: First commit
	after CVS conversion. Should be just administrative changes.

2008-11-28  R. Bernstein <rocky@gnu.org>

	* .gitignore, AUTHORS, MANIFEST.in, Makefile, NEWS, README.txt,
	cdio.py, data/isofs-m1.cue, example/README, example/audio.py,
	example/cd-read.py, example/cdchange.py, example/device.py,
	example/drives.py, example/eject.py, example/iso1.py,
	example/iso2.py, example/iso3.py, example/tracks.py, iso9660.py,
	pycdio.py, pyiso9660.py, setup.cfg, setup.py, swig/.gitignore,
	swig/audio.swg, swig/compat.swg, swig/device.swg,
	swig/device_const.swg, swig/disc.swg, swig/pycdio.i,
	swig/pyiso9660.i, swig/read.swg, swig/track.swg, swig/types.swg,
	test/.gitignore, test/cdda.toc, test/test-cdio.py,
	test/test-iso.py, test/test-isocopy.py: Initial commit after
	git-cvsimport (import from CVS).

2008-11-28  R. Bernstein <rocky@gnu.org>

	* Makefile, example/audio.py, example/cd-read.py,
	example/cdchange.py, example/device.py, example/drives.py,
	example/eject.py, example/iso1.py, example/iso2.py,
	example/iso3.py, example/tracks.py: Remove import path hard-coding.
	Will have to deal with in a Pythonic way and some package somewhere.

2008-11-28  R. Bernstein <rocky@gnu.org>

	* .gitignore, setup.py: Tighter module creation code, and a module
	name typo from cut and paste.

2008-11-28  R. Bernstein <rocky@gnu.org>

	* .gitignore, AUTHORS, Makefile, NEWS, setup.cfg, setup.py,
	swig/.gitignore, test/.gitignore: Get link arguments from
	pkg-config. Add more files.

2008-11-28  R. Bernstein <rocky@gnu.org>

	* setup.py, swig/.gitignore, test/test-cdio.py, test/test-iso.py,
	test/test-isocopy.py: Include libcdio libraries as appropriate when
	making pycdio libraries.

2008-11-27  R. Bernstein <rocky@gnu.org>

	* .gitignore, setup.py, swig/{pycdio.swg => pycdio.i},
	swig/{pyiso9660.swg => pyiso9660.i}, test/test-cdio.py,
	test/test-iso.py, test/test-isocopy.py: swig compilation and
	invoking unixcompiler now works.  Closer to having setup.py bdist working. Still need to figure out
	how add libcdio libraries and how to get the test import working.

2008-11-27  rocky <rocky>

	* configure.ac: Patch by Mike Frysinger to facilitate
	cross-compilation. sr #106338

2008-11-25  rocky <rocky>

	* configure.ac: Erroneous initialization. See sr #106271

2008-11-25  rocky <rocky>

	* configure.ac: Treat uclinux like GNU/Linux. sr #106336 from Mike
	Frysinger.

2008-11-25  rocky <rocky>

	* INSTALL, configure.ac: Remove bit-ordering test in configure.ac
	since we don't seem to use this at compile time and it fouls up
	cross compilation.  cd-paranoia has tests at run-time. libcdio inherited this from
	vcdimager which needs it in writing images. It is possible that when
	libcdio does writing this may come back. Untill then, simplify.

2008-11-23  R. Bernstein <rocky@gnu.org>

	* .gitignore, example/README: Add more of the files we need

2008-11-23  R. Bernstein <rocky@gnu.org>

	* .gitignore, MANIFEST.in, README.txt, cdio.py, data/isofs-m1.cue,
	example/audio.py, example/cd-read.py, example/cdchange.py,
	example/device.py, example/drives.py, example/eject.py,
	example/iso1.py, example/iso2.py, example/iso3.py,
	example/tracks.py, iso9660.py, pycdio.py, pyiso9660.py, setup.py,
	swig/audio.swg, swig/compat.swg, swig/device.swg,
	swig/device_const.swg, swig/disc.swg, swig/pycdio.swg,
	swig/pyiso9660.swg, swig/read.swg, swig/track.swg, swig/types.swg,
	test/cdda.cue, test/cdda.toc, test/test-cdio.py, test/test-iso.py,
	test/test-isocopy.py: First semblance of distutils setuptools. Not
	complete yet though.

2008-10-29  rocky <rocky>

	* configure.ac: Typo in comment

2008-10-29  rocky <rocky>

	* configure.ac, lib/cdio++/Makefile.am: Bug fix to allow linker
	flags --as-needed and --no-undefined. Thanks to Götz Waschk

2008-10-25  rocky <rocky>

	* .cvsignore: One more.

2008-10-25  rocky <rocky>

	* Makefile.am: Create a tar.bz2 dist as well as tar.gz.

2008-10-20  rocky <rocky>

	* lib/cdda_interface/Makefile.am, lib/cdio++/Makefile.am,
	lib/driver/Makefile.am, lib/iso9660/Makefile.am,
	lib/paranoia/Makefile.am: Increment library numbers

2008-10-20  rocky <rocky>

	* NEWS: What's up

2008-10-17  rocky <rocky>

	* lib/driver/osx.c: patch #6548: fix osx handling. See that for more
	information

2008-10-17  rocky <rocky>

	* test/check_common_fn.in, test/check_iso.sh.in,
	test/check_paranoia.sh.in: Allow for more cygwin tests to pass

2008-09-29  flameeyes <flameeyes>

	* configure.ac: Don't use echo -n, use subshells instead.  echo -n is not working on all shells, in particular it does not seem
	to work on Sun /bin/sh shell; instead use subshells to have the same
	output everywhere.

2008-09-22  rocky <rocky>

	* doc/libcdio.texi: Typo

2008-09-09  rocky <rocky>

	* src/cd-info.c: Nuke cddb disc ID if --no-cddb option is given.

2008-09-09  rocky <rocky>

	* test/cdda-mcn.right, test/cdda.right: Output changed when
	--no-cddb option added.

2008-09-08  rocky <rocky>

	* INSTALL, src/cd-info.c: Allow compiling cd-info without cddb.
	Patch thanks to Fabrice MÃ©nard.

2008-08-31  rocky <rocky>

	* lib/driver/Makefile.am: Remove stray @ character in Makefile.am.
	Thanks yet again to Steve Schultz for finding/fixing.

2008-08-31  flameeyes <flameeyes>

	* example/C++/Makefile.am, example/C++/OO/Makefile.am,
	example/Makefile.am, lib/driver/Makefile.am, src/Makefile.am,
	src/cd-paranoia/Makefile.am, test/Makefile.am: Use the LTLIBICONV
	variable rather than LIBICONV.  With this change, instead of using the fully qualified path to the
	shared object (or the one that the configure think is the fully
	qualified path), the path where the library is found will be added
	to the search path and just a generic -liconv will be used.  The old variable would be fooled up when /usr/lib/libiconv.so is an
	LD script that redirects to /lib/libiconv.so, causing failures with
	some linkers.  Also, replace @LIBICONV@ for libcdio itself also with $(LTLIBICONV)
	or it will fail to link against on uClibc.

2008-08-30  rocky <rocky>

	* lib/driver/osx.c: Free memory when recovering from errors.

2008-07-27  rocky <rocky>

	* INSTALL, autogen.sh: Pass additional autogen.sh options to
	configure.

2008-07-27  pjcreath <pjcreath>

	* autogen.sh, config.rpath: Replaced old, messy autogen.sh with a
	call to autoreconf.  (empty config.rpath added for automake 1.10
	compatibility)

2008-07-16  rocky <rocky>

	* include/cdio/iso9660.h: Another small tweak - make sure macro is
	undefine'd first.

2008-07-15  rocky <rocky>

	* config.rpath, include/cdio/iso9660.h: Undefine ISODCL and note
	where this comes from.

2008-07-15  rocky <rocky>

	* include/cdio/iso9660.h: Remove cdrtools GPL "v2 only" pollution.
	iso9660.h is from Eric Youngdale's 1993 GPL v2 or later header from
	mkisofs

2008-06-25  rocky <rocky>

	* THANKS, configure.ac, example/cdchange.c,
	lib/cdda_interface/Makefile.am,
	lib/cdda_interface/scsi_interface.c, lib/cdio++/Makefile.am,
	lib/iso9660/Makefile.am, lib/iso9660/iso9660.c,
	lib/paranoia/Makefile.am, lib/udf/Makefile.am, src/cddb.c,
	src/cddb.h: Fixes for Mingw+MSYS and DLL support from Carlo Bramini * configure.ac: Added AC_LIBTOOL_WIN32_DLL for enabling the creation
	of shared libraries.  * configure.ac: Added -I$(top_srcdir)/include to LIBCDIO_CFLAGS, it
	allows to build outside the source tree.  * configure.ac: Added LT_NO_UNDEFINED for adding '-no-undefined'
	switch to libtool when building win32 shared libraries.  * configure.ac: Check for Windows.h presence if under Mingw
	(included for using Sleep() function).  * configure.ac: Check for more missing functions: setenv(),
	unsetenv(), sleep(), gmtime_r(), localtime_r().  * example/cdchange.c: If sleep() function does not exist, it tries
	to emulate it with a similar code (require inclusion of Windows.h) * src/cddb.c: * lib/cdda_interface/scsi_interface.c: Compilation fails because
	u_int32_t is undefined. It has been changed to uint32_t to be
	compliant to all other parts of the libraries.  * lib/cdda_interface/Makefile.am: * lib/iso9660/Makefile.am: * lib/cdio++/Makefile.am: * lib/paranoia/Makefile.am: * lib/udf/Makefile.am: * lib/driver/Makefile.am: added LT_NO_UNDEFINED to libtool flags.  * lib/iso9660/iso9660.c: Added replacements for setenv(),
	unsetenv(), gmtime_r\ (), localtime_r().

2008-06-25  rocky <rocky>

	* lib/driver/Makefile.am, lib/driver/gnu_linux.c: Was accessing
	outside of check2list causing wild looping.  Turn all sprintf's to
	snprintf's and check the return.  Turn check1list and check2list looping into a fixed constant number
	of iterations rather than rely on a sentinal.

2008-06-19  flameeyes <flameeyes>

	* example/audio.c, src/cd-drive.c, src/cd-info.c,
	src/cd-paranoia/buffering_write.c,
	src/cd-paranoia/buffering_write.h, src/cd-paranoia/cd-paranoia.c,
	src/cd-paranoia/pod2c.pl, src/cd-read.c, src/cdda-player.c,
	src/iso-info.c, src/iso-read.c, src/mmc-tool.c, test/testparanoia.c: 
	Mark variables and constant as static in source tools, examples and
	tests. Also replace some char pointers with char arrays.

2008-06-19  flameeyes <flameeyes>

	* configure.ac: Fix AC_ARG_WITH and AC_ARG_ENABLE call to use the
	un-translated option name (that is, using dash rather than
	underscore).

2008-06-16  flameeyes <flameeyes>

	* lib/driver/cdtext.c: Make cdtext_keywords a static array of
	arrays.

2008-06-16  flameeyes <flameeyes>

	* .cvsignore: Ignore a few more scripts created by autoreconf -i.

2008-06-16  flameeyes <flameeyes>

	* m4/.cvsignore: Ignore the m4 macro files created by libtool 2.2.

2008-06-16  flameeyes <flameeyes>

	* Makefile.am, configure.ac: Put all macros in the m4 directory,
	this avoids cluttering the main directory with libtool 2.2 (that
	split the macros in multiple files).

2008-06-16  flameeyes <flameeyes>

	* lib/cdda_interface/scan_devices.c: Replace character pointers with
	character arrays, mark constants as static as they are not used
	outside this translation unit (and some not at all).

2008-06-16  flameeyes <flameeyes>

	* lib/driver/cd_types.c: Replace character pointers in signature_t
	with properly-sized character arrays.  The size of sigs has increased a bit but now the sigs array can stay
	entirely in .rodata section, with no runtime relocations.  Having 128 bytes sized elements also allows for direct random access
	on the array without multiplications.

2008-06-14  rocky <rocky>

	* configure.ac, test/.cvsignore: --disable-example-progs help text
	wording change Ignore test/testpregap.c since that's now derived
	testpregap.c.in

2008-06-14  flameeyes <flameeyes>

	* lib/cdda_interface/drive_exceptions.c: Check in the missing file.

2008-06-14  flameeyes <flameeyes>

	* test/Makefile.am: Make testdefault an extra program, so that it's
	only built explicitly and not during make all.

2008-06-13  flameeyes <flameeyes>

	* lib/driver/gnu_linux.c: Make checklists fit entirely in .rodata
	sections, by marking them constant and using an array of characters
	rather than a pointer to character.

2008-06-13  flameeyes <flameeyes>

	* lib/cdda_interface/Makefile.am,
	lib/cdda_interface/cddap_interface.c,
	lib/cdda_interface/drive_exceptions.h,
	lib/cdda_interface/scsi_interface.c,
	lib/cdda_interface/test_interface.c: Make drive exceptions
	non-static objects that are shared between multiple units.  Also
	replace the three Dummy functions wth dummy_exception (also common).  Bump the revision.  This reduces the memory footprint of libcdda_interface of about 200
	bytes.

2008-06-13  flameeyes <flameeyes>

	* include/cdio++/iso9660.hpp: Cleanup includes, don't include
	<cstdlib> twice, and include <cstring> rather than <string.h>.

2008-06-13  flameeyes <flameeyes>

	* Makefile.am: Remove trailing backslash.

2008-06-13  flameeyes <flameeyes>

	* Makefile.am: Only install libcdio++ and libiso9660++ pkg-config
	files if C++ bindings are being built and installed.

2008-06-10  pjcreath <pjcreath>

	* config.rpath, m4/libtool.m4: Fix for automake 1.10 and removal of
	unnecessary m4.

2008-06-10  pjcreath <pjcreath>

	* lib/driver/image/nrg.h, test/testpregap.c.in: Fixed pregap
	regression failure on non-Intel architectures, removed warnings

2008-06-09  rocky <rocky>

	* autogen.sh, m4/.cvsignore, m4/codeset.m4, m4/iconv.m4,
	m4/lib-ld.m4, m4/lib-link.m4, m4/lib-prefix.m4, m4/libtool.m4,
	m4/pkg.m4: Copies of distribution m4 macros included to avoid extra
	installation on OSX.  Patch from Peter Creath.

2008-06-03  rocky <rocky>

	* NEWS, lib/iso9660/iso9660.c, test/testiso9660.c: More time
	setting/getting patches - the last of the patches from N. Boullis.
	Make testiso9660 more stringent now that bugs have been removed.

2008-05-31  rocky <rocky>

	* configure.ac, lib/iso9660/iso9660.c: Replace last vestige of
	non-reentrant gmtime with timegm. Problem determination and fix
	again from Nicolas Boullis.

2008-05-31  rocky <rocky>

	* lib/iso9660/iso9660.c: iso9660_get_ltime: the TZ environment
	variable was set using a local buffer that disappears when the
	function terminates. This might lead to segmentation faults. Reset
	to the old TZ value (if any) or unset the variable if it was
	previously not set. Problem noted and fixed by Nicolas Boullis.

2008-05-29  rocky <rocky>

	* doc/libcdio.texi, lib/iso9660/iso9660.c: iso9660.c: On some
	architectures (like my powerpc), char is unsigned. So when libcdio
	tries to adjust "converted ISO9660 timezones" in iso9660_set_ltime
	on such architectures, it would replace legitimate negative values
	with 52.  Cast &_pv_date[16] to "iso712_t *" and then dereference.  Patch from Nicolas Boullis: doc: small spelling typos.

2008-05-28  rocky <rocky>

	* include/cdio/iso9660.h, lib/iso9660/iso9660.c, test/testiso9660.c: 
	iso9660.h: parameter name change to match implementation.
	iso9660.c: use reentrant version of localtime and gettime (most of
	the time) Patch from Nicolas Boullis.  testiso9660.c: Change a memcmp for a test_compare which gives more
	detailed information on failure.

2008-05-11  rocky <rocky>

	* lib/driver/FreeBSD/freebsd.h: Fix prototype mismatch. Savannah Bug
	#23228

2008-05-09  edsdead <edsdead>

	* lib/driver/mmc.c: don't shift read_sector_type into reserved field
	of read cd cdb (resulting in every call being treated as
	CDIO_MMC_READ_TYPE_ANY)

2008-05-09  edsdead <edsdead>

	* lib/driver/mmc.c: fix incorrect behavior and potential buffer
	overrun in mmc_read_cd when i_blocks exceeds MAX_CD_READ_BLOCKS

2008-05-09  edsdead <edsdead>

	* include/cdio/mmc.h: fix up return type of mmc_run_cmd and
	mmc_run_cmd_len

2008-05-05  rocky <rocky>

	* configure.ac, test/Makefile.am, test/{testpregap.c =>
	testpregap.c.in}: Changes to testpregap.c to allow to build outside
	of the source tree.

2008-04-26  rocky <rocky>

	* src/Makefile.am: restore tab which got lost in cut-and-past. -- A
	pox on "make".  Thanks to Steve Schultz again for keeping us (more) honest.

2008-04-24  rocky <rocky>

	* NEWS, THANKS, configure.ac, lib/driver/gnu_linux.c,
	lib/iso9660/xa.c, lib/udf/udf.c, lib/udf/udf_time.c,
	src/Makefile.am: Patch from Peter Hartley to allow Cross-compiling
	to mingw32:  - MinGW doesn't have struct timespec, so udf_time.c doesn't compile    (changes lib/udf/udf_time.c, configure.ac, config.h.in)  - The configure test for bitfield ordering uses AC_TRY_RUN and thus    doesn't work when cross-compiling; use sneakiness to try and    determine it at compile time, falling back to the existing
	   runtime check if the sneakiness doesn't work    (changes configure.ac; tested on x86_64-linux-gnu and
	   i586-mingw32 which are bf_lsbf=1, plus sparc64-linux-gnu which is
	bf_lsbf=0)  - The configure test for "extern long timezone" needlessly uses    AC_TRY_RUN when in fact AC_LINK_IFELSE is all we need to know,
	   and that latter works when cross-compiling    (changes configure.ac)  - MinGW sys/stat.h doesn't have the *GRP or *OTH macros, nor
	   S_IFLNK or S_IFSOCK, nor S_ISUID etc    (changes lib/udf/udf.c and lib/iso9660/xa.c)  - MinGW doesn't have <sys/wait.h>, so even the header-inclusion bit    of the Linux driver doesn't compile unless it's moved inside the    "ifdef HAVE_LINUX_CDROM"    (changes lib/driver/gnu_linux.c)  - Because the man pages cd-info.1 etc depend on the binaries
	   themselves (for help2man reasons), the configure options
	   --without-cd-info etc don't actually stop them being compiled. Fixed
	   by only depending on man pages for programs that are actually built,
	   which also stops the installation of man pages of programs which
	   aren't themselves installed    (changes src/Makefile.am)

2008-04-22  karl <karl>

	* lib/driver/_cdio_generic.c, lib/driver/_cdio_stdio.c,
	lib/driver/_cdio_stdio.h, lib/driver/_cdio_stream.c,
	lib/driver/_cdio_stream.h, lib/driver/aix.c, lib/driver/audio.c,
	lib/driver/bsdi.c, lib/driver/cd_types.c, lib/driver/cdio.c,
	lib/driver/cdio_assert.h, lib/driver/cdio_private.h,
	lib/driver/cdtext.c, lib/driver/cdtext_private.h,
	lib/driver/device.c, lib/driver/disc.c, lib/driver/ds.c,
	lib/driver/generic.h, lib/driver/gnu_linux.c, lib/driver/image.h,
	lib/driver/image_common.c, lib/driver/image_common.h,
	lib/driver/logging.c, lib/driver/mmc.c, lib/driver/mmc_private.h,
	lib/driver/netbsd.c, lib/driver/osx.c, lib/driver/portable.h,
	lib/driver/read.c, lib/driver/solaris.c, lib/driver/track.c,
	lib/driver/utf8.c, lib/driver/util.c: gplv3+

2008-04-21  karl <karl>

	* lib/driver/FreeBSD/Makefile, lib/driver/FreeBSD/freebsd.c,
	lib/driver/FreeBSD/freebsd.h, lib/driver/FreeBSD/freebsd_cam.c,
	lib/driver/FreeBSD/freebsd_ioctl.c, lib/driver/MSWindows/Makefile,
	lib/driver/MSWindows/aspi32.c, lib/driver/MSWindows/aspi32.h,
	lib/driver/MSWindows/win32.c, lib/driver/MSWindows/win32.h,
	lib/driver/MSWindows/win32_ioctl.c, lib/driver/image/Makefile,
	lib/driver/image/bincue.c, lib/driver/image/cdrdao.c,
	lib/driver/image/nrg.c, lib/driver/image/nrg.h: gplv3+

2008-04-20  karl <karl>

	* lib/cdio++/cdio.cpp, lib/cdio++/devices.cpp,
	lib/cdio++/iso9660.cpp: gplv3+

2008-04-18  karl <karl>

	* lib/iso9660/iso9660.c, lib/iso9660/iso9660_fs.c,
	lib/iso9660/iso9660_private.h, lib/iso9660/rock.c,
	lib/iso9660/xa.c, lib/udf/filemode.c, lib/udf/udf.c,
	lib/udf/udf_file.c, lib/udf/udf_fs.c, lib/udf/udf_fs.h,
	lib/udf/udf_private.h, lib/udf/udf_time.c: gplv3+

2008-04-17  karl <karl>

	* doc/Makefile.am, lib/cdda_interface/scsi_interface.c,
	lib/paranoia/gap.c, lib/paranoia/gap.h, lib/paranoia/isort.c,
	lib/paranoia/isort.h, lib/paranoia/overlap.c,
	lib/paranoia/overlap.h, lib/paranoia/p_block.c,
	lib/paranoia/p_block.h, lib/paranoia/paranoia.c,
	src/cd-paranoia/doc/Makefile.am,
	src/cd-paranoia/doc/en/Makefile.am,
	src/cd-paranoia/doc/ja/Makefile.am: gplv3+

2008-04-16  karl <karl>

	* lib/cdda_interface/cddap_interface.c,
	lib/cdda_interface/common_interface.c,
	lib/cdda_interface/common_interface.h,
	lib/cdda_interface/drive_exceptions.h,
	lib/cdda_interface/interface.c, lib/cdda_interface/low_interface.h,
	lib/cdda_interface/scan_devices.c, lib/cdda_interface/smallft.c,
	lib/cdda_interface/smallft.h, lib/cdda_interface/test_interface.c,
	lib/cdda_interface/toc.c, lib/cdda_interface/utils.c,
	lib/cdda_interface/utils.h: gplv3+

2008-04-15  rocky <rocky>

	* Makefile.am: Install libcdio_paranoia.pc and libcdio_cdda.pc when
	cdparnaoia is enabled. Thanks to Geotz Waschk for catching this.

2008-04-14  karl <karl>

	* src/cd-drive.c, src/cd-info.c, src/cd-paranoia/pod2c.pl,
	src/cd-read.c, src/cdda-player.c, src/cddb.c, src/cddb.h,
	src/cdinfo-linux.c, src/iso-info.c, src/iso-read.c, src/mmc-tool.c,
	src/util.c, src/util.h: gplv3+

2008-04-11  karl <karl>

	* src/cd-paranoia/buffering_write.c,
	src/cd-paranoia/buffering_write.h, src/cd-paranoia/cd-paranoia.c,
	src/cd-paranoia/header.c, src/cd-paranoia/header.h,
	src/cd-paranoia/report.c, src/cd-paranoia/report.h,
	src/cd-paranoia/usage-copy.h, src/cd-paranoia/utils.h,
	src/cd-paranoia/version.h: gplv3+

2008-03-28  rocky <rocky>

	* lib/driver/gnu_linux.c, lib/driver/netbsd.c: netbsd.c: add more
	ops. Doc functions, bring more in line with other drivers.

2008-03-28  rocky <rocky>

	* include/cdio/device.h, lib/driver/cdio_private.h,
	lib/driver/netbsd.c, test/Makefile.am: cdio_have_xxx is now private.
	Add p1.bin to distribution.

2008-03-27  rocky <rocky>

	* configure.ac, include/cdio/device.h, lib/driver/Makefile.am,
	lib/driver/cdio_private.h, lib/driver/device.c,
	lib/driver/libcdio.sym, lib/driver/netbsd.c, test/Makefile.am: Start
	NetBSD driver

2008-03-27  edsdead <edsdead>

	* NEWS: add ISRC updates to NEWS

2008-03-25  karl <karl>

	* include/cdio++/cdio.hpp, include/cdio++/cdtext.hpp,
	include/cdio++/device.hpp, include/cdio++/devices.hpp,
	include/cdio++/disc.hpp, include/cdio++/enum.hpp,
	include/cdio++/iso9660.hpp, include/cdio++/mmc.hpp,
	include/cdio++/read.hpp, include/cdio++/track.hpp,
	include/cdio/audio.h, include/cdio/bytesex.h,
	include/cdio/bytesex_asm.h, include/cdio/cd_types.h,
	include/cdio/cdda.h, include/cdio/cdio.h, include/cdio/cdtext.h,
	include/cdio/device.h, include/cdio/disc.h, include/cdio/ds.h,
	include/cdio/dvd.h, include/cdio/ecma_167.h,
	include/cdio/iso9660.h, include/cdio/logging.h, include/cdio/mmc.h,
	include/cdio/paranoia.h, include/cdio/posix.h, include/cdio/read.h,
	include/cdio/rock.h, include/cdio/scsi_mmc.h,
	include/cdio/sector.h, include/cdio/track.h, include/cdio/types.h,
	include/cdio/udf.h, include/cdio/udf_file.h,
	include/cdio/udf_time.h, include/cdio/utf8.h, include/cdio/util.h,
	include/cdio/xa.h: gplv3

2008-03-24  karl <karl>

	* example/C++/OO/cdtext.cpp, example/C++/OO/device.cpp,
	example/C++/OO/drives.cpp, example/C++/OO/eject.cpp,
	example/C++/OO/iso4.cpp, example/C++/OO/isofile.cpp,
	example/C++/OO/isofile2.cpp, example/C++/OO/isolist.cpp,
	example/C++/OO/mmc1.cpp, example/C++/OO/mmc2.cpp,
	example/C++/OO/tracks.cpp, example/C++/device.cpp,
	example/C++/eject.cpp, example/C++/isofile.cpp,
	example/C++/isofile2.cpp, example/C++/isolist.cpp,
	example/C++/mmc1.cpp, example/C++/mmc2.cpp,
	example/C++/paranoia.cpp, example/C++/paranoia2.cpp,
	example/audio.c, example/cdchange.c, example/cdio-eject.c,
	example/cdtext.c, example/device.c, example/drives.c,
	example/eject.c, example/isofile.c, example/isofile2.c,
	example/isofuzzy.c, example/isolist.c, example/isolsn.c,
	example/mmc1.c, example/mmc2.c, example/mmc2a.c, example/mmc3.c,
	example/paranoia.c, example/paranoia2.c, example/sample3.c,
	example/sample4.c, example/tracks.c, example/udf1.c,
	example/udf2.c, example/udffile.c: gplv3

2008-03-23  karl <karl>

	* parse/Makefile, parse/cue.L, parse/cue.y, parse/toc.L,
	parse/toc.y, parse/toclexer.c, parse/toclexer.h: gplv3

2008-03-22  rocky <rocky>

	* README.libcdio: NetBSD *can* be included in libcdio. Thanks to
	Karl Berry for pointing out.

2008-03-22  rocky <rocky>

	* configure.ac, test/.cvsignore, test/Makefile.am,
	test/testnrg.c.in: Start a nrg image reading test.

2008-03-22  karl <karl>

	* test/check_cd_read.sh, test/check_common_fn.in,
	test/check_sizeof.c, test/testassert.c, test/testbincue.c.in,
	test/testdefault.c, test/testischar.c, test/testiso9660.c,
	test/testisocd.c, test/testisocd2.c.in, test/testparanoia.c,
	test/testpregap.c, test/testtoc.c: gplv3

2008-03-21  rocky <rocky>

	* NEWS: More Housekeeping

2008-03-21  rocky <rocky>

	* test/.cvsignore: Bookkeeping

2008-03-21  rocky <rocky>

	* doc/Makefile.am: We no longer use gpl.texi.

2008-03-21  rocky <rocky>

	* NEWS, cvs2cl_usermap, lib/driver/cdio_private.h,
	lib/driver/image/nrg.c: cdio_private.h: Remove type mismatch warning
	                on get_track_pregap_lba when compiling image drivers.  nrg.c: initialize previously uninitialzied field. Bug found by
	       Robert William Fuller.  cvs2cl_usermap: add esdead and karl NEWS: try to track what's been happening.

2008-03-21  edsdead <edsdead>

	* lib/driver/image/nrg.c: support cd-text

2008-03-20  karl <karl>

	* INSTALL, Makefile.am, doc/gpl.texi, example/C++/Makefile.am,
	example/C++/OO/Makefile.am, example/Makefile.am,
	include/Makefile.am, include/cdio++/Makefile.am,
	include/cdio/Makefile.am, lib/Makefile.am,
	lib/cdda_interface/Makefile.am, lib/cdio++/Makefile.am,
	lib/driver/Makefile.am, lib/iso9660/Makefile.am,
	lib/paranoia/Makefile.am, lib/udf/Makefile.am, src/Makefile.am,
	src/cd-paranoia/Makefile.am, test/Makefile.am: update Makefiles to
	GPLv3+

2008-03-20  rocky <rocky>

	* doc/libcdio.texi: Change some ALL CAPS emphasis to @emph emphasis

2008-03-20  edsdead <edsdead>

	* lib/driver/image/nrg.c: minor correction to prior commit

2008-03-20  edsdead <edsdead>

	* lib/driver/image/nrg.c: handle DAO in nrg_read_audio_sectors

2008-03-20  edsdead <edsdead>

	* test/check_fuzzyiso.sh: expect failure on p1.bin and p1.nrg b/c
	they are not iso9660 images

2008-03-20  edsdead <edsdead>

	* include/cdio/track.h, lib/driver/cdio_private.h,
	lib/driver/image/bincue.c, lib/driver/image/cdrdao.c,
	lib/driver/image/nrg.c, lib/driver/image/nrg.h,
	lib/driver/image_common.c, lib/driver/image_common.h,
	lib/driver/libcdio.sym, lib/driver/track.c: get isrc from nrg files
	AND new API char * cdio_get_track_isrc(CdIo_t *,track_t);

2008-03-20  edsdead <edsdead>

	* test/check_paranoia.sh.in: don't need # of blocks without offset

2008-03-19  edsdead <edsdead>

	* lib/driver/image/bincue.c, lib/driver/image/cdrdao.c,
	test/cdda-read.right, test/check_paranoia.sh.in: remove 272 byte
	offset that emulated 68 sample read offset in author's drive

2008-03-19  edsdead <edsdead>

	* doc/libcdio.texi: added authorship to section on track pre-gaps
	and cd-da

2008-03-18  edsdead <edsdead>

	* test/p1.cue, test/testpregap.c: tests for pregap api

2008-03-18  edsdead <edsdead>

	* test/Makefile.am: add testpregap

2008-03-18  karl <karl>

	* NEWS, doc/fdl.texi, doc/libcdio.texi: switch manual to GFDL1.2+
	and no invariant sections; systematize front matter; etc.

2008-03-16  rocky <rocky>

	* THANKS, configure.ac, doc/libcdio.texi, include/cdio/track.h,
	lib/driver/Makefile.am, lib/driver/cdio_private.h,
	lib/driver/image.h, lib/driver/image/bincue.c,
	lib/driver/image/cdrdao.c, lib/driver/image/nrg.c,
	lib/driver/image/nrg.h, lib/driver/image_common.c,
	lib/driver/image_common.h, lib/driver/libcdio.sym,
	lib/driver/track.c: get_track_pregap_lba, get_track_pregap_lsn.
	Section on "CD-DA pregap" in libcdio manual.  All changes from
	Robert William Fuller.

2008-03-15  rocky <rocky>

	* doc/doxygen/Doxyfile.in: Update for doxygen 1.5.3

2008-03-15  rocky <rocky>

	* configure.ac: Assume darwin9 is like darwin8.

2008-03-15  rocky <rocky>

	* example/Makefile.am, src/cd-paranoia/Makefile.am,
	test/Makefile.am: More libiconv escallation. Sigh.

2008-03-15  rocky <rocky>

	* test/Makefile.am: libiconv needed in test programs probably as
	part of the subversive iconv escallation that's been going on.

2008-03-15  rocky <rocky>

	* NEWS: Revise before release.

2008-03-15  rocky <rocky>

	* Makefile.am, src/Makefile.am: Install pkgconfig files libudf.pc,
	libcdio++.pc and libiso9660++.pc. Distribute manual pages for
	standalone utilities. Suggestions thanks to Nicolas Boullis.

2008-03-09  rocky <rocky>

	* autogen.sh: Try to undo the damage gettextize does on configure.ac
	and Makefile.am

2008-03-09  rocky <rocky>

	* autogen.sh: fix syntax error

2008-03-09  rocky <rocky>

	* Makefile.am, autogen.sh, configure.ac: .

2008-03-09  rocky <rocky>

	* Makefile.am: gettext stuff pulled in by gettextize

2008-03-08  rocky <rocky>

	* src/cd-paranoia/version.h, test/cd-paranoia-log.right,
	test/check_paranoia.sh.in: test/check_paranoia.sh.in: need to ignore
	variance in status.

2008-03-08  rocky <rocky>

	* include/cdio/Makefile.am, test/check_paranoia.sh.in: Things needed
	to make "make distcheck" work.  Makefile.am: forgot paranoia.h header.  check_paranoia.sh.in: need
	to compare with "right" file $srcdir not "."

2008-03-08  rocky <rocky>

	* autogen.sh: Looks like we need to run gettextize first now

2008-03-06  rocky <rocky>

	* test/Makefile.am, test/cd-paranoia-log.right,
	test/check_paranoia.sh.in: Add a test of new -l option on
	cd-paranoia.

2008-03-06  rocky <rocky>

	* NEWS, src/cd-read.c, src/util.c, src/util.h,
	test/check_cd_read.sh: cd-read add --mode='any' which is basically a
	mmc_read_cd with CDIO_MMC_READ_TYPE_ANY.

2008-03-04  rocky <rocky>

	* lib/driver/mmc.c: Comment typo

2008-03-03  rocky <rocky>

	* src/cd-paranoia/cd-paranoia.c: Remove what looks like a spurious
	--output-info (-i) option.

2008-02-29  rocky <rocky>

	* NEWS, THANKS, src/cd-paranoia/cd-paranoia.c,
	src/cd-paranoia/doc/en/cd-paranoia.1.in,
	src/cd-paranoia/usage-copy.h, src/cd-paranoia/usage.txt.in,
	test/check_paranoia.sh.in: Add option to cd-paranoia to log summary
	output to a file. Patch from and thanks to Daniel Schwarz.

2008-02-08  rocky <rocky>

	* lib/driver/utf8.c, lib/iso9660/iso9660_fs.c: Add checks for memory
	allocation failures. Patch from Mandriva folks by Gustavo De Nardin
	via Vincent Danen. Originally for libcdio 0.78.2 See also https://savannah.gnu.org/patch/?6413

2008-01-19  rocky <rocky>

	* src/cd-paranoia/cd-paranoia.c: Cast to integer because function it
	seems really might not be paranoia_mode_t but seems augmented by to
	additional values below 0. Ugh.

2008-01-18  rocky <rocky>

	* AUTHORS: email address change.

2008-01-09  rocky <rocky>

	* example/udf1.c: Was accessing out of array bounds. Caught by
	Stanislav Brabec.

2008-01-09  rocky <rocky>

	* include/cdio++/iso9660.hpp, src/cd-info.c, src/iso-info.c,
	src/mmc-tool.c: cd-info.c iso-info.c More error-tolerant patch from
	Stanislav Brabec at SuSE.   iso9660.hpp: patch to compile libcdio with gcc 4.3 from Cristian
	Rodriguez via Stanislav Brabec. Add return statement in function
	returning non-void.  mmc-tool.c: remove out-of-bound array access.

2008-01-05  rocky <rocky>

	* NEWS, include/cdio/iso9660.h, lib/iso9660/iso9660_fs.c: Note that
	iso9660_dir_to_name can return NULL if memory allocation fails.

2008-01-05  rocky <rocky>

	* lib/iso9660/iso9660_fs.c: Another case of potentially accessing
	outside of array bounds. Bug caught by Nico Golde.

2008-01-03  rocky <rocky>

	* src/cd-info.c, src/iso-info.c: Improper +1 on alloc.

2008-01-01  flameeyes <flameeyes>

	* configure.ac, example/C++/Makefile.am, example/Makefile.am: Add a
	configure option to disable examples building (useful for
	distributions, as adding them to noinst will still build them during
	make all wasting build time.

2007-12-30  rocky <rocky>

	* lib/driver/FreeBSD/freebsd.c: get_media_changed is static and
	shouldn't be compiled unless we are on FreeBSD.

2007-12-30  rocky <rocky>

	* src/cd-info.c, src/iso-info.c: Remove possible buffer overrun when
	long joliet names are used.  Savannah Bug #21910.

2007-12-28  rocky <rocky>

	* NEWS, configure.ac, test/check_cd_read.sh, test/check_cue.sh.in,
	test/check_iso.sh.in, test/check_nrg.sh.in, test/check_opts.sh: 
	Build outside of source fixes for TEST. We're in 0.80 land now.

2007-12-28  rocky <rocky>

	* lib/driver/FreeBSD/freebsd.c, lib/driver/FreeBSD/freebsd.h: Add
	get_media_changed method on FreeBSD for drives accessed via CAM
	(SCSI or ATAPICAM).  Patch thanks to Andriy Gapon.

2007-12-15  rocky <rocky>

	* configure.ac, doc/how-to-make-a-release.txt,
	lib/driver/FreeBSD/freebsd.h: Apply kfreebsd patch from Debian.

2007-12-10  rocky <rocky>

	* doc/libcdio.texi: Another reference to IEC 60908. Update copyright
	and email

2007-12-10  rocky <rocky>

	* doc/glossary.texi: Add mention of IEC 60908

2007-12-10  rocky <rocky>

	* doc/glossary.texi, doc/libcdio.texi: Add wiki reference to the
	Philips Red Book.

2007-11-21  rocky <rocky>

	* include/cdio/mmc.h, lib/driver/libcdio.sym, lib/driver/mmc.c: Run
	a Multimedia command (MMC) specifying the CDB length.  The
	motivation here is for example ot use in is an undocumented debug
	command for LG drives (namely E7), whose length is being
	miscalculated by mmc_get_cmd_len(); it doesn't follow the usual code
	number to length conventions. Patch supplied by SukkoPera.

2007-11-19  flameeyes <flameeyes>

	* include/cdio++/iso9660.hpp: Add missing include (for GCC 4.3).
	Patch by Ryan Hill (dirtyepic at gentoo).  Patch #6271 at Savannah.

2007-11-17  flameeyes <flameeyes>

	* src/cd-paranoia/Makefile.am: Don't try to use a generic rule for
	building usage.h or it will fail make distcheck when builddir !=
	srcdir

2007-11-16  flameeyes <flameeyes>

	* lib/iso9660/iso9660.c: Fix logic.

2007-11-16  flameeyes <flameeyes>

	* test/testiso9660.c: Fix name of function.

2007-11-16  flameeyes <flameeyes>

	* lib/iso9660/iso9660.c: Fix typo.

2007-11-16  flameeyes <flameeyes>

	* test/Makefile.am: Don't compile the test programs during make all,
	make check will take care of that.

2007-11-16  flameeyes <flameeyes>

	* Makefile.am: Fix make dist when run on $builddir != $srcdir.

2007-11-16  flameeyes <flameeyes>

	* test/check_cd_read.sh, test/check_cue.sh.in,
	test/check_iso.sh.in, test/check_nrg.sh.in, test/check_opts.sh: 
	check_common_fn is in the current dir (build dir), not in $srcdir.

2007-11-16  flameeyes <flameeyes>

	* include/cdio/Makefile.am: Don't install the cdparanoia headers
	when cd-paranoia is not built nor installed.

2007-11-16  flameeyes <flameeyes>

	* Makefile.am: Do not install the libcdio_paranoia.pc and
	libcdio_cdda.pc files if cd-paranoia is not built.  If we do, the
	pkg-config based checks will report the presence of libraries that
	are not present in the system.

2007-11-16  flameeyes <flameeyes>

	* lib/iso9660/iso9660.c: Do not assume that sizeof(int) ==
	sizeof(long), the assumption is wrong on 64-bit arches. Reduce the
	size of strtol range when filling a struct tm variable.

2007-11-16  flameeyes <flameeyes>

	* lib/driver/utf8.c: Include config.h before checking for
	HAVE_JOLIET or it will never build the function.

2007-11-16  flameeyes <flameeyes>

	* configure.ac: Unbreak --enable/--disable joliet support. Use
	AS_HELP_STRING to pretty-print the help message.

2007-11-09  rocky <rocky>

	* src/cd-paranoia/pod2c.pl: Apparently cygwin's perl sometimes puts
	in \r's for linefeeds.  Patch from Gary Parks.

2007-10-27  rocky <rocky>

	* INSTALL, NEWS, configure.ac: Final 0.79 release

2007-10-21  rocky <rocky>

	* src/util.c: Update copyright.

2007-10-17  rocky <rocky>

	* src/cd-paranoia/doc/jp/.cvsignore,
	src/cd-paranoia/doc/jp/Makefile.am,
	src/cd-paranoia/doc/jp/cd-paranoia.1.in: jp -> ja

2007-10-16  rocky <rocky>

	* configure.ac, lib/cdda_interface/cddap_interface.c: libcdio
	cdparanoia doing the wrong thing on a single-sector read. Savannah
	patch #5999.

2007-10-15  rocky <rocky>

	* NEWS, configure.ac, lib/cdda_interface/Makefile.am,
	lib/cdio++/Makefile.am, lib/driver/Makefile.am,
	lib/iso9660/Makefile.am, lib/paranoia/Makefile.am,
	lib/udf/Makefile.am, src/Makefile.am, src/cd-paranoia/Makefile.am: 
	Remove := in Makefiles for portability.  autoconf 1.10 complains
	about adding AM_PROC_CC_C_O - pander to it.

2007-10-13  rocky <rocky>

	* NEWS, lib/cdda_interface/Makefile.am, lib/cdio++/Makefile.am,
	lib/driver/Makefile.am, lib/iso9660/Makefile.am: Go over shared
	library revision numbers and NEWS in advance of a Oct 27 0.79
	release.

2007-09-28  rocky <rocky>

	* lib/paranoia/p_block.c: Ooops - typedef typo

2007-09-28  rocky <rocky>

	* include/cdio/paranoia.h, lib/cdda_interface/common_interface.c,
	lib/paranoia/p_block.c: paranoia.h, p_block.c: Add
	paranoia_set_range and correct #define in paranoia.h
	common_interface.c: try to give credit where it is due.

2007-09-28  rocky <rocky>

	* THANKS: Add Patrick Guimond

2007-09-28  rocky <rocky>

	* lib/cdda_interface/common_interface.c: Not just lead-out gap, but
	lead-out + pregap

2007-09-28  rocky <rocky>

	* lib/cdda_interface/common_interface.c, lib/cdda_interface/toc.c,
	test/testiso9660.c: Support for multisession CD Extra Discs courtesy
	of Patrick Guimond.  testiso9660.c: remove ltime comparison check. :-(

2007-09-26  rocky <rocky>

	* lib/iso9660/iso9660_fs.c: iso9660_open_ext_private(): close image
	filecupon error.  Leds to an open file descriptor making it impossible of e.g.
	unmounting a CDROM containing the file. Savannah bug #21147.

2007-09-05  rocky <rocky>

	* lib/iso9660/iso9660.c, lib/iso9660/iso9660_fs.c,
	test/check_common_fn.in: iso9660.c: off-by-one bug which was causing
	dates to come out wrong. Thanks to Nicolas Boullis for finding and
	fixing.  iso9660_fs.c: remove bugs merging code from the last round of
	changes/enhancements check_common_fn.in: show full iso_read command when it fails.

2007-08-12  rocky <rocky>

	* example/.cvsignore: Yet another program, yet another ignore

2007-08-12  rocky <rocky>

	* configure.ac, lib/iso9660/iso9660_fs.c, test/.cvsignore,
	test/Makefile.am, test/testisocd.c, test/testisocd2.c.in: 
	iso9660_fs.c: remove some (but not all) of the redundancy
	testisocd2.c.in: a test of working with an ISO 9660 image.

2007-08-12  rocky <rocky>

	* example/Makefile.am, example/README, example/isolist.c,
	example/isolsn.c, lib/iso9660/iso9660_fs.c: iso9660_fs.c: remove
	some bugs in freeing here.  isolsn.c: Add a sample program for
	showing the path for given LSN.

2007-08-11  rocky <rocky>

	* include/cdio/iso9660.h, lib/iso9660/Makefile.am,
	lib/iso9660/iso9660_fs.c, lib/iso9660/libiso9660.sym,
	test/testisocd.c: Add iso9660_fs_find_lsn_with_path and
	iso9660_ifs_find_lsn_with_path to report the full filename path of
	lsn.

2007-08-11  flameeyes <flameeyes>

	* lib/driver/osx.c: Workaround a missing callback, failures are
	called immediately, sucesses are queued and might not be called
	properly.

2007-08-09  flameeyes <flameeyes>

	* example/.cvsignore: Ignore udffile too.

2007-08-09  flameeyes <flameeyes>

	* configure.ac, lib/driver/osx.c: Borrow the eject code for OSX from
	xine-lib-1.2-macos branch, as contributed by Matt Messier. This
	allows to eject disks on Mac OS X without having to call an external
	utility.  Incidentally this fixes libcdio eject function on Mac OS X 10.4 and
	later, as hditool was moved from /usr/sbin to /usr/bin.

2007-08-09  flameeyes <flameeyes>

	* example/cdio-eject.c: Include config.h, or the build will fail on
	at least Mac OS X.

2007-08-09  flameeyes <flameeyes>

	* autogen.sh: Let autogen.sh work on OSX: test for glibtool presence
	(GNU libtool versus Apple libtool).

2007-08-09  flameeyes <flameeyes>

	* autogen.sh: Accept automake 1.10 as a version greater than1.6.

2007-08-04  rocky <rocky>

	* lib/driver/_cdio_generic.c: Small changes

2007-08-04  rocky <rocky>

	* lib/iso9660/iso9660.c: Add note about funny strtol test and
	correct test. Thanks to Nicolas Boullis for finding this.

2007-07-19  rocky <rocky>

	* test/testiso9660.c: Check for error status of iso9660_get_dtime
	and iso9660_get_ltime

2007-06-18  rocky <rocky>

	* NEWS: Note last two bugs reported by Eric Shattow.

2007-06-18  rocky <rocky>

	* src/cd-paranoia/cd-paranoia.c: Don't expect TOC reading to report
	audio mode if we are trying to rip prior to the very first track.
	And don't give an error here either.

2007-06-16  rocky <rocky>

	* src/cd-info.c, src/cddb.c, src/cddb.h: CDDB disc id is an unsigned
	32-bit integer, not long which could be 64-bits.

2007-05-27  rocky <rocky>

	* NEWS: Bugs, bugs, bugs!

2007-05-27  rocky <rocky>

	* lib/cdda_interface/scan_devices.c: Remove possible access of
	uninitialized cdio_hwinfo structure.

2007-05-27  rocky <rocky>

	* lib/driver/_cdio_generic.c: Update copyright and email address.

2007-05-27  rocky <rocky>

	* lib/driver/_cdio_generic.c: Fix bug in trying to free cd-text when
	it hasn't been initialized.

2007-05-16  rocky <rocky>

	* configure.ac, src/cd-paranoia/doc/Makefile.am,
	src/cd-paranoia/doc/ja/.cvsignore,
	src/cd-paranoia/doc/ja/Makefile.am,
	src/cd-paranoia/doc/ja/cd-paranoia.1.in: Rename Japan locale to ja.
	Bug #19880.

2007-04-15  rocky <rocky>

	* example/cdchange.c: cdchange doesn't use off_t, ssize or any fancy
	types so it shouldn't #include SYS_TYPES. Furthermore if cdio needs
	it, it should #include it on its own.

2007-04-15  rocky <rocky>

	* example/cdchange.c: Take gcc's suggestion regarding adding
	parenthesis

2007-04-15  rocky <rocky>

	* configure.ac: Was chopping off HAVE_SYS_TYPES declaration.

2007-04-15  rocky <rocky>

	* example/cdio-eject.c, include/cdio/read.h: read.h: include
	sys/types.h since some OS's need it.  cdio-eject.c: no real changes.
	Add copyright.

2007-03-16  rocky <rocky>

	* include/cdio/audio.h, include/cdio/read.h: audio.h: doxygenation
	Address, Copyright change.

2007-03-10  rocky <rocky>

	* lib/cdio++/devices.cpp, lib/cdio++/iso9660.cpp: Patches from sms
	to deal with off_t not getting defined.

2007-03-09  rocky <rocky>

	* src/cd-paranoia/doc/en/cd-paranoia.1.in: More potential cdparanoia
	-> cd-paranoia changes. Note how this differes from cdparanoia (i.e.
	not much).

2007-03-09  rocky <rocky>

	* src/cd-drive.c: Use "getopt.h" , not <getopt.h>

2007-03-07  rocky <rocky>

	* example/cdchange.c, lib/driver/gnu_linux.c: 
	lib/driver/gnu_linux.c: bug #19221 (possibly): memory Leak opening
	an inaccessible device.  cdchange.c: a stray character got added to
	the file

2007-03-05  rocky <rocky>

	* configure.ac, example/cdchange.c, lib/driver/image/cdrdao.c,
	lib/iso9660/iso9660.c, src/cd-paranoia/cd-paranoia.c: Better strtol
	fix based on SMS's remark.

2007-03-05  rocky <rocky>

	* example/cdchange.c, lib/driver/image/cdrdao.c,
	lib/iso9660/iso9660.c, src/cd-paranoia/cd-paranoia.c: Set errno=0
	before calling strtol(). bug #18131

2007-02-25  rocky <rocky>

	* include/cdio/read.h, lib/driver/read.c: Update cdio_read
	documentation.

2006-12-20  rocky <rocky>

	* lib/iso9660/iso9660_fs.c: Symlinks were sharing stat_buf so
	freeing one made the pointer to the other invalid. Allocate a
	separate entry for each symlink.  Bug report and patch provided by Antti Perälä. Savannah bug #18563

2006-12-14  rocky <rocky>

	* lib/driver/utf8.c: Patch by Gergely Szász to respect
	--disable-joliet.  (Things may change when UDF is more in use
	though.) Bug report #18522

2006-12-14  rocky <rocky>

	* configure.ac: Typo in configure.ac reported by Gergely Szász, bug
	report #18522.

2006-12-04  rocky <rocky>

	* src/iso-read.c: Had one too many field in structure.

2006-11-30  rocky <rocky>

	* configure.ac: Disable libvcdinfo - 2nd try.

2006-11-30  rocky <rocky>

	* configure.ac: Disable vcdinfo in cd-info by default. It causes too
	much of a hassle for too many people.

2006-11-28  gmerlin <gmerlin>

	* lib/driver/util.c: * Fixed potential security issues

2006-11-27  gmerlin <gmerlin>

	* configure.ac, include/cdio/util.h, lib/driver/_cdio_generic.c,
	lib/driver/gnu_linux.c, lib/driver/util.c: * Better drive detection for Linux * cdio_add_device_list() now adds devices with symlinks only once

2006-11-16  rocky <rocky>

	* test/Makefile.am, test/check_iso.sh.in, test/copying-rr.gpl: Add
	--ignore to iso-read and add a iso-read copying-rr extraction test.

2006-11-16  rocky <rocky>

	* NEWS, configure.ac: We really are in 0.79cvs now.

2006-11-16  rocky <rocky>

	* src/iso-read.c: Add --ignore (-k). Thanks to Justin F. Hallett for
	suggesting and testing

2006-11-13  rocky <rocky>

	* rbcdio/AUTHORS, rbcdio/Makefile.am, rbcdio/NEWS, rbcdio/README,
	rbcdio/autogen.sh, rbcdio/configure.ac, rbcdio/example/device.rb,
	rbcdio/example/eject.rb, rbcdio/example/tracks.rb,
	rbcdio/lib/cdio.rb, rbcdio/lib/extconf.rb, rbcdio/rubycdio.m4,
	rbcdio/swig/Makefile, rbcdio/swig/audio.swg,
	rbcdio/swig/compat.swg, rbcdio/swig/device.swg,
	rbcdio/swig/device_const.swg, rbcdio/swig/disc.swg,
	rbcdio/swig/rubycdio.swg, rbcdio/swig/track.swg,
	rbcdio/swig/types.swg: Remove files checked into the wrong place

2006-11-13  rocky <rocky>

	* rbcdio/AUTHORS, rbcdio/Makefile.am, rbcdio/NEWS, rbcdio/README,
	rbcdio/autogen.sh, rbcdio/configure.ac, rbcdio/example/device.rb,
	rbcdio/example/eject.rb, rbcdio/example/tracks.rb,
	rbcdio/lib/cdio.rb, rbcdio/lib/extconf.rb, rbcdio/rubycdio.m4,
	rbcdio/swig/Makefile, rbcdio/swig/audio.swg,
	rbcdio/swig/compat.swg, rbcdio/swig/device.swg,
	rbcdio/swig/device_const.swg, rbcdio/swig/disc.swg,
	rbcdio/swig/rubycdio.swg, rbcdio/swig/track.swg,
	rbcdio/swig/types.swg: Initial revision

2006-11-01  rocky <rocky>

	* NEWS: Get ready for release. Note preprocessor symbol
	LIBCDIO_VERSION number has to be an integer. (Bug caused by naming
	version 0.78.1)

2006-10-30  rocky <rocky>

	* configure.ac: A stray quote got inserted into the "cut". This
	time, for sure!

2006-10-30  rocky <rocky>

	* configure.ac: Get reeady for 0.78.2 release?

2006-10-30  flameeyes <flameeyes>

	* configure.ac: Use cut rather than sed for removing the micro
	version.

2006-10-29  rocky <rocky>

	* configure.ac: This time, for sure! (See previous.)

2006-10-29  rocky <rocky>

	* configure.ac: Remove .1 in LIBCDIO_VERSION_NUM

2006-10-28  rocky <rocky>

	* NEWS: What's changed.

2006-10-28  rocky <rocky>

	* configure.ac, doc/how-to-make-a-release.txt,
	lib/driver/Makefile.am: Prepare a release that doesn't have the .so
	problem.

2006-10-27  rocky <rocky>

	* example/.cvsignore: Add cdio-eject

2006-10-27  rocky <rocky>

	* configure.ac: Make iconv more necessary.

2006-10-27  rocky <rocky>

	* include/cdio/cdda.h, include/cdio/iso9660.h, include/cdio/mmc.h,
	include/cdio/paranoia.h: Remove doxygen warnings.

2006-10-27  rocky <rocky>

	* configure.ac: Get ready for release.

2006-10-27  rocky <rocky>

	* NEWS: Revies NEWS version/date for release.

2006-10-21  rocky <rocky>

	* NEWS, example/README, lib/driver/gnu_linux.c: gnu_linux.c: Fix bug
	             reported by Burkhard in eject_media_linux() where we were closing an
	open tray.  NEWS/README: note current changes

2006-10-21  gmerlin <gmerlin>

	* example/Makefile.am, example/cdio-eject.c, lib/driver/gnu_linux.c: * Umount before ejecting * Ultra simple eject command

2006-10-11  rocky <rocky>

	* example/.cvsignore, example/Makefile.am, example/mmc3.c,
	include/cdio/mmc.h, lib/driver/Makefile.am, lib/driver/libcdio.sym,
	lib/driver/mmc.c, lib/driver/mmc_private.h, lib/iso9660/Makefile.am: 
	Add routine to get tray status (open/closed) and sample program.
	Seems broken at least on SuSE 10.1 if not other GNU/Linux's though.

2006-09-26  flameeyes <flameeyes>

	* lib/iso9660/iso9660_fs.c: Check for the pointers before
	dereference them. Found by Coverity Scan on xine-lib.

2006-09-26  flameeyes <flameeyes>

	* lib/driver/MSWindows/win32.c: Check for the validity of the
	pointer before using strlen on it. Found by Coverity Scan on
	xine-lib.

2006-09-26  flameeyes <flameeyes>

	* lib/iso9660/iso9660.c: Fix a possible off-by-one in strip_trail()
	identified by Coverity Scan on xine sources.

2006-08-20  rocky <rocky>

	* lib/driver/Makefile.am, libcdio.pc.in: Patches from Steve Schultz
	to handle libiconv inclusion on BSDI (and possibly other BSD's)

2006-08-02  rocky <rocky>

	* lib/driver/gnu_linux.c: Yet another guess at what happened to the
	CDROMREADTOCENTRY ioctl call.  I haven't been able to find anything
	that documents in any detail how to use this ioctl let alone the
	weird behavior where CDROMREADTOC header beforehand turns and
	"invalid parameter" into a valid one. It's not the way other 'nix's
	work.

2006-07-30  rocky <rocky>

	* test/testiso9660.c: Take out some checks until daylight savings
	time thing is resolved.

2006-07-30  rocky <rocky>

	* NEWS, example/tracks.c, lib/driver/gnu_linux.c: gnu_linux:
	get_disc_last_lsn: cdte_format seems to want to be CDROM_MSF
	example/tracks.c: add a call to cdio_get_disc_last_lsn() NEWS - note
	UDF limitation. correct spelling typo.

2006-06-12  gmerlin <gmerlin>

	* NEWS: * Updated NEWS

2006-06-03  gmerlin <gmerlin>

	* include/cdio/utf8.h, lib/driver/utf8.c: * UTF-8 support

2006-06-03  rocky <rocky>

	* lib/udf/udf_file.c: C lint.

2006-06-03  rocky <rocky>

	* test/Makefile.am, test/check_iso.sh.in, test/copying.gpl: Add our
	own version of copying.gpl rather than rely on FSF's to be
	unchanging.

2006-06-02  gmerlin <gmerlin>

	* include/cdio/Makefile.am, include/cdio/iso9660.h,
	include/cdio/types.h, lib/driver/Makefile.am,
	lib/driver/libcdio.sym, lib/iso9660/iso9660_fs.c: * UTF-8 support patch

2006-05-06  rocky <rocky>

	* include/cdio/iso9660.h, lib/iso9660/iso9660.c: Add missing field
	in SVD structure. Document correspondencies with ECMA 119 better.

2006-05-03  rocky <rocky>

	* include/cdio/cdda.h: Note what nsectors does.

2006-04-28  rocky <rocky>

	* lib/udf/udf_fs.c: gcc 2.9 fix remove ;; - thanks to sms

2006-04-17  rocky <rocky>

	* doc/2006-summer-of-code.txt: Remove API overhaul.

2006-04-17  rocky <rocky>

	* example/udffile.c, test/Makefile.am: Add UDF 1.02 image and use
	that in the default file-extraction test.

2006-04-17  rocky <rocky>

	* example/Makefile.am, example/udffile.c: udf2.c becomes the more
	general udffile.c

2006-04-17  rocky <rocky>

	* include/cdio/ecma_167.h, lib/udf/udf.c, lib/udf/udf_file.c,
	lib/udf/udf_fs.c, lib/udf/udf_fs.h, lib/udf/udf_private.h: UDF file
	reading works for strategy 4. What a pain in the ass.

2006-04-16  rocky <rocky>

	* doc/libcdio.texi, example/Makefile.am, include/cdio/ecma_167.h,
	include/cdio/udf.h, lib/udf/udf.c, lib/udf/udf_file.c,
	lib/udf/udf_private.h: Remove some bugs in udf_file.c Others remain.

2006-04-15  rocky <rocky>

	* example/C++/Makefile.am, example/C++/OO/Makefile.am,
	example/C++/README, example/Makefile.am, example/README: .

2006-04-15  rocky <rocky>

	* example/C++/Makefile.am, example/C++/isofile.cpp: 
	iso3.cpp->isofile.cpp

2006-04-15  rocky <rocky>

	* example/C++/isolist.cpp: iso1.cpp->isolist.cpp

2006-04-15  rocky <rocky>

	* example/C++/OO/{iso3.cpp => isofile.cpp},
	example/C++/OO/{iso2.cpp => isofile2.cpp}, example/C++/OO/{iso1.cpp
	=> isolist.cpp}, example/C++/iso1.cpp, example/C++/iso2.cpp,
	example/C++/{iso3.cpp => isofile2.cpp}: iso1->isolist iso2->isofile2
	iso3->isofile

2006-04-15  rocky <rocky>

	* example/.cvsignore, example/C++/.cvsignore,
	example/C++/OO/.cvsignore, example/C++/README: iso1->isolist
	iso2->isofile2 iso3->isofile

2006-04-15  rocky <rocky>

	* example/C++/Makefile.am, example/C++/OO/Makefile.am,
	example/Makefile.am, example/README, example/{iso3.c => isofile.c},
	example/{iso2.c => isofile2.c}, example/{iso1.c => isolist.c}: 
	iso1.c->isolist.c iso2.c -> isofile2.c iso3.c -> isofile.c

2006-04-15  rocky <rocky>

	* doc/2006-summer-of-code.txt: Proposed 2006 Summer of Code tasks

2006-04-15  rocky <rocky>

	* include/cdio/udf_file.h, lib/driver/_cdio_stream.c,
	lib/driver/_cdio_stream.h, lib/driver/libcdio.sym,
	lib/udf/udf_file.c, lib/udf/udf_fs.c, lib/udf/udf_private.h: stream:
	add getpos routine udf: save last read position.

2006-04-14  rocky <rocky>

	* lib/driver/libcdio.sym, src/cdda-player.c, src/mmc-tool.c: 
	libcdio.sym: add mmc_close_tray cdda-player.c, mmc-tool.c: remove
	possibility of uninitialized return code variables

2006-04-14  rocky <rocky>

	* include/cdio/udf_file.h: Fix prototype mismatch. Thanks yet again
	to the every vigilant Steve Schultz.

2006-04-12  rocky <rocky>

	* src/mmc-tool.c: doc fix

2006-04-12  rocky <rocky>

	* src/mmc-tool.c: Add access to GPCMD_INQUIRY

2006-04-12  rocky <rocky>

	* doc/libcdio.texi, example/README: Note newer example programs like
	udf1.c udf2.c libcdio.texi also has some other small typo
	corrections.

2006-04-12  rocky <rocky>

	* NEWS, configure.ac, example/mmc2a.c: configure.ac: in 0.78cvs now
	mmc2a.c: small changes from and synch with mmc-tool.

2006-04-12  rocky <rocky>

	* example/mmc2a.c, include/cdio/cd_types.h, include/cdio/device.h,
	include/cdio/ecma_167.h, include/cdio/mmc.h,
	include/cdio/udf_file.h, lib/driver/mmc.c, src/mmc-tool.c: mmc: add
	mmc_close_tray().  mmc-tool: add option for close tray and to get
	mode-sense 2A data.

2006-04-12  rocky <rocky>

	* src/mmc-tool.c: Allow multiple sequence of operations.

2006-04-11  rocky <rocky>

	* example/udf2.c, lib/udf/udf_fs.c: udf_fs.c: was freeing freed
	memory when searching for a file that doesn't exist.  udf2.c: print error when looking for a non-existent file.

2006-04-11  rocky <rocky>

	* include/cdio/udf_file.h, lib/udf/Makefile.am, lib/udf/udf_file.c,
	lib/udf/udf_fs.c, lib/udf/udf_fs.h, lib/udf/udf_private.h: Make
	udf_read_block more like 2 read. Implementation is closer to the
	description (although it needs more work.) udf_fs.h: break out
	udf_check_tag() *.h: /*! -> /** - is more like Javadoc.

2006-04-11  rocky <rocky>

	* lib/udf/udf_file.c: Handle error condition better.

2006-04-11  rocky <rocky>

	* example/udf2.c: Print out entire file. (File must fit in memory
	though.)

2006-04-11  rocky <rocky>

	* include/cdio/ecma_167.h, lib/udf/udf.c, lib/udf/udf_file.c,
	lib/udf/udf_fs.c, lib/udf/udf_private.h: UDF fixes.

2006-04-07  rocky <rocky>

	* src/cdda-player.c, src/mmc-tool.c: Wrapping fixes

2006-04-07  rocky <rocky>

	* src/cdda-player.c: If a driver doesn't have cdio_get_audio_volume,
	increase/decrease volume arbitrarily start off with 50 (midway in
	range) and we've arranged that cdda-player will do it's own
	bookkeeping to figure out what the current volume level is.

2006-04-05  rocky <rocky>

	* src/cdda-player.c: Add ability to interactively set volume levels.
	Keys +/-

2006-04-05  rocky <rocky>

	* src/cdda-player.c: Tidy up a little.

2006-04-05  rocky <rocky>

	* lib/driver/.cvsignore: .

2006-04-05  rocky <rocky>

	* src/.cvsignore: [no log message]

2006-04-05  rocky <rocky>

	* src/cdda-player.c: Figure out last line from screen paramaters.
	(I'm embarrassed it this wasn't put in earlier.) Play *only* if we
	weren't previously paused or playing.

2006-04-05  rocky <rocky>

	* src/cdda-player.c: Start off playing all tracks.  Set status to
	show playing all tracks.

2006-04-05  rocky <rocky>

	* lib/driver/mmc.c, lib/driver/mmc_private.h: Make so we can call
	from driver. Some comment changes too.

2006-04-04  rocky <rocky>

	* src/mmc-tool.c: typo

2006-04-04  rocky <rocky>

	* include/cdio/device.h, include/cdio/mmc.h,
	lib/driver/MSWindows/win32.c, lib/driver/device.c,
	lib/driver/gnu_linux.c, lib/driver/libcdio.sym, lib/driver/mmc.c,
	src/mmc-tool.c: Clarify the difference betweeen speed as it is
	defined in the MMC spec and drive unit speeds. Add a new mmc routine
	for the latter.

2006-04-04  rocky <rocky>

	* src/mmc-tool.c: mmc-tool: tool do issue libcdio mmc commands.

2006-04-04  rocky <rocky>

	* src/Makefile.am: Add get/set blocksize and MCN commands.

2006-04-03  rocky <rocky>

	* example/mmc2a.c: typos

2006-04-03  rocky <rocky>

	* example/.cvsignore: .cvsignore

2006-04-03  rocky <rocky>

	* lib/driver/gnu_linux.c, lib/driver/mmc.c: gnu_linux: Use internal
	routine to set the speed.  mmc.c: add more debug_ variables for new
	enums and extern vars in mmc.h set speed is in the write direction
	not read

2006-04-03  rocky <rocky>

	* include/cdio/mmc.h: More #defines become enums.  Add CDIO_MMC_GETPOS_LEN16. Is like CDIO_MMC_GETPOS_LEN16 with extra
	position parameter.

2006-04-03  rocky <rocky>

	* example/Makefile.am, example/README, example/mmc2a.c: Add example
	program to show MODE_SENSE page 2A: CD/DVD Capabilities and
	Mechanical Status Page.

2006-03-30  flameeyes <flameeyes>

	* configure.ac, include/Makefile.am, lib/Makefile.am: Add a
	--disable-cxx configure parameter so that the C++ bindings can be
	skipped.

2006-03-28  rocky <rocky>

	* README: README

2006-03-28  rocky <rocky>

	* README, package/libcdio.spec.in: README

2006-03-28  rocky <rocky>

	* lib/driver/MSWindows/win32.c: For read_data_sectors, try first MMC
	commands and then cooked I/O.

2006-03-28  rocky <rocky>

	* example/C++/OO/drives.cpp, example/drives.c,
	include/cdio/cd_types.h, include/cdio/device.h,
	lib/driver/cd_types.c, lib/driver/device.c, test/testisocd.c: Yet
	another attempt to get "get_drives_with_cap" working in a rational
	fashion.

2006-03-27  rocky <rocky>

	* example/C++/OO/drives.cpp, example/drives.c,
	include/cdio/device.h, lib/driver/device.c: One more time, go over
	logic of get_drives_with_cap.

2006-03-26  rocky <rocky>

	* include/cdio/cd_types.h, lib/driver/device.c, test/testisocd.c: 
	Bug in get_drive_types_with_cap: Had wrong boolean logic.

2006-03-26  rocky <rocky>

	* test/.cvsignore: .

2006-03-26  rocky <rocky>

	* test/testisocd.c: Add ISO 9660 CD reading test.

2006-03-26  rocky <rocky>

	* include/cdio/iso9660.h: A more stringent ISO 9660 CD reading test.

2006-03-26  rocky <rocky>

	* test/Makefile.am: Add test of reading an ISO 9660 CD.

2006-03-26  rocky <rocky>

	* lib/driver/_cdio_generic.c: Untabify

2006-03-26  rocky <rocky>

	* lib/driver/_cdio_generic.c, lib/driver/osx.c: Add/correct
	comments. osx.c: remove tabs.

2006-03-25  rocky <rocky>

	* configure.ac: We'll accept FreeBSD 7.

2006-03-25  rocky <rocky>

	* include/cdio/iso9660.h: Document iso9660_iso_seek_read better.
	Well, the old doc at least had me confused.

2006-03-25  rocky <rocky>

	* lib/cdda_interface/scan_devices.c: Store passed in messagedest in
	initializing drive object.

2006-03-18  rocky <rocky>

	* include/cdio/cdda.h, include/cdio/paranoia.h,
	lib/cdda_interface/cddap_interface.c, lib/paranoia/paranoia.c: 
	documentation additions, mostly doxygen. More #defines become
	enumerations.

2006-03-18  rocky <rocky>

	* NEWS: Forgot to update release date.

2006-03-18  rocky <rocky>

	* test/testiso9660.c: sourceforge openpower is now giving problems
	in changing timezone. Will it ever end?

2006-03-18  rocky <rocky>

	* Makefile.am, test/testiso9660.c: Makefile.am: failed bad attempt
	to get Sun 9's make work. But this is probably more correct anyway.
	testiso9660.c: I give up on getting localtime working.

2006-03-18  rocky <rocky>

	* NEWS, configure.ac, doc/how-to-make-a-release.txt,
	include/cdio/iso9660.h, lib/iso9660/iso9660.c: iso9660.h: remove
	doxygen formatting warning.  configure.ac, NEWS: get ready for 0.77
	release

2006-03-18  rocky <rocky>

	* lib/driver/FreeBSD/freebsd.h: typo

2006-03-18  rocky <rocky>

	* example/cdtext.c, example/iso2.c, example/paranoia.c,
	example/paranoia2.c, src/cd-paranoia/cd-paranoia.c: More strcat,
	sprintf, and strcpy replacements.

2006-03-18  rocky <rocky>

	* README, README.libcdio: Update instructions

2006-03-18  rocky <rocky>

	* test/testiso9660.c: The latest wrinkle in the maze of twisty
	timezones all different.

2006-03-18  rocky <rocky>

	* NEWS, include/cdio/util.h, lib/cdda_interface/utils.c,
	lib/driver/gnu_linux.c, lib/driver/util.c, lib/udf/udf_fs.c: 
	Security: replace all uses of strcat and strcpy with strncat and
	strncpy

2006-03-17  rocky <rocky>

	* src/cd-read.c, test/cdda-read.right, test/check_cd_read.sh: Add
	--just-hex option to cd-read. Not all OS's agree on what's
	printable.

2006-03-17  rocky <rocky>

	* lib/iso9660/iso9660.c, lib/iso9660/iso9660_fs.c,
	lib/iso9660/rock.c: Replace strcat and strcpy with strncat, strncpy.

2006-03-17  rocky <rocky>

	* configure.ac, src/Makefile.am, src/cd-info.c,
	src/cd-paranoia/Makefile.am, src/cd-paranoia/cd-paranoia.c,
	src/cd-paranoia/getopt.c, src/cd-paranoia/getopt.h,
	src/cd-paranoia/getopt1.c, src/cd-read.c, src/cdda-player.c,
	src/getopt.c, src/getopt.h, src/getopt1.c, src/iso-info.c,
	src/iso-read.c: Put back in getopt.h, getopt.c, getopt1.c. Solaris
	doesn't always have it and it's really too much of a hassle to do
	all that configuration code to figure out where it is and what has
	to be done to get it to work.

2006-03-17  rocky <rocky>

	* lib/driver/aix.c, lib/driver/solaris.c: mmc_direction_t ->
	cdio_mmc_direction_t

2006-03-17  rocky <rocky>

	* src/cd-drive.c: It's now mmc.h, not scsi_mmc.h

2006-03-17  rocky <rocky>

	* test/testiso9660.c: Address one more glitch - NULL tm_zone's

2006-03-17  rocky <rocky>

	* test/testiso9660.c: Even more dancing around the different tm
	mktime variations on different OS's. I think we have GNU/Linux,
	cygwin, and BSDI now.

2006-03-17  rocky <rocky>

	* NEWS: NEWS

2006-03-17  rocky <rocky>

	* test/testiso9660.c: Need more sophisticated way to compare times.

2006-03-17  rocky <rocky>

	* lib/iso9660/iso9660.c, test/testiso9660.c: More time corrections
	in the presense of timezones, daylight savings time, and
	HAVE_TM_GMTOFF

2006-03-17  rocky <rocky>

	* lib/iso9660/iso9660.c: use tzset to try to get GMT read.

2006-03-17  rocky <rocky>

	* lib/driver/MSWindows/aspi32.c, lib/driver/MSWindows/aspi32.h,
	lib/driver/MSWindows/win32.c, lib/driver/MSWindows/win32.h,
	lib/driver/MSWindows/win32_ioctl.c: mmc_direction_t ->
	cdio_mmc_direction_t

2006-03-17  rocky <rocky>

	* NEWS, lib/iso9660/iso9660.c, test/testiso9660.c: 
	iso9660_get_{l,d}time() anot accounting for the timezone properly.
	Some other small bugs removed.

2006-03-14  rocky <rocky>

	* cvs2cl_usermap: Remove email addresses -- spammers are winning

2006-03-14  rocky <rocky>

	* cvs2cl_usermap: Add flameeyes

2006-03-14  rocky <rocky>

	* NEWS, lib/cdda_interface/Makefile.am, lib/driver/Makefile.am,
	lib/iso9660/Makefile.am, lib/paranoia/Makefile.am: Update library
	version numbers for possible release. FSF address change.

2006-03-14  rocky <rocky>

	* include/cdio/iso9660.h, lib/iso9660/iso9660_fs.c,
	src/cdda-player.c: iso9660.h: note b_mode2 parameter is not used any
	more cdda-player.c FSF address change.

2006-03-13  rocky <rocky>

	* lib/paranoia/paranoia.c: comment change - 0x2->FLAGS_UNREAD

2006-03-11  rocky <rocky>

	* include/cdio++/cdio.hpp: Try p_cdio as protected.

2006-03-07  rocky <rocky>

	* include/cdio/disc.h: Put back cdio_stat_size tolerance.

2006-03-07  rocky <rocky>

	* .cvsignore, example/C++/OO/.cvsignore: .

2006-03-07  rocky <rocky>

	* include/cdio++/iso9660.hpp, lib/cdio++/iso9660.cpp: Go back to
	inlining various functions because older STL's can't handle not
	having the bodies. (I think this is what's going on, but I'm not
	completely sure. Deals with failure on older BSDI and gcc 2.95
	server)

2006-03-07  rocky <rocky>

	* lib/cdio++/devices.cpp: Code for Cdio::Devices Class

2006-03-07  rocky <rocky>

	* .cvsignore: .cvsignore

2006-03-07  rocky <rocky>

	* example/C++/OO/Makefile.am, example/C++/OO/iso1.cpp,
	example/C++/OO/iso4.cpp, include/cdio++/iso9660.hpp,
	lib/cdio++/iso9660.cpp: Change list of files from a list to a
	vector. read_pvd() for ISO9660::FS works. iso4.cpp: show ISO 9660
	info for CD-images (like iso1 for ISO images).

2006-03-07  rocky <rocky>

	* test/.cvsignore: [no log message]

2006-03-07  rocky <rocky>

	* lib/cdda_interface/Makefile.am, lib/driver/Makefile.am,
	lib/iso9660/Makefile.am, lib/paranoia/Makefile.am: Don't do library
	versioning if there no object files to look at. This removes
	spurious "nm: no a.out" messages when --disable-shared is in effect.

2006-03-07  rocky <rocky>

	* configure.ac, example/C++/OO/Makefile.am,
	include/cdio++/cdio.hpp, include/cdio++/devices.hpp,
	include/cdio++/iso9660.hpp, lib/cdio++/Makefile.am,
	lib/cdio++/cdio.cpp, lib/cdio++/cdio_stub.cpp,
	lib/cdio++/iso9660.cpp, lib/cdio++/iso9660_stub.cpp: Move code from
	devices.hpp and iso9660.hpp headers into external files - cdio.cpp,
	device.cpp, iso9660.cpp configure.ac, C++/OO/Makefile.am: Found some bugs libraries acces in
	doing the above move.

2006-03-07  rocky <rocky>

	* configure.ac, test/Makefile.am, test/{testbincue.c =>
	testbincue.c.in}: testbincue.c.in: set @srcdir@. Make gcc 2.95
	compatible.

2006-03-07  rocky <rocky>

	* include/cdio/iso9660.h, lib/iso9660/libiso9660.sym,
	test/testbincue.c: Have to have  iso9660_find_fs_lsn linker symbol
	around. (At least for now.)

2006-03-06  rocky <rocky>

	* Makefile.am, configure.ac, include/cdio++/Makefile.am,
	libcdio++.pc.in, libiso9660++.pc.in: Distribute pkg-config files.
	Add iso9600.hpp to distribution.

2006-03-06  rocky <rocky>

	* NEWS, example/C++/OO/Makefile.am: Cosmetic changes.

2006-03-06  rocky <rocky>

	* example/C++/OO/Makefile.am, example/C++/OO/iso2.cpp,
	include/cdio++/cdio.hpp, include/cdio++/iso9660.hpp,
	include/cdio/iso9660.h, lib/iso9660/iso9660_fs.c,
	lib/iso9660/libiso9660.sym: Add ISO9660::FS - the cdio portion of
	ISO9660 reading.  iso9600.h: another function rename to be more
	consistent.

2006-03-06  rocky <rocky>

	* doc/libcdio.texi, example/C++/OO/iso1.cpp,
	include/cdio++/iso9660.hpp, include/cdio/iso9660.h,
	lib/iso9660/iso9660.c, lib/iso9660/libiso9660.sym,
	test/testischar.c, test/testiso9660.c: iso9660.hpp, iso1.cpp get
	list iterators working.  rest: add _ to isachar and isadchar

2006-03-06  rocky <rocky>

	* example/C++/OO/Makefile.am, example/C++/OO/iso1.cpp,
	example/C++/OO/iso3.cpp, example/C++/iso1.cpp,
	include/cdio++/iso9660.hpp, lib/cdio++/Makefile.am: Start OO
	iso1.cpp.  iso3.cpp: valgrind lint.  iso1.cpp: tidy more.

2006-03-06  rocky <rocky>

	* configure.ac, example/C++/OO/.cvsignore,
	example/C++/OO/Makefile.am, example/C++/OO/iso3.cpp,
	include/cdio++/iso9660.hpp, lib/cdio++/Makefile.am: Get first
	libiso9660++ OO program (iso3) working.

2006-03-05  rocky <rocky>

	* include/cdio++/iso9660.hpp, include/cdio/iso9660.h: Add more C++
	ISO 9660 methods and some classes (for C structs).

2006-03-05  rocky <rocky>

	* example/C++/device.cpp, include/cdio++/cdio.hpp,
	include/cdio++/device.hpp, include/cdio++/iso9660.hpp,
	include/cdio/iso9660.h, lib/cdio++/Makefile.am,
	lib/cdio++/{stub.cpp => cdio_stub.cpp}, lib/cdio++/iso9660_stub.cpp: 
	lib/cdio++/Makeifle.am iso9660.hpp iso9660_stub.cpp: start C++
	libiso9660 library iso9660.h: documentation changes.  device.hpp:
	reduce number of methods stub.cpp->cdio_stub.cpp

2006-03-03  flameeyes <flameeyes>

	* example/.cvsignore: Add cdchange to ignored files.

2006-03-03  flameeyes <flameeyes>

	* lib/driver/FreeBSD/freebsd.c, lib/driver/FreeBSD/freebsd.h,
	lib/driver/FreeBSD/freebsd_cam.c: scsi_mmc_cdb_t -> mmc_cdb_t;
	scsi_mmc_direction_t -> cdio_mmc_direction_t; make FreeBSD driver
	build again.

2006-03-02  flameeyes <flameeyes>

	* lib/driver/FreeBSD/freebsd.c: Add missing include in freebsd
	driver (fix implicit declaration of htonl).

2006-03-02  rocky <rocky>

	* include/cdio/iso9660.h, lib/iso9660/iso9660.c: Mostly doc changes.
	However there was a field-name misspelling in iso9660.h

2006-03-02  rocky <rocky>

	* example/C++/README, example/C++/iso1.cpp, example/README,
	example/iso1.c: iso1.c{,pp} Show PVD info as well.  README: revise
	for the programs we've got.

2006-03-02  rocky <rocky>

	* example/C++/iso2.cpp, example/C++/iso3.cpp, example/iso2.c,
	example/iso3.c: Simplify code. Add usage.

2006-03-02  rocky <rocky>

	* example/C++/iso1.cpp, example/iso1.c, example/iso3.c: Some small
	changes inspired by correspoinding Perl programs.

2006-03-01  rocky <rocky>

	* lib/iso9660/iso9660.c: Date changed

2006-03-01  rocky <rocky>

	* include/cdio/iso9660.h, lib/iso9660/iso9660.c: Document
	iso9660_name_translate{,_ext} more accurately.

2006-03-01  rocky <rocky>

	* example/iso1.c: Remove duplicate free

2006-03-01  rocky <rocky>

	* include/cdio/iso9660.h: Improve some comments.

2006-03-01  rocky <rocky>

	* example/C++/iso1.cpp, example/iso1.c: iso1.c, iso1.cpp: add p_
	prefix to some pointers iso1.cpp: add iso1.c improvements: allow for
	an optional ISO name.

2006-02-27  flameeyes <flameeyes>

	* lib/driver/_cdio_stdio.c, lib/driver/cd_types.c,
	lib/driver/device.c: Use complete struct initialization to avoid
	spurious pointers.

2006-02-27  flameeyes <flameeyes>

	* example/audio.c: Fix keywords ordering.

2006-02-27  flameeyes <flameeyes>

	* lib/driver/image/cdrdao.c: Don't put two strcmp() calls in
	bodyless if costructs when building the release version. Use -DTODO
	in CFLAGS to get the warning again.

2006-02-27  flameeyes <flameeyes>

	* lib/driver/image/nrg.c: Don't check for an unsigned value to be >=
	0.

2006-02-27  flameeyes <flameeyes>

	* include/cdio/Makefile.am: Remove cdio_include.h at distclean
	rather than in clean, as it's done for config.h. Doesn't require to
	re-run ./configure at make clean.

2006-02-27  flameeyes <flameeyes>

	* lib/driver/portable.h: Use preprocessor's #error instead of adding
	invalid code, makes the error more verbose and waste less time (as
	it stops during preprocessing instead of compiling).

2006-02-25  rocky <rocky>

	* test/testiso9660.c: Small comment changes

2006-02-25  rocky <rocky>

	* test/testiso9660.c: Revise test to be more informative

2006-02-25  rocky <rocky>

	* test/testiso9660.c: Revise test to be more informative

2006-02-18  rocky <rocky>

	* lib/driver/osx.c: Was accessing outside of legal range.  Addresses
	bug #15787 Thanks to demo-n.

2006-02-18  rocky <rocky>

	* .cvsignore: .cvsignore

2006-02-18  rocky <rocky>

	* lib/driver/osx.c: Comment change.

2006-02-18  rocky <rocky>

	* lib/driver/bsdi.c, lib/driver/device.c, lib/driver/osx.c: 
	scsi_mmc_direction_t -> cdio_mmc_direction_t

2006-02-16  rocky <rocky>

	* NEWS, doc/libcdio.texi: NEWS: Note strncpy problem libcdio.texi:
	Update copyright date.

2006-02-16  rocky <rocky>

	* include/cdio/Makefile.am, include/cdio/cdda.h,
	include/cdio/disc.h, include/cdio/mmc.h, include/cdio/util.h: Remove
	some deprecated things.

2006-02-13  rocky <rocky>

	* lib/driver/image/bincue.c, lib/driver/image/cdrdao.c,
	lib/driver/image/nrg.c, lib/driver/mmc.c: image/* Wrong sizeof.
	mmc: remove some deprecated things.

2006-02-13  rocky <rocky>

	* include/cdio/cd_types.h, lib/driver/cd_types.c: Replace yet
	another set of #defines with an enum.

2006-02-13  rocky <rocky>

	* example/.cvsignore, lib/udf/udf_time.c, src/.cvsignore: 
	udf_time.c: make sure offset is initialzed (Darwin doesn'thave
	TIMEZONE var).  .cvsignore: add .gdb_history

2006-02-13  rocky <rocky>

	* NEWS: What's up.

2006-02-13  rocky <rocky>

	* lib/driver/image/bincue.c, lib/driver/image/cdrdao.c,
	lib/driver/image/nrg.c: Use strncopy rather than strcpy in
	get_hwinfo. Make sure all strings have null byte at the end.

2006-02-12  rocky <rocky>

